/*! @name @brightcove/react-player-loader @version 1.5.0 @license Apache-2.0 */
(function (QUnit, sinon, React, ReactDOM, MutationObserver) {
	'use strict';

	QUnit = QUnit && QUnit.hasOwnProperty('default') ? QUnit['default'] : QUnit;
	sinon = sinon && sinon.hasOwnProperty('default') ? sinon['default'] : sinon;
	React = React && React.hasOwnProperty('default') ? React['default'] : React;
	ReactDOM = ReactDOM && ReactDOM.hasOwnProperty('default') ? ReactDOM['default'] : ReactDOM;
	MutationObserver = MutationObserver && MutationObserver.hasOwnProperty('default') ? MutationObserver['default'] : MutationObserver;

	var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

	function unwrapExports (x) {
		return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
	}

	function createCommonjsModule(fn, module) {
		return module = { exports: {} }, fn(module, module.exports), module.exports;
	}

	var minDoc = {};

	var topLevel = typeof commonjsGlobal !== 'undefined' ? commonjsGlobal :
	    typeof window !== 'undefined' ? window : {};


	var doccy;

	if (typeof document !== 'undefined') {
	    doccy = document;
	} else {
	    doccy = topLevel['__GLOBAL_DOCUMENT_CACHE@4'];

	    if (!doccy) {
	        doccy = topLevel['__GLOBAL_DOCUMENT_CACHE@4'] = minDoc;
	    }
	}

	var document_1 = doccy;

	var win;

	if (typeof window !== "undefined") {
	    win = window;
	} else if (typeof commonjsGlobal !== "undefined") {
	    win = commonjsGlobal;
	} else if (typeof self !== "undefined"){
	    win = self;
	} else {
	    win = {};
	}

	var window_1 = win;

	function _extends() {
	  _extends = Object.assign || function (target) {
	    for (var i = 1; i < arguments.length; i++) {
	      var source = arguments[i];

	      for (var key in source) {
	        if (Object.prototype.hasOwnProperty.call(source, key)) {
	          target[key] = source[key];
	        }
	      }
	    }

	    return target;
	  };

	  return _extends.apply(this, arguments);
	}

	var runtime_1 = createCommonjsModule(function (module) {
	/**
	 * Copyright (c) 2014-present, Facebook, Inc.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */

	var runtime = (function (exports) {

	  var Op = Object.prototype;
	  var hasOwn = Op.hasOwnProperty;
	  var undefined$1; // More compressible than void 0.
	  var $Symbol = typeof Symbol === "function" ? Symbol : {};
	  var iteratorSymbol = $Symbol.iterator || "@@iterator";
	  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
	  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

	  function wrap(innerFn, outerFn, self, tryLocsList) {
	    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
	    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
	    var generator = Object.create(protoGenerator.prototype);
	    var context = new Context(tryLocsList || []);

	    // The ._invoke method unifies the implementations of the .next,
	    // .throw, and .return methods.
	    generator._invoke = makeInvokeMethod(innerFn, self, context);

	    return generator;
	  }
	  exports.wrap = wrap;

	  // Try/catch helper to minimize deoptimizations. Returns a completion
	  // record like context.tryEntries[i].completion. This interface could
	  // have been (and was previously) designed to take a closure to be
	  // invoked without arguments, but in all the cases we care about we
	  // already have an existing method we want to call, so there's no need
	  // to create a new function object. We can even get away with assuming
	  // the method takes exactly one argument, since that happens to be true
	  // in every case, so we don't have to touch the arguments object. The
	  // only additional allocation required is the completion record, which
	  // has a stable shape and so hopefully should be cheap to allocate.
	  function tryCatch(fn, obj, arg) {
	    try {
	      return { type: "normal", arg: fn.call(obj, arg) };
	    } catch (err) {
	      return { type: "throw", arg: err };
	    }
	  }

	  var GenStateSuspendedStart = "suspendedStart";
	  var GenStateSuspendedYield = "suspendedYield";
	  var GenStateExecuting = "executing";
	  var GenStateCompleted = "completed";

	  // Returning this object from the innerFn has the same effect as
	  // breaking out of the dispatch switch statement.
	  var ContinueSentinel = {};

	  // Dummy constructor functions that we use as the .constructor and
	  // .constructor.prototype properties for functions that return Generator
	  // objects. For full spec compliance, you may wish to configure your
	  // minifier not to mangle the names of these two functions.
	  function Generator() {}
	  function GeneratorFunction() {}
	  function GeneratorFunctionPrototype() {}

	  // This is a polyfill for %IteratorPrototype% for environments that
	  // don't natively support it.
	  var IteratorPrototype = {};
	  IteratorPrototype[iteratorSymbol] = function () {
	    return this;
	  };

	  var getProto = Object.getPrototypeOf;
	  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
	  if (NativeIteratorPrototype &&
	      NativeIteratorPrototype !== Op &&
	      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
	    // This environment has a native %IteratorPrototype%; use it instead
	    // of the polyfill.
	    IteratorPrototype = NativeIteratorPrototype;
	  }

	  var Gp = GeneratorFunctionPrototype.prototype =
	    Generator.prototype = Object.create(IteratorPrototype);
	  GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
	  GeneratorFunctionPrototype.constructor = GeneratorFunction;
	  GeneratorFunctionPrototype[toStringTagSymbol] =
	    GeneratorFunction.displayName = "GeneratorFunction";

	  // Helper for defining the .next, .throw, and .return methods of the
	  // Iterator interface in terms of a single ._invoke method.
	  function defineIteratorMethods(prototype) {
	    ["next", "throw", "return"].forEach(function(method) {
	      prototype[method] = function(arg) {
	        return this._invoke(method, arg);
	      };
	    });
	  }

	  exports.isGeneratorFunction = function(genFun) {
	    var ctor = typeof genFun === "function" && genFun.constructor;
	    return ctor
	      ? ctor === GeneratorFunction ||
	        // For the native GeneratorFunction constructor, the best we can
	        // do is to check its .name property.
	        (ctor.displayName || ctor.name) === "GeneratorFunction"
	      : false;
	  };

	  exports.mark = function(genFun) {
	    if (Object.setPrototypeOf) {
	      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
	    } else {
	      genFun.__proto__ = GeneratorFunctionPrototype;
	      if (!(toStringTagSymbol in genFun)) {
	        genFun[toStringTagSymbol] = "GeneratorFunction";
	      }
	    }
	    genFun.prototype = Object.create(Gp);
	    return genFun;
	  };

	  // Within the body of any async function, `await x` is transformed to
	  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
	  // `hasOwn.call(value, "__await")` to determine if the yielded value is
	  // meant to be awaited.
	  exports.awrap = function(arg) {
	    return { __await: arg };
	  };

	  function AsyncIterator(generator) {
	    function invoke(method, arg, resolve, reject) {
	      var record = tryCatch(generator[method], generator, arg);
	      if (record.type === "throw") {
	        reject(record.arg);
	      } else {
	        var result = record.arg;
	        var value = result.value;
	        if (value &&
	            typeof value === "object" &&
	            hasOwn.call(value, "__await")) {
	          return Promise.resolve(value.__await).then(function(value) {
	            invoke("next", value, resolve, reject);
	          }, function(err) {
	            invoke("throw", err, resolve, reject);
	          });
	        }

	        return Promise.resolve(value).then(function(unwrapped) {
	          // When a yielded Promise is resolved, its final value becomes
	          // the .value of the Promise<{value,done}> result for the
	          // current iteration.
	          result.value = unwrapped;
	          resolve(result);
	        }, function(error) {
	          // If a rejected Promise was yielded, throw the rejection back
	          // into the async generator function so it can be handled there.
	          return invoke("throw", error, resolve, reject);
	        });
	      }
	    }

	    var previousPromise;

	    function enqueue(method, arg) {
	      function callInvokeWithMethodAndArg() {
	        return new Promise(function(resolve, reject) {
	          invoke(method, arg, resolve, reject);
	        });
	      }

	      return previousPromise =
	        // If enqueue has been called before, then we want to wait until
	        // all previous Promises have been resolved before calling invoke,
	        // so that results are always delivered in the correct order. If
	        // enqueue has not been called before, then it is important to
	        // call invoke immediately, without waiting on a callback to fire,
	        // so that the async generator function has the opportunity to do
	        // any necessary setup in a predictable way. This predictability
	        // is why the Promise constructor synchronously invokes its
	        // executor callback, and why async functions synchronously
	        // execute code before the first await. Since we implement simple
	        // async functions in terms of async generators, it is especially
	        // important to get this right, even though it requires care.
	        previousPromise ? previousPromise.then(
	          callInvokeWithMethodAndArg,
	          // Avoid propagating failures to Promises returned by later
	          // invocations of the iterator.
	          callInvokeWithMethodAndArg
	        ) : callInvokeWithMethodAndArg();
	    }

	    // Define the unified helper method that is used to implement .next,
	    // .throw, and .return (see defineIteratorMethods).
	    this._invoke = enqueue;
	  }

	  defineIteratorMethods(AsyncIterator.prototype);
	  AsyncIterator.prototype[asyncIteratorSymbol] = function () {
	    return this;
	  };
	  exports.AsyncIterator = AsyncIterator;

	  // Note that simple async functions are implemented on top of
	  // AsyncIterator objects; they just return a Promise for the value of
	  // the final result produced by the iterator.
	  exports.async = function(innerFn, outerFn, self, tryLocsList) {
	    var iter = new AsyncIterator(
	      wrap(innerFn, outerFn, self, tryLocsList)
	    );

	    return exports.isGeneratorFunction(outerFn)
	      ? iter // If outerFn is a generator, return the full iterator.
	      : iter.next().then(function(result) {
	          return result.done ? result.value : iter.next();
	        });
	  };

	  function makeInvokeMethod(innerFn, self, context) {
	    var state = GenStateSuspendedStart;

	    return function invoke(method, arg) {
	      if (state === GenStateExecuting) {
	        throw new Error("Generator is already running");
	      }

	      if (state === GenStateCompleted) {
	        if (method === "throw") {
	          throw arg;
	        }

	        // Be forgiving, per 25.3.3.3.3 of the spec:
	        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
	        return doneResult();
	      }

	      context.method = method;
	      context.arg = arg;

	      while (true) {
	        var delegate = context.delegate;
	        if (delegate) {
	          var delegateResult = maybeInvokeDelegate(delegate, context);
	          if (delegateResult) {
	            if (delegateResult === ContinueSentinel) continue;
	            return delegateResult;
	          }
	        }

	        if (context.method === "next") {
	          // Setting context._sent for legacy support of Babel's
	          // function.sent implementation.
	          context.sent = context._sent = context.arg;

	        } else if (context.method === "throw") {
	          if (state === GenStateSuspendedStart) {
	            state = GenStateCompleted;
	            throw context.arg;
	          }

	          context.dispatchException(context.arg);

	        } else if (context.method === "return") {
	          context.abrupt("return", context.arg);
	        }

	        state = GenStateExecuting;

	        var record = tryCatch(innerFn, self, context);
	        if (record.type === "normal") {
	          // If an exception is thrown from innerFn, we leave state ===
	          // GenStateExecuting and loop back for another invocation.
	          state = context.done
	            ? GenStateCompleted
	            : GenStateSuspendedYield;

	          if (record.arg === ContinueSentinel) {
	            continue;
	          }

	          return {
	            value: record.arg,
	            done: context.done
	          };

	        } else if (record.type === "throw") {
	          state = GenStateCompleted;
	          // Dispatch the exception by looping back around to the
	          // context.dispatchException(context.arg) call above.
	          context.method = "throw";
	          context.arg = record.arg;
	        }
	      }
	    };
	  }

	  // Call delegate.iterator[context.method](context.arg) and handle the
	  // result, either by returning a { value, done } result from the
	  // delegate iterator, or by modifying context.method and context.arg,
	  // setting context.delegate to null, and returning the ContinueSentinel.
	  function maybeInvokeDelegate(delegate, context) {
	    var method = delegate.iterator[context.method];
	    if (method === undefined$1) {
	      // A .throw or .return when the delegate iterator has no .throw
	      // method always terminates the yield* loop.
	      context.delegate = null;

	      if (context.method === "throw") {
	        // Note: ["return"] must be used for ES3 parsing compatibility.
	        if (delegate.iterator["return"]) {
	          // If the delegate iterator has a return method, give it a
	          // chance to clean up.
	          context.method = "return";
	          context.arg = undefined$1;
	          maybeInvokeDelegate(delegate, context);

	          if (context.method === "throw") {
	            // If maybeInvokeDelegate(context) changed context.method from
	            // "return" to "throw", let that override the TypeError below.
	            return ContinueSentinel;
	          }
	        }

	        context.method = "throw";
	        context.arg = new TypeError(
	          "The iterator does not provide a 'throw' method");
	      }

	      return ContinueSentinel;
	    }

	    var record = tryCatch(method, delegate.iterator, context.arg);

	    if (record.type === "throw") {
	      context.method = "throw";
	      context.arg = record.arg;
	      context.delegate = null;
	      return ContinueSentinel;
	    }

	    var info = record.arg;

	    if (! info) {
	      context.method = "throw";
	      context.arg = new TypeError("iterator result is not an object");
	      context.delegate = null;
	      return ContinueSentinel;
	    }

	    if (info.done) {
	      // Assign the result of the finished delegate to the temporary
	      // variable specified by delegate.resultName (see delegateYield).
	      context[delegate.resultName] = info.value;

	      // Resume execution at the desired location (see delegateYield).
	      context.next = delegate.nextLoc;

	      // If context.method was "throw" but the delegate handled the
	      // exception, let the outer generator proceed normally. If
	      // context.method was "next", forget context.arg since it has been
	      // "consumed" by the delegate iterator. If context.method was
	      // "return", allow the original .return call to continue in the
	      // outer generator.
	      if (context.method !== "return") {
	        context.method = "next";
	        context.arg = undefined$1;
	      }

	    } else {
	      // Re-yield the result returned by the delegate method.
	      return info;
	    }

	    // The delegate iterator is finished, so forget it and continue with
	    // the outer generator.
	    context.delegate = null;
	    return ContinueSentinel;
	  }

	  // Define Generator.prototype.{next,throw,return} in terms of the
	  // unified ._invoke helper method.
	  defineIteratorMethods(Gp);

	  Gp[toStringTagSymbol] = "Generator";

	  // A Generator should always return itself as the iterator object when the
	  // @@iterator function is called on it. Some browsers' implementations of the
	  // iterator prototype chain incorrectly implement this, causing the Generator
	  // object to not be returned from this call. This ensures that doesn't happen.
	  // See https://github.com/facebook/regenerator/issues/274 for more details.
	  Gp[iteratorSymbol] = function() {
	    return this;
	  };

	  Gp.toString = function() {
	    return "[object Generator]";
	  };

	  function pushTryEntry(locs) {
	    var entry = { tryLoc: locs[0] };

	    if (1 in locs) {
	      entry.catchLoc = locs[1];
	    }

	    if (2 in locs) {
	      entry.finallyLoc = locs[2];
	      entry.afterLoc = locs[3];
	    }

	    this.tryEntries.push(entry);
	  }

	  function resetTryEntry(entry) {
	    var record = entry.completion || {};
	    record.type = "normal";
	    delete record.arg;
	    entry.completion = record;
	  }

	  function Context(tryLocsList) {
	    // The root entry object (effectively a try statement without a catch
	    // or a finally block) gives us a place to store values thrown from
	    // locations where there is no enclosing try statement.
	    this.tryEntries = [{ tryLoc: "root" }];
	    tryLocsList.forEach(pushTryEntry, this);
	    this.reset(true);
	  }

	  exports.keys = function(object) {
	    var keys = [];
	    for (var key in object) {
	      keys.push(key);
	    }
	    keys.reverse();

	    // Rather than returning an object with a next method, we keep
	    // things simple and return the next function itself.
	    return function next() {
	      while (keys.length) {
	        var key = keys.pop();
	        if (key in object) {
	          next.value = key;
	          next.done = false;
	          return next;
	        }
	      }

	      // To avoid creating an additional object, we just hang the .value
	      // and .done properties off the next function object itself. This
	      // also ensures that the minifier will not anonymize the function.
	      next.done = true;
	      return next;
	    };
	  };

	  function values(iterable) {
	    if (iterable) {
	      var iteratorMethod = iterable[iteratorSymbol];
	      if (iteratorMethod) {
	        return iteratorMethod.call(iterable);
	      }

	      if (typeof iterable.next === "function") {
	        return iterable;
	      }

	      if (!isNaN(iterable.length)) {
	        var i = -1, next = function next() {
	          while (++i < iterable.length) {
	            if (hasOwn.call(iterable, i)) {
	              next.value = iterable[i];
	              next.done = false;
	              return next;
	            }
	          }

	          next.value = undefined$1;
	          next.done = true;

	          return next;
	        };

	        return next.next = next;
	      }
	    }

	    // Return an iterator with no values.
	    return { next: doneResult };
	  }
	  exports.values = values;

	  function doneResult() {
	    return { value: undefined$1, done: true };
	  }

	  Context.prototype = {
	    constructor: Context,

	    reset: function(skipTempReset) {
	      this.prev = 0;
	      this.next = 0;
	      // Resetting context._sent for legacy support of Babel's
	      // function.sent implementation.
	      this.sent = this._sent = undefined$1;
	      this.done = false;
	      this.delegate = null;

	      this.method = "next";
	      this.arg = undefined$1;

	      this.tryEntries.forEach(resetTryEntry);

	      if (!skipTempReset) {
	        for (var name in this) {
	          // Not sure about the optimal order of these conditions:
	          if (name.charAt(0) === "t" &&
	              hasOwn.call(this, name) &&
	              !isNaN(+name.slice(1))) {
	            this[name] = undefined$1;
	          }
	        }
	      }
	    },

	    stop: function() {
	      this.done = true;

	      var rootEntry = this.tryEntries[0];
	      var rootRecord = rootEntry.completion;
	      if (rootRecord.type === "throw") {
	        throw rootRecord.arg;
	      }

	      return this.rval;
	    },

	    dispatchException: function(exception) {
	      if (this.done) {
	        throw exception;
	      }

	      var context = this;
	      function handle(loc, caught) {
	        record.type = "throw";
	        record.arg = exception;
	        context.next = loc;

	        if (caught) {
	          // If the dispatched exception was caught by a catch block,
	          // then let that catch block handle the exception normally.
	          context.method = "next";
	          context.arg = undefined$1;
	        }

	        return !! caught;
	      }

	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        var record = entry.completion;

	        if (entry.tryLoc === "root") {
	          // Exception thrown outside of any try block that could handle
	          // it, so set the completion value of the entire function to
	          // throw the exception.
	          return handle("end");
	        }

	        if (entry.tryLoc <= this.prev) {
	          var hasCatch = hasOwn.call(entry, "catchLoc");
	          var hasFinally = hasOwn.call(entry, "finallyLoc");

	          if (hasCatch && hasFinally) {
	            if (this.prev < entry.catchLoc) {
	              return handle(entry.catchLoc, true);
	            } else if (this.prev < entry.finallyLoc) {
	              return handle(entry.finallyLoc);
	            }

	          } else if (hasCatch) {
	            if (this.prev < entry.catchLoc) {
	              return handle(entry.catchLoc, true);
	            }

	          } else if (hasFinally) {
	            if (this.prev < entry.finallyLoc) {
	              return handle(entry.finallyLoc);
	            }

	          } else {
	            throw new Error("try statement without catch or finally");
	          }
	        }
	      }
	    },

	    abrupt: function(type, arg) {
	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        if (entry.tryLoc <= this.prev &&
	            hasOwn.call(entry, "finallyLoc") &&
	            this.prev < entry.finallyLoc) {
	          var finallyEntry = entry;
	          break;
	        }
	      }

	      if (finallyEntry &&
	          (type === "break" ||
	           type === "continue") &&
	          finallyEntry.tryLoc <= arg &&
	          arg <= finallyEntry.finallyLoc) {
	        // Ignore the finally entry if control is not jumping to a
	        // location outside the try/catch block.
	        finallyEntry = null;
	      }

	      var record = finallyEntry ? finallyEntry.completion : {};
	      record.type = type;
	      record.arg = arg;

	      if (finallyEntry) {
	        this.method = "next";
	        this.next = finallyEntry.finallyLoc;
	        return ContinueSentinel;
	      }

	      return this.complete(record);
	    },

	    complete: function(record, afterLoc) {
	      if (record.type === "throw") {
	        throw record.arg;
	      }

	      if (record.type === "break" ||
	          record.type === "continue") {
	        this.next = record.arg;
	      } else if (record.type === "return") {
	        this.rval = this.arg = record.arg;
	        this.method = "return";
	        this.next = "end";
	      } else if (record.type === "normal" && afterLoc) {
	        this.next = afterLoc;
	      }

	      return ContinueSentinel;
	    },

	    finish: function(finallyLoc) {
	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        if (entry.finallyLoc === finallyLoc) {
	          this.complete(entry.completion, entry.afterLoc);
	          resetTryEntry(entry);
	          return ContinueSentinel;
	        }
	      }
	    },

	    "catch": function(tryLoc) {
	      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
	        var entry = this.tryEntries[i];
	        if (entry.tryLoc === tryLoc) {
	          var record = entry.completion;
	          if (record.type === "throw") {
	            var thrown = record.arg;
	            resetTryEntry(entry);
	          }
	          return thrown;
	        }
	      }

	      // The context.catch method must only be called with a location
	      // argument that corresponds to a known catch block.
	      throw new Error("illegal catch attempt");
	    },

	    delegateYield: function(iterable, resultName, nextLoc) {
	      this.delegate = {
	        iterator: values(iterable),
	        resultName: resultName,
	        nextLoc: nextLoc
	      };

	      if (this.method === "next") {
	        // Deliberately forget the last sent value so that we don't
	        // accidentally pass it on to the delegate.
	        this.arg = undefined$1;
	      }

	      return ContinueSentinel;
	    }
	  };

	  // Regardless of whether this script is executing as a CommonJS module
	  // or not, return the runtime object so that we can declare the variable
	  // regeneratorRuntime in the outer scope, which allows this module to be
	  // injected easily by `bin/regenerator --include-runtime script.js`.
	  return exports;

	}(
	  // If this script is executing as a CommonJS module, use module.exports
	  // as the regeneratorRuntime namespace. Otherwise create a new empty
	  // object. Either way, the resulting object will be used to initialize
	  // the regeneratorRuntime variable at the top of this file.
	   module.exports 
	));

	try {
	  regeneratorRuntime = runtime;
	} catch (accidentalStrictMode) {
	  // This module should not be running in strict mode, so the above
	  // assignment should always work unless something is misconfigured. Just
	  // in case runtime.js accidentally runs in strict mode, we can escape
	  // strict mode using a global Function call. This could conceivably fail
	  // if a Content Security Policy forbids using Function, but in that case
	  // the proper solution is to fix the accidental strict mode problem. If
	  // you've misconfigured your bundler to force strict mode and applied a
	  // CSP to forbid Function, and you're not willing to fix either of those
	  // problems, please detail your unique predicament in a GitHub issue.
	  Function("r", "regeneratorRuntime = r")(runtime);
	}
	});

	var regenerator = runtime_1;

	function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
	  try {
	    var info = gen[key](arg);
	    var value = info.value;
	  } catch (error) {
	    reject(error);
	    return;
	  }

	  if (info.done) {
	    resolve(value);
	  } else {
	    Promise.resolve(value).then(_next, _throw);
	  }
	}

	function _asyncToGenerator(fn) {
	  return function () {
	    var self = this,
	        args = arguments;
	    return new Promise(function (resolve, reject) {
	      var gen = fn.apply(self, args);

	      function _next(value) {
	        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
	      }

	      function _throw(err) {
	        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
	      }

	      _next(undefined);
	    });
	  };
	}

	var buildEs5 = createCommonjsModule(function (module, exports) {
	(function webpackUniversalModuleDefinition(root, factory) {
		module.exports = factory();
	})(window, function() {
	return /******/ (function(modules) { // webpackBootstrap
	/******/ 	// The module cache
	/******/ 	var installedModules = {};
	/******/
	/******/ 	// The require function
	/******/ 	function __webpack_require__(moduleId) {
	/******/
	/******/ 		// Check if module is in cache
	/******/ 		if(installedModules[moduleId]) {
	/******/ 			return installedModules[moduleId].exports;
	/******/ 		}
	/******/ 		// Create a new module (and put it into the cache)
	/******/ 		var module = installedModules[moduleId] = {
	/******/ 			i: moduleId,
	/******/ 			l: false,
	/******/ 			exports: {}
	/******/ 		};
	/******/
	/******/ 		// Execute the module function
	/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
	/******/
	/******/ 		// Flag the module as loaded
	/******/ 		module.l = true;
	/******/
	/******/ 		// Return the exports of the module
	/******/ 		return module.exports;
	/******/ 	}
	/******/
	/******/
	/******/ 	// expose the modules object (__webpack_modules__)
	/******/ 	__webpack_require__.m = modules;
	/******/
	/******/ 	// expose the module cache
	/******/ 	__webpack_require__.c = installedModules;
	/******/
	/******/ 	// define getter function for harmony exports
	/******/ 	__webpack_require__.d = function(exports, name, getter) {
	/******/ 		if(!__webpack_require__.o(exports, name)) {
	/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
	/******/ 		}
	/******/ 	};
	/******/
	/******/ 	// define __esModule on exports
	/******/ 	__webpack_require__.r = function(exports) {
	/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
	/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
	/******/ 		}
	/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
	/******/ 	};
	/******/
	/******/ 	// create a fake namespace object
	/******/ 	// mode & 1: value is a module id, require it
	/******/ 	// mode & 2: merge all properties of value into the ns
	/******/ 	// mode & 4: return value when already ns object
	/******/ 	// mode & 8|1: behave like require
	/******/ 	__webpack_require__.t = function(value, mode) {
	/******/ 		if(mode & 1) value = __webpack_require__(value);
	/******/ 		if(mode & 8) return value;
	/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
	/******/ 		var ns = Object.create(null);
	/******/ 		__webpack_require__.r(ns);
	/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
	/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
	/******/ 		return ns;
	/******/ 	};
	/******/
	/******/ 	// getDefaultExport function for compatibility with non-harmony modules
	/******/ 	__webpack_require__.n = function(module) {
	/******/ 		var getter = module && module.__esModule ?
	/******/ 			function getDefault() { return module['default']; } :
	/******/ 			function getModuleExports() { return module; };
	/******/ 		__webpack_require__.d(getter, 'a', getter);
	/******/ 		return getter;
	/******/ 	};
	/******/
	/******/ 	// Object.prototype.hasOwnProperty.call
	/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
	/******/
	/******/ 	// __webpack_public_path__
	/******/ 	__webpack_require__.p = "";
	/******/
	/******/
	/******/ 	// Load entry module and return exports
	/******/ 	return __webpack_require__(__webpack_require__.s = "./packages/pretty-format/src/index.ts");
	/******/ })
	/************************************************************************/
	/******/ ({

	/***/ "./node_modules/ansi-regex/index.js":
	/*!******************************************!*\
	  !*** ./node_modules/ansi-regex/index.js ***!
	  \******************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	module.exports = function (options) {
	  options = Object.assign({
	    onlyFirst: false
	  }, options);
	  var pattern = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:[a-zA-Z\\d]*(?:;[a-zA-Z\\d]*)*)?\\u0007)", '(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))'].join('|');
	  return new RegExp(pattern, options.onlyFirst ? undefined : 'g');
	};

	/***/ }),

	/***/ "./node_modules/ansi-styles/index.js":
	/*!*******************************************!*\
	  !*** ./node_modules/ansi-styles/index.js ***!
	  \*******************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {
	/* WEBPACK VAR INJECTION */(function(module) {

	function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

	var colorConvert = __webpack_require__(/*! color-convert */ "./node_modules/color-convert/index.js");

	var wrapAnsi16 = function wrapAnsi16(fn, offset) {
	  return function () {
	    var code = fn.apply(colorConvert, arguments);
	    return "\x1B[".concat(code + offset, "m");
	  };
	};

	var wrapAnsi256 = function wrapAnsi256(fn, offset) {
	  return function () {
	    var code = fn.apply(colorConvert, arguments);
	    return "\x1B[".concat(38 + offset, ";5;").concat(code, "m");
	  };
	};

	var wrapAnsi16m = function wrapAnsi16m(fn, offset) {
	  return function () {
	    var rgb = fn.apply(colorConvert, arguments);
	    return "\x1B[".concat(38 + offset, ";2;").concat(rgb[0], ";").concat(rgb[1], ";").concat(rgb[2], "m");
	  };
	};

	function assembleStyles() {
	  var codes = new Map();
	  var styles = {
	    modifier: {
	      reset: [0, 0],
	      // 21 isn't widely supported and 22 does the same thing
	      bold: [1, 22],
	      dim: [2, 22],
	      italic: [3, 23],
	      underline: [4, 24],
	      inverse: [7, 27],
	      hidden: [8, 28],
	      strikethrough: [9, 29]
	    },
	    color: {
	      black: [30, 39],
	      red: [31, 39],
	      green: [32, 39],
	      yellow: [33, 39],
	      blue: [34, 39],
	      magenta: [35, 39],
	      cyan: [36, 39],
	      white: [37, 39],
	      gray: [90, 39],
	      // Bright color
	      redBright: [91, 39],
	      greenBright: [92, 39],
	      yellowBright: [93, 39],
	      blueBright: [94, 39],
	      magentaBright: [95, 39],
	      cyanBright: [96, 39],
	      whiteBright: [97, 39]
	    },
	    bgColor: {
	      bgBlack: [40, 49],
	      bgRed: [41, 49],
	      bgGreen: [42, 49],
	      bgYellow: [43, 49],
	      bgBlue: [44, 49],
	      bgMagenta: [45, 49],
	      bgCyan: [46, 49],
	      bgWhite: [47, 49],
	      // Bright color
	      bgBlackBright: [100, 49],
	      bgRedBright: [101, 49],
	      bgGreenBright: [102, 49],
	      bgYellowBright: [103, 49],
	      bgBlueBright: [104, 49],
	      bgMagentaBright: [105, 49],
	      bgCyanBright: [106, 49],
	      bgWhiteBright: [107, 49]
	    }
	  }; // Fix humans

	  styles.color.grey = styles.color.gray;

	  var _arr = Object.keys(styles);

	  for (var _i = 0; _i < _arr.length; _i++) {
	    var groupName = _arr[_i];
	    var group = styles[groupName];

	    var _arr3 = Object.keys(group);

	    for (var _i3 = 0; _i3 < _arr3.length; _i3++) {
	      var styleName = _arr3[_i3];
	      var style = group[styleName];
	      styles[styleName] = {
	        open: "\x1B[".concat(style[0], "m"),
	        close: "\x1B[".concat(style[1], "m")
	      };
	      group[styleName] = styles[styleName];
	      codes.set(style[0], style[1]);
	    }

	    Object.defineProperty(styles, groupName, {
	      value: group,
	      enumerable: false
	    });
	    Object.defineProperty(styles, 'codes', {
	      value: codes,
	      enumerable: false
	    });
	  }

	  var ansi2ansi = function ansi2ansi(n) {
	    return n;
	  };

	  var rgb2rgb = function rgb2rgb(r, g, b) {
	    return [r, g, b];
	  };

	  styles.color.close = "\x1B[39m";
	  styles.bgColor.close = "\x1B[49m";
	  styles.color.ansi = {
	    ansi: wrapAnsi16(ansi2ansi, 0)
	  };
	  styles.color.ansi256 = {
	    ansi256: wrapAnsi256(ansi2ansi, 0)
	  };
	  styles.color.ansi16m = {
	    rgb: wrapAnsi16m(rgb2rgb, 0)
	  };
	  styles.bgColor.ansi = {
	    ansi: wrapAnsi16(ansi2ansi, 10)
	  };
	  styles.bgColor.ansi256 = {
	    ansi256: wrapAnsi256(ansi2ansi, 10)
	  };
	  styles.bgColor.ansi16m = {
	    rgb: wrapAnsi16m(rgb2rgb, 10)
	  };

	  var _arr2 = Object.keys(colorConvert);

	  for (var _i2 = 0; _i2 < _arr2.length; _i2++) {
	    var key = _arr2[_i2];

	    if (_typeof(colorConvert[key]) !== 'object') {
	      continue;
	    }

	    var suite = colorConvert[key];

	    if (key === 'ansi16') {
	      key = 'ansi';
	    }

	    if ('ansi16' in suite) {
	      styles.color.ansi[key] = wrapAnsi16(suite.ansi16, 0);
	      styles.bgColor.ansi[key] = wrapAnsi16(suite.ansi16, 10);
	    }

	    if ('ansi256' in suite) {
	      styles.color.ansi256[key] = wrapAnsi256(suite.ansi256, 0);
	      styles.bgColor.ansi256[key] = wrapAnsi256(suite.ansi256, 10);
	    }

	    if ('rgb' in suite) {
	      styles.color.ansi16m[key] = wrapAnsi16m(suite.rgb, 0);
	      styles.bgColor.ansi16m[key] = wrapAnsi16m(suite.rgb, 10);
	    }
	  }

	  return styles;
	} // Make the export immutable


	Object.defineProperty(module, 'exports', {
	  enumerable: true,
	  get: assembleStyles
	});
	/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../webpack/buildin/module.js */ "./node_modules/webpack/buildin/module.js")(module)));

	/***/ }),

	/***/ "./node_modules/color-convert/conversions.js":
	/*!***************************************************!*\
	  !*** ./node_modules/color-convert/conversions.js ***!
	  \***************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	/* MIT license */
	var cssKeywords = __webpack_require__(/*! color-name */ "./node_modules/color-name/index.js"); // NOTE: conversions should only return primitive values (i.e. arrays, or
	//       values that give correct `typeof` results).
	//       do not use box values types (i.e. Number(), String(), etc.)


	var reverseKeywords = {};

	for (var key in cssKeywords) {
	  if (cssKeywords.hasOwnProperty(key)) {
	    reverseKeywords[cssKeywords[key]] = key;
	  }
	}

	var convert = module.exports = {
	  rgb: {
	    channels: 3,
	    labels: 'rgb'
	  },
	  hsl: {
	    channels: 3,
	    labels: 'hsl'
	  },
	  hsv: {
	    channels: 3,
	    labels: 'hsv'
	  },
	  hwb: {
	    channels: 3,
	    labels: 'hwb'
	  },
	  cmyk: {
	    channels: 4,
	    labels: 'cmyk'
	  },
	  xyz: {
	    channels: 3,
	    labels: 'xyz'
	  },
	  lab: {
	    channels: 3,
	    labels: 'lab'
	  },
	  lch: {
	    channels: 3,
	    labels: 'lch'
	  },
	  hex: {
	    channels: 1,
	    labels: ['hex']
	  },
	  keyword: {
	    channels: 1,
	    labels: ['keyword']
	  },
	  ansi16: {
	    channels: 1,
	    labels: ['ansi16']
	  },
	  ansi256: {
	    channels: 1,
	    labels: ['ansi256']
	  },
	  hcg: {
	    channels: 3,
	    labels: ['h', 'c', 'g']
	  },
	  apple: {
	    channels: 3,
	    labels: ['r16', 'g16', 'b16']
	  },
	  gray: {
	    channels: 1,
	    labels: ['gray']
	  }
	}; // hide .channels and .labels properties

	for (var model in convert) {
	  if (convert.hasOwnProperty(model)) {
	    if (!('channels' in convert[model])) {
	      throw new Error('missing channels property: ' + model);
	    }

	    if (!('labels' in convert[model])) {
	      throw new Error('missing channel labels property: ' + model);
	    }

	    if (convert[model].labels.length !== convert[model].channels) {
	      throw new Error('channel and label counts mismatch: ' + model);
	    }

	    var channels = convert[model].channels;
	    var labels = convert[model].labels;
	    delete convert[model].channels;
	    delete convert[model].labels;
	    Object.defineProperty(convert[model], 'channels', {
	      value: channels
	    });
	    Object.defineProperty(convert[model], 'labels', {
	      value: labels
	    });
	  }
	}

	convert.rgb.hsl = function (rgb) {
	  var r = rgb[0] / 255;
	  var g = rgb[1] / 255;
	  var b = rgb[2] / 255;
	  var min = Math.min(r, g, b);
	  var max = Math.max(r, g, b);
	  var delta = max - min;
	  var h;
	  var s;
	  var l;

	  if (max === min) {
	    h = 0;
	  } else if (r === max) {
	    h = (g - b) / delta;
	  } else if (g === max) {
	    h = 2 + (b - r) / delta;
	  } else if (b === max) {
	    h = 4 + (r - g) / delta;
	  }

	  h = Math.min(h * 60, 360);

	  if (h < 0) {
	    h += 360;
	  }

	  l = (min + max) / 2;

	  if (max === min) {
	    s = 0;
	  } else if (l <= 0.5) {
	    s = delta / (max + min);
	  } else {
	    s = delta / (2 - max - min);
	  }

	  return [h, s * 100, l * 100];
	};

	convert.rgb.hsv = function (rgb) {
	  var rdif;
	  var gdif;
	  var bdif;
	  var h;
	  var s;
	  var r = rgb[0] / 255;
	  var g = rgb[1] / 255;
	  var b = rgb[2] / 255;
	  var v = Math.max(r, g, b);
	  var diff = v - Math.min(r, g, b);

	  var diffc = function diffc(c) {
	    return (v - c) / 6 / diff + 1 / 2;
	  };

	  if (diff === 0) {
	    h = s = 0;
	  } else {
	    s = diff / v;
	    rdif = diffc(r);
	    gdif = diffc(g);
	    bdif = diffc(b);

	    if (r === v) {
	      h = bdif - gdif;
	    } else if (g === v) {
	      h = 1 / 3 + rdif - bdif;
	    } else if (b === v) {
	      h = 2 / 3 + gdif - rdif;
	    }

	    if (h < 0) {
	      h += 1;
	    } else if (h > 1) {
	      h -= 1;
	    }
	  }

	  return [h * 360, s * 100, v * 100];
	};

	convert.rgb.hwb = function (rgb) {
	  var r = rgb[0];
	  var g = rgb[1];
	  var b = rgb[2];
	  var h = convert.rgb.hsl(rgb)[0];
	  var w = 1 / 255 * Math.min(r, Math.min(g, b));
	  b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));
	  return [h, w * 100, b * 100];
	};

	convert.rgb.cmyk = function (rgb) {
	  var r = rgb[0] / 255;
	  var g = rgb[1] / 255;
	  var b = rgb[2] / 255;
	  var c;
	  var m;
	  var y;
	  var k;
	  k = Math.min(1 - r, 1 - g, 1 - b);
	  c = (1 - r - k) / (1 - k) || 0;
	  m = (1 - g - k) / (1 - k) || 0;
	  y = (1 - b - k) / (1 - k) || 0;
	  return [c * 100, m * 100, y * 100, k * 100];
	};
	/**
	 * See https://en.m.wikipedia.org/wiki/Euclidean_distance#Squared_Euclidean_distance
	 * */


	function comparativeDistance(x, y) {
	  return Math.pow(x[0] - y[0], 2) + Math.pow(x[1] - y[1], 2) + Math.pow(x[2] - y[2], 2);
	}

	convert.rgb.keyword = function (rgb) {
	  var reversed = reverseKeywords[rgb];

	  if (reversed) {
	    return reversed;
	  }

	  var currentClosestDistance = Infinity;
	  var currentClosestKeyword;

	  for (var keyword in cssKeywords) {
	    if (cssKeywords.hasOwnProperty(keyword)) {
	      var value = cssKeywords[keyword]; // Compute comparative distance

	      var distance = comparativeDistance(rgb, value); // Check if its less, if so set as closest

	      if (distance < currentClosestDistance) {
	        currentClosestDistance = distance;
	        currentClosestKeyword = keyword;
	      }
	    }
	  }

	  return currentClosestKeyword;
	};

	convert.keyword.rgb = function (keyword) {
	  return cssKeywords[keyword];
	};

	convert.rgb.xyz = function (rgb) {
	  var r = rgb[0] / 255;
	  var g = rgb[1] / 255;
	  var b = rgb[2] / 255; // assume sRGB

	  r = r > 0.04045 ? Math.pow((r + 0.055) / 1.055, 2.4) : r / 12.92;
	  g = g > 0.04045 ? Math.pow((g + 0.055) / 1.055, 2.4) : g / 12.92;
	  b = b > 0.04045 ? Math.pow((b + 0.055) / 1.055, 2.4) : b / 12.92;
	  var x = r * 0.4124 + g * 0.3576 + b * 0.1805;
	  var y = r * 0.2126 + g * 0.7152 + b * 0.0722;
	  var z = r * 0.0193 + g * 0.1192 + b * 0.9505;
	  return [x * 100, y * 100, z * 100];
	};

	convert.rgb.lab = function (rgb) {
	  var xyz = convert.rgb.xyz(rgb);
	  var x = xyz[0];
	  var y = xyz[1];
	  var z = xyz[2];
	  var l;
	  var a;
	  var b;
	  x /= 95.047;
	  y /= 100;
	  z /= 108.883;
	  x = x > 0.008856 ? Math.pow(x, 1 / 3) : 7.787 * x + 16 / 116;
	  y = y > 0.008856 ? Math.pow(y, 1 / 3) : 7.787 * y + 16 / 116;
	  z = z > 0.008856 ? Math.pow(z, 1 / 3) : 7.787 * z + 16 / 116;
	  l = 116 * y - 16;
	  a = 500 * (x - y);
	  b = 200 * (y - z);
	  return [l, a, b];
	};

	convert.hsl.rgb = function (hsl) {
	  var h = hsl[0] / 360;
	  var s = hsl[1] / 100;
	  var l = hsl[2] / 100;
	  var t1;
	  var t2;
	  var t3;
	  var rgb;
	  var val;

	  if (s === 0) {
	    val = l * 255;
	    return [val, val, val];
	  }

	  if (l < 0.5) {
	    t2 = l * (1 + s);
	  } else {
	    t2 = l + s - l * s;
	  }

	  t1 = 2 * l - t2;
	  rgb = [0, 0, 0];

	  for (var i = 0; i < 3; i++) {
	    t3 = h + 1 / 3 * -(i - 1);

	    if (t3 < 0) {
	      t3++;
	    }

	    if (t3 > 1) {
	      t3--;
	    }

	    if (6 * t3 < 1) {
	      val = t1 + (t2 - t1) * 6 * t3;
	    } else if (2 * t3 < 1) {
	      val = t2;
	    } else if (3 * t3 < 2) {
	      val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
	    } else {
	      val = t1;
	    }

	    rgb[i] = val * 255;
	  }

	  return rgb;
	};

	convert.hsl.hsv = function (hsl) {
	  var h = hsl[0];
	  var s = hsl[1] / 100;
	  var l = hsl[2] / 100;
	  var smin = s;
	  var lmin = Math.max(l, 0.01);
	  var sv;
	  var v;
	  l *= 2;
	  s *= l <= 1 ? l : 2 - l;
	  smin *= lmin <= 1 ? lmin : 2 - lmin;
	  v = (l + s) / 2;
	  sv = l === 0 ? 2 * smin / (lmin + smin) : 2 * s / (l + s);
	  return [h, sv * 100, v * 100];
	};

	convert.hsv.rgb = function (hsv) {
	  var h = hsv[0] / 60;
	  var s = hsv[1] / 100;
	  var v = hsv[2] / 100;
	  var hi = Math.floor(h) % 6;
	  var f = h - Math.floor(h);
	  var p = 255 * v * (1 - s);
	  var q = 255 * v * (1 - s * f);
	  var t = 255 * v * (1 - s * (1 - f));
	  v *= 255;

	  switch (hi) {
	    case 0:
	      return [v, t, p];

	    case 1:
	      return [q, v, p];

	    case 2:
	      return [p, v, t];

	    case 3:
	      return [p, q, v];

	    case 4:
	      return [t, p, v];

	    case 5:
	      return [v, p, q];
	  }
	};

	convert.hsv.hsl = function (hsv) {
	  var h = hsv[0];
	  var s = hsv[1] / 100;
	  var v = hsv[2] / 100;
	  var vmin = Math.max(v, 0.01);
	  var lmin;
	  var sl;
	  var l;
	  l = (2 - s) * v;
	  lmin = (2 - s) * vmin;
	  sl = s * vmin;
	  sl /= lmin <= 1 ? lmin : 2 - lmin;
	  sl = sl || 0;
	  l /= 2;
	  return [h, sl * 100, l * 100];
	}; // http://dev.w3.org/csswg/css-color/#hwb-to-rgb


	convert.hwb.rgb = function (hwb) {
	  var h = hwb[0] / 360;
	  var wh = hwb[1] / 100;
	  var bl = hwb[2] / 100;
	  var ratio = wh + bl;
	  var i;
	  var v;
	  var f;
	  var n; // wh + bl cant be > 1

	  if (ratio > 1) {
	    wh /= ratio;
	    bl /= ratio;
	  }

	  i = Math.floor(6 * h);
	  v = 1 - bl;
	  f = 6 * h - i;

	  if ((i & 0x01) !== 0) {
	    f = 1 - f;
	  }

	  n = wh + f * (v - wh); // linear interpolation

	  var r;
	  var g;
	  var b;

	  switch (i) {
	    default:
	    case 6:
	    case 0:
	      r = v;
	      g = n;
	      b = wh;
	      break;

	    case 1:
	      r = n;
	      g = v;
	      b = wh;
	      break;

	    case 2:
	      r = wh;
	      g = v;
	      b = n;
	      break;

	    case 3:
	      r = wh;
	      g = n;
	      b = v;
	      break;

	    case 4:
	      r = n;
	      g = wh;
	      b = v;
	      break;

	    case 5:
	      r = v;
	      g = wh;
	      b = n;
	      break;
	  }

	  return [r * 255, g * 255, b * 255];
	};

	convert.cmyk.rgb = function (cmyk) {
	  var c = cmyk[0] / 100;
	  var m = cmyk[1] / 100;
	  var y = cmyk[2] / 100;
	  var k = cmyk[3] / 100;
	  var r;
	  var g;
	  var b;
	  r = 1 - Math.min(1, c * (1 - k) + k);
	  g = 1 - Math.min(1, m * (1 - k) + k);
	  b = 1 - Math.min(1, y * (1 - k) + k);
	  return [r * 255, g * 255, b * 255];
	};

	convert.xyz.rgb = function (xyz) {
	  var x = xyz[0] / 100;
	  var y = xyz[1] / 100;
	  var z = xyz[2] / 100;
	  var r;
	  var g;
	  var b;
	  r = x * 3.2406 + y * -1.5372 + z * -0.4986;
	  g = x * -0.9689 + y * 1.8758 + z * 0.0415;
	  b = x * 0.0557 + y * -0.2040 + z * 1.0570; // assume sRGB

	  r = r > 0.0031308 ? 1.055 * Math.pow(r, 1.0 / 2.4) - 0.055 : r * 12.92;
	  g = g > 0.0031308 ? 1.055 * Math.pow(g, 1.0 / 2.4) - 0.055 : g * 12.92;
	  b = b > 0.0031308 ? 1.055 * Math.pow(b, 1.0 / 2.4) - 0.055 : b * 12.92;
	  r = Math.min(Math.max(0, r), 1);
	  g = Math.min(Math.max(0, g), 1);
	  b = Math.min(Math.max(0, b), 1);
	  return [r * 255, g * 255, b * 255];
	};

	convert.xyz.lab = function (xyz) {
	  var x = xyz[0];
	  var y = xyz[1];
	  var z = xyz[2];
	  var l;
	  var a;
	  var b;
	  x /= 95.047;
	  y /= 100;
	  z /= 108.883;
	  x = x > 0.008856 ? Math.pow(x, 1 / 3) : 7.787 * x + 16 / 116;
	  y = y > 0.008856 ? Math.pow(y, 1 / 3) : 7.787 * y + 16 / 116;
	  z = z > 0.008856 ? Math.pow(z, 1 / 3) : 7.787 * z + 16 / 116;
	  l = 116 * y - 16;
	  a = 500 * (x - y);
	  b = 200 * (y - z);
	  return [l, a, b];
	};

	convert.lab.xyz = function (lab) {
	  var l = lab[0];
	  var a = lab[1];
	  var b = lab[2];
	  var x;
	  var y;
	  var z;
	  y = (l + 16) / 116;
	  x = a / 500 + y;
	  z = y - b / 200;
	  var y2 = Math.pow(y, 3);
	  var x2 = Math.pow(x, 3);
	  var z2 = Math.pow(z, 3);
	  y = y2 > 0.008856 ? y2 : (y - 16 / 116) / 7.787;
	  x = x2 > 0.008856 ? x2 : (x - 16 / 116) / 7.787;
	  z = z2 > 0.008856 ? z2 : (z - 16 / 116) / 7.787;
	  x *= 95.047;
	  y *= 100;
	  z *= 108.883;
	  return [x, y, z];
	};

	convert.lab.lch = function (lab) {
	  var l = lab[0];
	  var a = lab[1];
	  var b = lab[2];
	  var hr;
	  var h;
	  var c;
	  hr = Math.atan2(b, a);
	  h = hr * 360 / 2 / Math.PI;

	  if (h < 0) {
	    h += 360;
	  }

	  c = Math.sqrt(a * a + b * b);
	  return [l, c, h];
	};

	convert.lch.lab = function (lch) {
	  var l = lch[0];
	  var c = lch[1];
	  var h = lch[2];
	  var a;
	  var b;
	  var hr;
	  hr = h / 360 * 2 * Math.PI;
	  a = c * Math.cos(hr);
	  b = c * Math.sin(hr);
	  return [l, a, b];
	};

	convert.rgb.ansi16 = function (args) {
	  var r = args[0];
	  var g = args[1];
	  var b = args[2];
	  var value = 1 in arguments ? arguments[1] : convert.rgb.hsv(args)[2]; // hsv -> ansi16 optimization

	  value = Math.round(value / 50);

	  if (value === 0) {
	    return 30;
	  }

	  var ansi = 30 + (Math.round(b / 255) << 2 | Math.round(g / 255) << 1 | Math.round(r / 255));

	  if (value === 2) {
	    ansi += 60;
	  }

	  return ansi;
	};

	convert.hsv.ansi16 = function (args) {
	  // optimization here; we already know the value and don't need to get
	  // it converted for us.
	  return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
	};

	convert.rgb.ansi256 = function (args) {
	  var r = args[0];
	  var g = args[1];
	  var b = args[2]; // we use the extended greyscale palette here, with the exception of
	  // black and white. normal palette only has 4 greyscale shades.

	  if (r === g && g === b) {
	    if (r < 8) {
	      return 16;
	    }

	    if (r > 248) {
	      return 231;
	    }

	    return Math.round((r - 8) / 247 * 24) + 232;
	  }

	  var ansi = 16 + 36 * Math.round(r / 255 * 5) + 6 * Math.round(g / 255 * 5) + Math.round(b / 255 * 5);
	  return ansi;
	};

	convert.ansi16.rgb = function (args) {
	  var color = args % 10; // handle greyscale

	  if (color === 0 || color === 7) {
	    if (args > 50) {
	      color += 3.5;
	    }

	    color = color / 10.5 * 255;
	    return [color, color, color];
	  }

	  var mult = (~~(args > 50) + 1) * 0.5;
	  var r = (color & 1) * mult * 255;
	  var g = (color >> 1 & 1) * mult * 255;
	  var b = (color >> 2 & 1) * mult * 255;
	  return [r, g, b];
	};

	convert.ansi256.rgb = function (args) {
	  // handle greyscale
	  if (args >= 232) {
	    var c = (args - 232) * 10 + 8;
	    return [c, c, c];
	  }

	  args -= 16;
	  var rem;
	  var r = Math.floor(args / 36) / 5 * 255;
	  var g = Math.floor((rem = args % 36) / 6) / 5 * 255;
	  var b = rem % 6 / 5 * 255;
	  return [r, g, b];
	};

	convert.rgb.hex = function (args) {
	  var integer = ((Math.round(args[0]) & 0xFF) << 16) + ((Math.round(args[1]) & 0xFF) << 8) + (Math.round(args[2]) & 0xFF);
	  var string = integer.toString(16).toUpperCase();
	  return '000000'.substring(string.length) + string;
	};

	convert.hex.rgb = function (args) {
	  var match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);

	  if (!match) {
	    return [0, 0, 0];
	  }

	  var colorString = match[0];

	  if (match[0].length === 3) {
	    colorString = colorString.split('').map(function (char) {
	      return char + char;
	    }).join('');
	  }

	  var integer = parseInt(colorString, 16);
	  var r = integer >> 16 & 0xFF;
	  var g = integer >> 8 & 0xFF;
	  var b = integer & 0xFF;
	  return [r, g, b];
	};

	convert.rgb.hcg = function (rgb) {
	  var r = rgb[0] / 255;
	  var g = rgb[1] / 255;
	  var b = rgb[2] / 255;
	  var max = Math.max(Math.max(r, g), b);
	  var min = Math.min(Math.min(r, g), b);
	  var chroma = max - min;
	  var grayscale;
	  var hue;

	  if (chroma < 1) {
	    grayscale = min / (1 - chroma);
	  } else {
	    grayscale = 0;
	  }

	  if (chroma <= 0) {
	    hue = 0;
	  } else if (max === r) {
	    hue = (g - b) / chroma % 6;
	  } else if (max === g) {
	    hue = 2 + (b - r) / chroma;
	  } else {
	    hue = 4 + (r - g) / chroma + 4;
	  }

	  hue /= 6;
	  hue %= 1;
	  return [hue * 360, chroma * 100, grayscale * 100];
	};

	convert.hsl.hcg = function (hsl) {
	  var s = hsl[1] / 100;
	  var l = hsl[2] / 100;
	  var c = 1;
	  var f = 0;

	  if (l < 0.5) {
	    c = 2.0 * s * l;
	  } else {
	    c = 2.0 * s * (1.0 - l);
	  }

	  if (c < 1.0) {
	    f = (l - 0.5 * c) / (1.0 - c);
	  }

	  return [hsl[0], c * 100, f * 100];
	};

	convert.hsv.hcg = function (hsv) {
	  var s = hsv[1] / 100;
	  var v = hsv[2] / 100;
	  var c = s * v;
	  var f = 0;

	  if (c < 1.0) {
	    f = (v - c) / (1 - c);
	  }

	  return [hsv[0], c * 100, f * 100];
	};

	convert.hcg.rgb = function (hcg) {
	  var h = hcg[0] / 360;
	  var c = hcg[1] / 100;
	  var g = hcg[2] / 100;

	  if (c === 0.0) {
	    return [g * 255, g * 255, g * 255];
	  }

	  var pure = [0, 0, 0];
	  var hi = h % 1 * 6;
	  var v = hi % 1;
	  var w = 1 - v;
	  var mg = 0;

	  switch (Math.floor(hi)) {
	    case 0:
	      pure[0] = 1;
	      pure[1] = v;
	      pure[2] = 0;
	      break;

	    case 1:
	      pure[0] = w;
	      pure[1] = 1;
	      pure[2] = 0;
	      break;

	    case 2:
	      pure[0] = 0;
	      pure[1] = 1;
	      pure[2] = v;
	      break;

	    case 3:
	      pure[0] = 0;
	      pure[1] = w;
	      pure[2] = 1;
	      break;

	    case 4:
	      pure[0] = v;
	      pure[1] = 0;
	      pure[2] = 1;
	      break;

	    default:
	      pure[0] = 1;
	      pure[1] = 0;
	      pure[2] = w;
	  }

	  mg = (1.0 - c) * g;
	  return [(c * pure[0] + mg) * 255, (c * pure[1] + mg) * 255, (c * pure[2] + mg) * 255];
	};

	convert.hcg.hsv = function (hcg) {
	  var c = hcg[1] / 100;
	  var g = hcg[2] / 100;
	  var v = c + g * (1.0 - c);
	  var f = 0;

	  if (v > 0.0) {
	    f = c / v;
	  }

	  return [hcg[0], f * 100, v * 100];
	};

	convert.hcg.hsl = function (hcg) {
	  var c = hcg[1] / 100;
	  var g = hcg[2] / 100;
	  var l = g * (1.0 - c) + 0.5 * c;
	  var s = 0;

	  if (l > 0.0 && l < 0.5) {
	    s = c / (2 * l);
	  } else if (l >= 0.5 && l < 1.0) {
	    s = c / (2 * (1 - l));
	  }

	  return [hcg[0], s * 100, l * 100];
	};

	convert.hcg.hwb = function (hcg) {
	  var c = hcg[1] / 100;
	  var g = hcg[2] / 100;
	  var v = c + g * (1.0 - c);
	  return [hcg[0], (v - c) * 100, (1 - v) * 100];
	};

	convert.hwb.hcg = function (hwb) {
	  var w = hwb[1] / 100;
	  var b = hwb[2] / 100;
	  var v = 1 - b;
	  var c = v - w;
	  var g = 0;

	  if (c < 1) {
	    g = (v - c) / (1 - c);
	  }

	  return [hwb[0], c * 100, g * 100];
	};

	convert.apple.rgb = function (apple) {
	  return [apple[0] / 65535 * 255, apple[1] / 65535 * 255, apple[2] / 65535 * 255];
	};

	convert.rgb.apple = function (rgb) {
	  return [rgb[0] / 255 * 65535, rgb[1] / 255 * 65535, rgb[2] / 255 * 65535];
	};

	convert.gray.rgb = function (args) {
	  return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
	};

	convert.gray.hsl = convert.gray.hsv = function (args) {
	  return [0, 0, args[0]];
	};

	convert.gray.hwb = function (gray) {
	  return [0, 100, gray[0]];
	};

	convert.gray.cmyk = function (gray) {
	  return [0, 0, 0, gray[0]];
	};

	convert.gray.lab = function (gray) {
	  return [gray[0], 0, 0];
	};

	convert.gray.hex = function (gray) {
	  var val = Math.round(gray[0] / 100 * 255) & 0xFF;
	  var integer = (val << 16) + (val << 8) + val;
	  var string = integer.toString(16).toUpperCase();
	  return '000000'.substring(string.length) + string;
	};

	convert.rgb.gray = function (rgb) {
	  var val = (rgb[0] + rgb[1] + rgb[2]) / 3;
	  return [val / 255 * 100];
	};

	/***/ }),

	/***/ "./node_modules/color-convert/index.js":
	/*!*********************************************!*\
	  !*** ./node_modules/color-convert/index.js ***!
	  \*********************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

	var conversions = __webpack_require__(/*! ./conversions */ "./node_modules/color-convert/conversions.js");

	var route = __webpack_require__(/*! ./route */ "./node_modules/color-convert/route.js");

	var convert = {};
	var models = Object.keys(conversions);

	function wrapRaw(fn) {
	  var wrappedFn = function wrappedFn(args) {
	    if (args === undefined || args === null) {
	      return args;
	    }

	    if (arguments.length > 1) {
	      args = Array.prototype.slice.call(arguments);
	    }

	    return fn(args);
	  }; // preserve .conversion property if there is one


	  if ('conversion' in fn) {
	    wrappedFn.conversion = fn.conversion;
	  }

	  return wrappedFn;
	}

	function wrapRounded(fn) {
	  var wrappedFn = function wrappedFn(args) {
	    if (args === undefined || args === null) {
	      return args;
	    }

	    if (arguments.length > 1) {
	      args = Array.prototype.slice.call(arguments);
	    }

	    var result = fn(args); // we're assuming the result is an array here.
	    // see notice in conversions.js; don't use box types
	    // in conversion functions.

	    if (_typeof(result) === 'object') {
	      for (var len = result.length, i = 0; i < len; i++) {
	        result[i] = Math.round(result[i]);
	      }
	    }

	    return result;
	  }; // preserve .conversion property if there is one


	  if ('conversion' in fn) {
	    wrappedFn.conversion = fn.conversion;
	  }

	  return wrappedFn;
	}

	models.forEach(function (fromModel) {
	  convert[fromModel] = {};
	  Object.defineProperty(convert[fromModel], 'channels', {
	    value: conversions[fromModel].channels
	  });
	  Object.defineProperty(convert[fromModel], 'labels', {
	    value: conversions[fromModel].labels
	  });
	  var routes = route(fromModel);
	  var routeModels = Object.keys(routes);
	  routeModels.forEach(function (toModel) {
	    var fn = routes[toModel];
	    convert[fromModel][toModel] = wrapRounded(fn);
	    convert[fromModel][toModel].raw = wrapRaw(fn);
	  });
	});
	module.exports = convert;

	/***/ }),

	/***/ "./node_modules/color-convert/route.js":
	/*!*********************************************!*\
	  !*** ./node_modules/color-convert/route.js ***!
	  \*********************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	var conversions = __webpack_require__(/*! ./conversions */ "./node_modules/color-convert/conversions.js");
	/*
		this function routes a model to all other models.

		all functions that are routed have a property `.conversion` attached
		to the returned synthetic function. This property is an array
		of strings, each with the steps in between the 'from' and 'to'
		color models (inclusive).

		conversions that are not possible simply are not included.
	*/


	function buildGraph() {
	  var graph = {}; // https://jsperf.com/object-keys-vs-for-in-with-closure/3

	  var models = Object.keys(conversions);

	  for (var len = models.length, i = 0; i < len; i++) {
	    graph[models[i]] = {
	      // http://jsperf.com/1-vs-infinity
	      // micro-opt, but this is simple.
	      distance: -1,
	      parent: null
	    };
	  }

	  return graph;
	} // https://en.wikipedia.org/wiki/Breadth-first_search


	function deriveBFS(fromModel) {
	  var graph = buildGraph();
	  var queue = [fromModel]; // unshift -> queue -> pop

	  graph[fromModel].distance = 0;

	  while (queue.length) {
	    var current = queue.pop();
	    var adjacents = Object.keys(conversions[current]);

	    for (var len = adjacents.length, i = 0; i < len; i++) {
	      var adjacent = adjacents[i];
	      var node = graph[adjacent];

	      if (node.distance === -1) {
	        node.distance = graph[current].distance + 1;
	        node.parent = current;
	        queue.unshift(adjacent);
	      }
	    }
	  }

	  return graph;
	}

	function link(from, to) {
	  return function (args) {
	    return to(from(args));
	  };
	}

	function wrapConversion(toModel, graph) {
	  var path = [graph[toModel].parent, toModel];
	  var fn = conversions[graph[toModel].parent][toModel];
	  var cur = graph[toModel].parent;

	  while (graph[cur].parent) {
	    path.unshift(graph[cur].parent);
	    fn = link(conversions[graph[cur].parent][cur], fn);
	    cur = graph[cur].parent;
	  }

	  fn.conversion = path;
	  return fn;
	}

	module.exports = function (fromModel) {
	  var graph = deriveBFS(fromModel);
	  var conversion = {};
	  var models = Object.keys(graph);

	  for (var len = models.length, i = 0; i < len; i++) {
	    var toModel = models[i];
	    var node = graph[toModel];

	    if (node.parent === null) {
	      // no possible conversion, or this node is the source model.
	      continue;
	    }

	    conversion[toModel] = wrapConversion(toModel, graph);
	  }

	  return conversion;
	};

	/***/ }),

	/***/ "./node_modules/color-name/index.js":
	/*!******************************************!*\
	  !*** ./node_modules/color-name/index.js ***!
	  \******************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	module.exports = {
	  "aliceblue": [240, 248, 255],
	  "antiquewhite": [250, 235, 215],
	  "aqua": [0, 255, 255],
	  "aquamarine": [127, 255, 212],
	  "azure": [240, 255, 255],
	  "beige": [245, 245, 220],
	  "bisque": [255, 228, 196],
	  "black": [0, 0, 0],
	  "blanchedalmond": [255, 235, 205],
	  "blue": [0, 0, 255],
	  "blueviolet": [138, 43, 226],
	  "brown": [165, 42, 42],
	  "burlywood": [222, 184, 135],
	  "cadetblue": [95, 158, 160],
	  "chartreuse": [127, 255, 0],
	  "chocolate": [210, 105, 30],
	  "coral": [255, 127, 80],
	  "cornflowerblue": [100, 149, 237],
	  "cornsilk": [255, 248, 220],
	  "crimson": [220, 20, 60],
	  "cyan": [0, 255, 255],
	  "darkblue": [0, 0, 139],
	  "darkcyan": [0, 139, 139],
	  "darkgoldenrod": [184, 134, 11],
	  "darkgray": [169, 169, 169],
	  "darkgreen": [0, 100, 0],
	  "darkgrey": [169, 169, 169],
	  "darkkhaki": [189, 183, 107],
	  "darkmagenta": [139, 0, 139],
	  "darkolivegreen": [85, 107, 47],
	  "darkorange": [255, 140, 0],
	  "darkorchid": [153, 50, 204],
	  "darkred": [139, 0, 0],
	  "darksalmon": [233, 150, 122],
	  "darkseagreen": [143, 188, 143],
	  "darkslateblue": [72, 61, 139],
	  "darkslategray": [47, 79, 79],
	  "darkslategrey": [47, 79, 79],
	  "darkturquoise": [0, 206, 209],
	  "darkviolet": [148, 0, 211],
	  "deeppink": [255, 20, 147],
	  "deepskyblue": [0, 191, 255],
	  "dimgray": [105, 105, 105],
	  "dimgrey": [105, 105, 105],
	  "dodgerblue": [30, 144, 255],
	  "firebrick": [178, 34, 34],
	  "floralwhite": [255, 250, 240],
	  "forestgreen": [34, 139, 34],
	  "fuchsia": [255, 0, 255],
	  "gainsboro": [220, 220, 220],
	  "ghostwhite": [248, 248, 255],
	  "gold": [255, 215, 0],
	  "goldenrod": [218, 165, 32],
	  "gray": [128, 128, 128],
	  "green": [0, 128, 0],
	  "greenyellow": [173, 255, 47],
	  "grey": [128, 128, 128],
	  "honeydew": [240, 255, 240],
	  "hotpink": [255, 105, 180],
	  "indianred": [205, 92, 92],
	  "indigo": [75, 0, 130],
	  "ivory": [255, 255, 240],
	  "khaki": [240, 230, 140],
	  "lavender": [230, 230, 250],
	  "lavenderblush": [255, 240, 245],
	  "lawngreen": [124, 252, 0],
	  "lemonchiffon": [255, 250, 205],
	  "lightblue": [173, 216, 230],
	  "lightcoral": [240, 128, 128],
	  "lightcyan": [224, 255, 255],
	  "lightgoldenrodyellow": [250, 250, 210],
	  "lightgray": [211, 211, 211],
	  "lightgreen": [144, 238, 144],
	  "lightgrey": [211, 211, 211],
	  "lightpink": [255, 182, 193],
	  "lightsalmon": [255, 160, 122],
	  "lightseagreen": [32, 178, 170],
	  "lightskyblue": [135, 206, 250],
	  "lightslategray": [119, 136, 153],
	  "lightslategrey": [119, 136, 153],
	  "lightsteelblue": [176, 196, 222],
	  "lightyellow": [255, 255, 224],
	  "lime": [0, 255, 0],
	  "limegreen": [50, 205, 50],
	  "linen": [250, 240, 230],
	  "magenta": [255, 0, 255],
	  "maroon": [128, 0, 0],
	  "mediumaquamarine": [102, 205, 170],
	  "mediumblue": [0, 0, 205],
	  "mediumorchid": [186, 85, 211],
	  "mediumpurple": [147, 112, 219],
	  "mediumseagreen": [60, 179, 113],
	  "mediumslateblue": [123, 104, 238],
	  "mediumspringgreen": [0, 250, 154],
	  "mediumturquoise": [72, 209, 204],
	  "mediumvioletred": [199, 21, 133],
	  "midnightblue": [25, 25, 112],
	  "mintcream": [245, 255, 250],
	  "mistyrose": [255, 228, 225],
	  "moccasin": [255, 228, 181],
	  "navajowhite": [255, 222, 173],
	  "navy": [0, 0, 128],
	  "oldlace": [253, 245, 230],
	  "olive": [128, 128, 0],
	  "olivedrab": [107, 142, 35],
	  "orange": [255, 165, 0],
	  "orangered": [255, 69, 0],
	  "orchid": [218, 112, 214],
	  "palegoldenrod": [238, 232, 170],
	  "palegreen": [152, 251, 152],
	  "paleturquoise": [175, 238, 238],
	  "palevioletred": [219, 112, 147],
	  "papayawhip": [255, 239, 213],
	  "peachpuff": [255, 218, 185],
	  "peru": [205, 133, 63],
	  "pink": [255, 192, 203],
	  "plum": [221, 160, 221],
	  "powderblue": [176, 224, 230],
	  "purple": [128, 0, 128],
	  "rebeccapurple": [102, 51, 153],
	  "red": [255, 0, 0],
	  "rosybrown": [188, 143, 143],
	  "royalblue": [65, 105, 225],
	  "saddlebrown": [139, 69, 19],
	  "salmon": [250, 128, 114],
	  "sandybrown": [244, 164, 96],
	  "seagreen": [46, 139, 87],
	  "seashell": [255, 245, 238],
	  "sienna": [160, 82, 45],
	  "silver": [192, 192, 192],
	  "skyblue": [135, 206, 235],
	  "slateblue": [106, 90, 205],
	  "slategray": [112, 128, 144],
	  "slategrey": [112, 128, 144],
	  "snow": [255, 250, 250],
	  "springgreen": [0, 255, 127],
	  "steelblue": [70, 130, 180],
	  "tan": [210, 180, 140],
	  "teal": [0, 128, 128],
	  "thistle": [216, 191, 216],
	  "tomato": [255, 99, 71],
	  "turquoise": [64, 224, 208],
	  "violet": [238, 130, 238],
	  "wheat": [245, 222, 179],
	  "white": [255, 255, 255],
	  "whitesmoke": [245, 245, 245],
	  "yellow": [255, 255, 0],
	  "yellowgreen": [154, 205, 50]
	};

	/***/ }),

	/***/ "./node_modules/react-is/cjs/react-is.development.js":
	/*!***********************************************************!*\
	  !*** ./node_modules/react-is/cjs/react-is.development.js ***!
	  \***********************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {
	/** @license React v16.8.4
	 * react-is.development.js
	 *
	 * Copyright (c) Facebook, Inc. and its affiliates.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */


	function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

	{
	  (function () {

	    Object.defineProperty(exports, '__esModule', {
	      value: true
	    }); // The Symbol used to tag the ReactElement-like types. If there is no native Symbol
	    // nor polyfill, then a plain number is used for performance.

	    var hasSymbol = typeof Symbol === 'function' && Symbol.for;
	    var REACT_ELEMENT_TYPE = hasSymbol ? Symbol.for('react.element') : 0xeac7;
	    var REACT_PORTAL_TYPE = hasSymbol ? Symbol.for('react.portal') : 0xeaca;
	    var REACT_FRAGMENT_TYPE = hasSymbol ? Symbol.for('react.fragment') : 0xeacb;
	    var REACT_STRICT_MODE_TYPE = hasSymbol ? Symbol.for('react.strict_mode') : 0xeacc;
	    var REACT_PROFILER_TYPE = hasSymbol ? Symbol.for('react.profiler') : 0xead2;
	    var REACT_PROVIDER_TYPE = hasSymbol ? Symbol.for('react.provider') : 0xeacd;
	    var REACT_CONTEXT_TYPE = hasSymbol ? Symbol.for('react.context') : 0xeace;
	    var REACT_ASYNC_MODE_TYPE = hasSymbol ? Symbol.for('react.async_mode') : 0xeacf;
	    var REACT_CONCURRENT_MODE_TYPE = hasSymbol ? Symbol.for('react.concurrent_mode') : 0xeacf;
	    var REACT_FORWARD_REF_TYPE = hasSymbol ? Symbol.for('react.forward_ref') : 0xead0;
	    var REACT_SUSPENSE_TYPE = hasSymbol ? Symbol.for('react.suspense') : 0xead1;
	    var REACT_MEMO_TYPE = hasSymbol ? Symbol.for('react.memo') : 0xead3;
	    var REACT_LAZY_TYPE = hasSymbol ? Symbol.for('react.lazy') : 0xead4;

	    function isValidElementType(type) {
	      return typeof type === 'string' || typeof type === 'function' || // Note: its typeof might be other than 'symbol' or 'number' if it's a polyfill.
	      type === REACT_FRAGMENT_TYPE || type === REACT_CONCURRENT_MODE_TYPE || type === REACT_PROFILER_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || _typeof(type) === 'object' && type !== null && (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE);
	    }
	    /**
	     * Forked from fbjs/warning:
	     * https://github.com/facebook/fbjs/blob/e66ba20ad5be433eb54423f2b097d829324d9de6/packages/fbjs/src/__forks__/warning.js
	     *
	     * Only change is we use console.warn instead of console.error,
	     * and do nothing when 'console' is not supported.
	     * This really simplifies the code.
	     * ---
	     * Similar to invariant but only logs a warning if the condition is not met.
	     * This can be used to log issues in development environments in critical
	     * paths. Removing the logging code for production environments will keep the
	     * same logic and follow the same code paths.
	     */


	    var lowPriorityWarning = function lowPriorityWarning() {};

	    {
	      var printWarning = function printWarning(format) {
	        for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
	          args[_key - 1] = arguments[_key];
	        }

	        var argIndex = 0;
	        var message = 'Warning: ' + format.replace(/%s/g, function () {
	          return args[argIndex++];
	        });

	        if (typeof console !== 'undefined') {
	          console.warn(message);
	        }

	        try {
	          // --- Welcome to debugging React ---
	          // This error was thrown as a convenience so that you can use this stack
	          // to find the callsite that caused this warning to fire.
	          throw new Error(message);
	        } catch (x) {}
	      };

	      lowPriorityWarning = function lowPriorityWarning(condition, format) {
	        if (format === undefined) {
	          throw new Error('`lowPriorityWarning(condition, format, ...args)` requires a warning ' + 'message argument');
	        }

	        if (!condition) {
	          for (var _len2 = arguments.length, args = Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
	            args[_key2 - 2] = arguments[_key2];
	          }

	          printWarning.apply(undefined, [format].concat(args));
	        }
	      };
	    }
	    var lowPriorityWarning$1 = lowPriorityWarning;

	    function typeOf(object) {
	      if (_typeof(object) === 'object' && object !== null) {
	        var $$typeof = object.$$typeof;

	        switch ($$typeof) {
	          case REACT_ELEMENT_TYPE:
	            var type = object.type;

	            switch (type) {
	              case REACT_ASYNC_MODE_TYPE:
	              case REACT_CONCURRENT_MODE_TYPE:
	              case REACT_FRAGMENT_TYPE:
	              case REACT_PROFILER_TYPE:
	              case REACT_STRICT_MODE_TYPE:
	              case REACT_SUSPENSE_TYPE:
	                return type;

	              default:
	                var $$typeofType = type && type.$$typeof;

	                switch ($$typeofType) {
	                  case REACT_CONTEXT_TYPE:
	                  case REACT_FORWARD_REF_TYPE:
	                  case REACT_PROVIDER_TYPE:
	                    return $$typeofType;

	                  default:
	                    return $$typeof;
	                }

	            }

	          case REACT_LAZY_TYPE:
	          case REACT_MEMO_TYPE:
	          case REACT_PORTAL_TYPE:
	            return $$typeof;
	        }
	      }

	      return undefined;
	    } // AsyncMode is deprecated along with isAsyncMode


	    var AsyncMode = REACT_ASYNC_MODE_TYPE;
	    var ConcurrentMode = REACT_CONCURRENT_MODE_TYPE;
	    var ContextConsumer = REACT_CONTEXT_TYPE;
	    var ContextProvider = REACT_PROVIDER_TYPE;
	    var Element = REACT_ELEMENT_TYPE;
	    var ForwardRef = REACT_FORWARD_REF_TYPE;
	    var Fragment = REACT_FRAGMENT_TYPE;
	    var Lazy = REACT_LAZY_TYPE;
	    var Memo = REACT_MEMO_TYPE;
	    var Portal = REACT_PORTAL_TYPE;
	    var Profiler = REACT_PROFILER_TYPE;
	    var StrictMode = REACT_STRICT_MODE_TYPE;
	    var Suspense = REACT_SUSPENSE_TYPE;
	    var hasWarnedAboutDeprecatedIsAsyncMode = false; // AsyncMode should be deprecated

	    function isAsyncMode(object) {
	      {
	        if (!hasWarnedAboutDeprecatedIsAsyncMode) {
	          hasWarnedAboutDeprecatedIsAsyncMode = true;
	          lowPriorityWarning$1(false, 'The ReactIs.isAsyncMode() alias has been deprecated, ' + 'and will be removed in React 17+. Update your code to use ' + 'ReactIs.isConcurrentMode() instead. It has the exact same API.');
	        }
	      }
	      return isConcurrentMode(object) || typeOf(object) === REACT_ASYNC_MODE_TYPE;
	    }

	    function isConcurrentMode(object) {
	      return typeOf(object) === REACT_CONCURRENT_MODE_TYPE;
	    }

	    function isContextConsumer(object) {
	      return typeOf(object) === REACT_CONTEXT_TYPE;
	    }

	    function isContextProvider(object) {
	      return typeOf(object) === REACT_PROVIDER_TYPE;
	    }

	    function isElement(object) {
	      return _typeof(object) === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
	    }

	    function isForwardRef(object) {
	      return typeOf(object) === REACT_FORWARD_REF_TYPE;
	    }

	    function isFragment(object) {
	      return typeOf(object) === REACT_FRAGMENT_TYPE;
	    }

	    function isLazy(object) {
	      return typeOf(object) === REACT_LAZY_TYPE;
	    }

	    function isMemo(object) {
	      return typeOf(object) === REACT_MEMO_TYPE;
	    }

	    function isPortal(object) {
	      return typeOf(object) === REACT_PORTAL_TYPE;
	    }

	    function isProfiler(object) {
	      return typeOf(object) === REACT_PROFILER_TYPE;
	    }

	    function isStrictMode(object) {
	      return typeOf(object) === REACT_STRICT_MODE_TYPE;
	    }

	    function isSuspense(object) {
	      return typeOf(object) === REACT_SUSPENSE_TYPE;
	    }

	    exports.typeOf = typeOf;
	    exports.AsyncMode = AsyncMode;
	    exports.ConcurrentMode = ConcurrentMode;
	    exports.ContextConsumer = ContextConsumer;
	    exports.ContextProvider = ContextProvider;
	    exports.Element = Element;
	    exports.ForwardRef = ForwardRef;
	    exports.Fragment = Fragment;
	    exports.Lazy = Lazy;
	    exports.Memo = Memo;
	    exports.Portal = Portal;
	    exports.Profiler = Profiler;
	    exports.StrictMode = StrictMode;
	    exports.Suspense = Suspense;
	    exports.isValidElementType = isValidElementType;
	    exports.isAsyncMode = isAsyncMode;
	    exports.isConcurrentMode = isConcurrentMode;
	    exports.isContextConsumer = isContextConsumer;
	    exports.isContextProvider = isContextProvider;
	    exports.isElement = isElement;
	    exports.isForwardRef = isForwardRef;
	    exports.isFragment = isFragment;
	    exports.isLazy = isLazy;
	    exports.isMemo = isMemo;
	    exports.isPortal = isPortal;
	    exports.isProfiler = isProfiler;
	    exports.isStrictMode = isStrictMode;
	    exports.isSuspense = isSuspense;
	  })();
	}

	/***/ }),

	/***/ "./node_modules/react-is/index.js":
	/*!****************************************!*\
	  !*** ./node_modules/react-is/index.js ***!
	  \****************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	{
	  module.exports = __webpack_require__(/*! ./cjs/react-is.development.js */ "./node_modules/react-is/cjs/react-is.development.js");
	}

	/***/ }),

	/***/ "./node_modules/webpack/buildin/module.js":
	/*!***********************************!*\
	  !*** (webpack)/buildin/module.js ***!
	  \***********************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	module.exports = function (module) {
	  if (!module.webpackPolyfill) {
	    module.deprecate = function () {};

	    module.paths = []; // module.parent = undefined by default

	    if (!module.children) module.children = [];
	    Object.defineProperty(module, "loaded", {
	      enumerable: true,
	      get: function get() {
	        return module.l;
	      }
	    });
	    Object.defineProperty(module, "id", {
	      enumerable: true,
	      get: function get() {
	        return module.i;
	      }
	    });
	    module.webpackPolyfill = 1;
	  }

	  return module;
	};

	/***/ }),

	/***/ "./packages/pretty-format/src/collections.ts":
	/*!***************************************************!*\
	  !*** ./packages/pretty-format/src/collections.ts ***!
	  \***************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.printIteratorEntries = printIteratorEntries;
	exports.printIteratorValues = printIteratorValues;
	exports.printListItems = printListItems;
	exports.printObjectProperties = printObjectProperties;

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 *
	 */
	var getKeysOfEnumerableProperties = function getKeysOfEnumerableProperties(object) {
	  var keys = Object.keys(object).sort();

	  if (Object.getOwnPropertySymbols) {
	    Object.getOwnPropertySymbols(object).forEach(function (symbol) {
	      if (Object.getOwnPropertyDescriptor(object, symbol).enumerable) {
	        keys.push(symbol);
	      }
	    });
	  }

	  return keys;
	};
	/**
	 * Return entries (for example, of a map)
	 * with spacing, indentation, and comma
	 * without surrounding punctuation (for example, braces)
	 */


	function printIteratorEntries( // Flow 0.51.0: property `@@iterator` of $Iterator not found in Object
	// To allow simplistic getRecordIterator in immutable.js
	iterator, config, indentation, depth, refs, printer) {
	  var separator = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : ': ';
	  var result = '';
	  var current = iterator.next();

	  if (!current.done) {
	    result += config.spacingOuter;
	    var indentationNext = indentation + config.indent;

	    while (!current.done) {
	      var name = printer(current.value[0], config, indentationNext, depth, refs);
	      var value = printer(current.value[1], config, indentationNext, depth, refs);
	      result += indentationNext + name + separator + value;
	      current = iterator.next();

	      if (!current.done) {
	        result += ',' + config.spacingInner;
	      } else if (!config.min) {
	        result += ',';
	      }
	    }

	    result += config.spacingOuter + indentation;
	  }

	  return result;
	}
	/**
	 * Return values (for example, of a set)
	 * with spacing, indentation, and comma
	 * without surrounding punctuation (braces or brackets)
	 */


	function printIteratorValues(iterator, config, indentation, depth, refs, printer) {
	  var result = '';
	  var current = iterator.next();

	  if (!current.done) {
	    result += config.spacingOuter;
	    var indentationNext = indentation + config.indent;

	    while (!current.done) {
	      result += indentationNext + printer(current.value, config, indentationNext, depth, refs);
	      current = iterator.next();

	      if (!current.done) {
	        result += ',' + config.spacingInner;
	      } else if (!config.min) {
	        result += ',';
	      }
	    }

	    result += config.spacingOuter + indentation;
	  }

	  return result;
	}
	/**
	 * Return items (for example, of an array)
	 * with spacing, indentation, and comma
	 * without surrounding punctuation (for example, brackets)
	 **/


	function printListItems(list, config, indentation, depth, refs, printer) {
	  var result = '';

	  if (list.length) {
	    result += config.spacingOuter;
	    var indentationNext = indentation + config.indent;

	    for (var i = 0; i < list.length; i++) {
	      result += indentationNext + printer(list[i], config, indentationNext, depth, refs);

	      if (i < list.length - 1) {
	        result += ',' + config.spacingInner;
	      } else if (!config.min) {
	        result += ',';
	      }
	    }

	    result += config.spacingOuter + indentation;
	  }

	  return result;
	}
	/**
	 * Return properties of an object
	 * with spacing, indentation, and comma
	 * without surrounding punctuation (for example, braces)
	 */


	function printObjectProperties(val, config, indentation, depth, refs, printer) {
	  var result = '';
	  var keys = getKeysOfEnumerableProperties(val);

	  if (keys.length) {
	    result += config.spacingOuter;
	    var indentationNext = indentation + config.indent;

	    for (var i = 0; i < keys.length; i++) {
	      var key = keys[i];
	      var name = printer(key, config, indentationNext, depth, refs);
	      var value = printer(val[key], config, indentationNext, depth, refs);
	      result += indentationNext + name + ': ' + value;

	      if (i < keys.length - 1) {
	        result += ',' + config.spacingInner;
	      } else if (!config.min) {
	        result += ',';
	      }
	    }

	    result += config.spacingOuter + indentation;
	  }

	  return result;
	}

	/***/ }),

	/***/ "./packages/pretty-format/src/index.ts":
	/*!*********************************************!*\
	  !*** ./packages/pretty-format/src/index.ts ***!
	  \*********************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	var _ansiStyles = _interopRequireDefault(__webpack_require__(/*! ansi-styles */ "./node_modules/ansi-styles/index.js"));

	var _collections = __webpack_require__(/*! ./collections */ "./packages/pretty-format/src/collections.ts");

	var _AsymmetricMatcher = _interopRequireDefault(__webpack_require__(/*! ./plugins/AsymmetricMatcher */ "./packages/pretty-format/src/plugins/AsymmetricMatcher.ts"));

	var _ConvertAnsi = _interopRequireDefault(__webpack_require__(/*! ./plugins/ConvertAnsi */ "./packages/pretty-format/src/plugins/ConvertAnsi.ts"));

	var _DOMCollection = _interopRequireDefault(__webpack_require__(/*! ./plugins/DOMCollection */ "./packages/pretty-format/src/plugins/DOMCollection.ts"));

	var _DOMElement = _interopRequireDefault(__webpack_require__(/*! ./plugins/DOMElement */ "./packages/pretty-format/src/plugins/DOMElement.ts"));

	var _Immutable = _interopRequireDefault(__webpack_require__(/*! ./plugins/Immutable */ "./packages/pretty-format/src/plugins/Immutable.ts"));

	var _ReactElement = _interopRequireDefault(__webpack_require__(/*! ./plugins/ReactElement */ "./packages/pretty-format/src/plugins/ReactElement.ts"));

	var _ReactTestComponent = _interopRequireDefault(__webpack_require__(/*! ./plugins/ReactTestComponent */ "./packages/pretty-format/src/plugins/ReactTestComponent.ts"));

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

	function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

	function _wrapNativeSuper(Class) { var _cache = typeof Map === "function" ? new Map() : undefined; _wrapNativeSuper = function _wrapNativeSuper(Class) { if (Class === null || !_isNativeFunction(Class)) return Class; if (typeof Class !== "function") { throw new TypeError("Super expression must either be null or a function"); } if (typeof _cache !== "undefined") { if (_cache.has(Class)) return _cache.get(Class); _cache.set(Class, Wrapper); } function Wrapper() { return _construct(Class, arguments, _getPrototypeOf(this).constructor); } Wrapper.prototype = Object.create(Class.prototype, { constructor: { value: Wrapper, enumerable: false, writable: true, configurable: true } }); return _setPrototypeOf(Wrapper, Class); }; return _wrapNativeSuper(Class); }

	function isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

	function _construct(Parent, args, Class) { if (isNativeReflectConstruct()) { _construct = Reflect.construct; } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }

	function _isNativeFunction(fn) { return Function.toString.call(fn).indexOf("[native code]") !== -1; }

	function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

	function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

	var toString = Object.prototype.toString;
	var toISOString = Date.prototype.toISOString;
	var errorToString = Error.prototype.toString;
	var regExpToString = RegExp.prototype.toString;
	var symbolToString = Symbol.prototype.toString;
	/**
	 * Explicitly comparing typeof constructor to function avoids undefined as name
	 * when mock identity-obj-proxy returns the key as the value for any key.
	 */

	var getConstructorName = function getConstructorName(val) {
	  return typeof val.constructor === 'function' && val.constructor.name || 'Object';
	};
	/* global window */

	/** Is val is equal to global window object? Works even if it does not exist :) */


	var isWindow = function isWindow(val) {
	  return typeof window !== 'undefined' && val === window;
	};

	var SYMBOL_REGEXP = /^Symbol\((.*)\)(.*)$/;
	var NEWLINE_REGEXP = /\n/gi;

	var PrettyFormatPluginError =
	/*#__PURE__*/
	function (_Error) {
	  _inherits(PrettyFormatPluginError, _Error);

	  function PrettyFormatPluginError(message, stack) {
	    var _this;

	    _classCallCheck(this, PrettyFormatPluginError);

	    _this = _possibleConstructorReturn(this, _getPrototypeOf(PrettyFormatPluginError).call(this, message));
	    _this.stack = stack;
	    _this.name = _this.constructor.name;
	    return _this;
	  }

	  return PrettyFormatPluginError;
	}(_wrapNativeSuper(Error));

	function isToStringedArrayType(toStringed) {
	  return toStringed === '[object Array]' || toStringed === '[object ArrayBuffer]' || toStringed === '[object DataView]' || toStringed === '[object Float32Array]' || toStringed === '[object Float64Array]' || toStringed === '[object Int8Array]' || toStringed === '[object Int16Array]' || toStringed === '[object Int32Array]' || toStringed === '[object Uint8Array]' || toStringed === '[object Uint8ClampedArray]' || toStringed === '[object Uint16Array]' || toStringed === '[object Uint32Array]';
	}

	function printNumber(val) {
	  return Object.is(val, -0) ? '-0' : String(val);
	}

	function printBigInt(val) {
	  return String("".concat(val, "n"));
	}

	function printFunction(val, printFunctionName) {
	  if (!printFunctionName) {
	    return '[Function]';
	  }

	  return '[Function ' + (val.name || 'anonymous') + ']';
	}

	function printSymbol(val) {
	  return symbolToString.call(val).replace(SYMBOL_REGEXP, 'Symbol($1)');
	}

	function printError(val) {
	  return '[' + errorToString.call(val) + ']';
	}
	/**
	 * The first port of call for printing an object, handles most of the
	 * data-types in JS.
	 */


	function printBasicValue(val, printFunctionName, escapeRegex, escapeString) {
	  if (val === true || val === false) {
	    return '' + val;
	  }

	  if (val === undefined) {
	    return 'undefined';
	  }

	  if (val === null) {
	    return 'null';
	  }

	  var typeOf = _typeof(val);

	  if (typeOf === 'number') {
	    return printNumber(val);
	  }

	  if (typeOf === 'bigint') {
	    return printBigInt(val);
	  }

	  if (typeOf === 'string') {
	    if (escapeString) {
	      return '"' + val.replace(/"|\\/g, '\\$&') + '"';
	    }

	    return '"' + val + '"';
	  }

	  if (typeOf === 'function') {
	    return printFunction(val, printFunctionName);
	  }

	  if (typeOf === 'symbol') {
	    return printSymbol(val);
	  }

	  var toStringed = toString.call(val);

	  if (toStringed === '[object WeakMap]') {
	    return 'WeakMap {}';
	  }

	  if (toStringed === '[object WeakSet]') {
	    return 'WeakSet {}';
	  }

	  if (toStringed === '[object Function]' || toStringed === '[object GeneratorFunction]') {
	    return printFunction(val, printFunctionName);
	  }

	  if (toStringed === '[object Symbol]') {
	    return printSymbol(val);
	  }

	  if (toStringed === '[object Date]') {
	    return isNaN(+val) ? 'Date { NaN }' : toISOString.call(val);
	  }

	  if (toStringed === '[object Error]') {
	    return printError(val);
	  }

	  if (toStringed === '[object RegExp]') {
	    if (escapeRegex) {
	      // https://github.com/benjamingr/RegExp.escape/blob/master/polyfill.js
	      return regExpToString.call(val).replace(/[\\^$*+?.()|[\]{}]/g, '\\$&');
	    }

	    return regExpToString.call(val);
	  }

	  if (val instanceof Error) {
	    return printError(val);
	  }

	  return null;
	}
	/**
	 * Handles more complex objects ( such as objects with circular references.
	 * maps and sets etc )
	 */


	function printComplexValue(val, config, indentation, depth, refs, hasCalledToJSON) {
	  if (refs.indexOf(val) !== -1) {
	    return '[Circular]';
	  }

	  refs = refs.slice();
	  refs.push(val);
	  var hitMaxDepth = ++depth > config.maxDepth;
	  var min = config.min;

	  if (config.callToJSON && !hitMaxDepth && val.toJSON && typeof val.toJSON === 'function' && !hasCalledToJSON) {
	    return printer(val.toJSON(), config, indentation, depth, refs, true);
	  }

	  var toStringed = toString.call(val);

	  if (toStringed === '[object Arguments]') {
	    return hitMaxDepth ? '[Arguments]' : (min ? '' : 'Arguments ') + '[' + (0, _collections.printListItems)(val, config, indentation, depth, refs, printer) + ']';
	  }

	  if (isToStringedArrayType(toStringed)) {
	    return hitMaxDepth ? '[' + val.constructor.name + ']' : (min ? '' : val.constructor.name + ' ') + '[' + (0, _collections.printListItems)(val, config, indentation, depth, refs, printer) + ']';
	  }

	  if (toStringed === '[object Map]') {
	    return hitMaxDepth ? '[Map]' : 'Map {' + (0, _collections.printIteratorEntries)(val.entries(), config, indentation, depth, refs, printer, ' => ') + '}';
	  }

	  if (toStringed === '[object Set]') {
	    return hitMaxDepth ? '[Set]' : 'Set {' + (0, _collections.printIteratorValues)(val.values(), config, indentation, depth, refs, printer) + '}';
	  } // Avoid failure to serialize global window object in jsdom test environment.
	  // For example, not even relevant if window is prop of React element.


	  return hitMaxDepth || isWindow(val) ? '[' + getConstructorName(val) + ']' : (min ? '' : getConstructorName(val) + ' ') + '{' + (0, _collections.printObjectProperties)(val, config, indentation, depth, refs, printer) + '}';
	}

	function isNewPlugin(plugin) {
	  return plugin.serialize != null;
	}

	function printPlugin(plugin, val, config, indentation, depth, refs) {
	  var printed;

	  try {
	    printed = isNewPlugin(plugin) ? plugin.serialize(val, config, indentation, depth, refs, printer) : plugin.print(val, function (valChild) {
	      return printer(valChild, config, indentation, depth, refs);
	    }, function (str) {
	      var indentationNext = indentation + config.indent;
	      return indentationNext + str.replace(NEWLINE_REGEXP, '\n' + indentationNext);
	    }, {
	      edgeSpacing: config.spacingOuter,
	      min: config.min,
	      spacing: config.spacingInner
	    }, config.colors);
	  } catch (error) {
	    throw new PrettyFormatPluginError(error.message, error.stack);
	  }

	  if (typeof printed !== 'string') {
	    throw new Error("pretty-format: Plugin must return type \"string\" but instead returned \"".concat(_typeof(printed), "\"."));
	  }

	  return printed;
	}

	function findPlugin(plugins, val) {
	  for (var p = 0; p < plugins.length; p++) {
	    try {
	      if (plugins[p].test(val)) {
	        return plugins[p];
	      }
	    } catch (error) {
	      throw new PrettyFormatPluginError(error.message, error.stack);
	    }
	  }

	  return null;
	}

	function printer(val, config, indentation, depth, refs, hasCalledToJSON) {
	  var plugin = findPlugin(config.plugins, val);

	  if (plugin !== null) {
	    return printPlugin(plugin, val, config, indentation, depth, refs);
	  }

	  var basicResult = printBasicValue(val, config.printFunctionName, config.escapeRegex, config.escapeString);

	  if (basicResult !== null) {
	    return basicResult;
	  }

	  return printComplexValue(val, config, indentation, depth, refs, hasCalledToJSON);
	}

	var DEFAULT_THEME = {
	  comment: 'gray',
	  content: 'reset',
	  prop: 'yellow',
	  tag: 'cyan',
	  value: 'green'
	};
	var DEFAULT_THEME_KEYS = Object.keys(DEFAULT_THEME);
	var DEFAULT_OPTIONS = {
	  callToJSON: true,
	  escapeRegex: false,
	  escapeString: true,
	  highlight: false,
	  indent: 2,
	  maxDepth: Infinity,
	  min: false,
	  plugins: [],
	  printFunctionName: true,
	  theme: DEFAULT_THEME
	};

	function validateOptions(options) {
	  Object.keys(options).forEach(function (key) {
	    if (!DEFAULT_OPTIONS.hasOwnProperty(key)) {
	      throw new Error("pretty-format: Unknown option \"".concat(key, "\"."));
	    }
	  });

	  if (options.min && options.indent !== undefined && options.indent !== 0) {
	    throw new Error('pretty-format: Options "min" and "indent" cannot be used together.');
	  }

	  if (options.theme !== undefined) {
	    if (options.theme === null) {
	      throw new Error("pretty-format: Option \"theme\" must not be null.");
	    }

	    if (_typeof(options.theme) !== 'object') {
	      throw new Error("pretty-format: Option \"theme\" must be of type \"object\" but instead received \"".concat(_typeof(options.theme), "\"."));
	    }
	  }
	}

	var getColorsHighlight = function getColorsHighlight(options) {
	  return DEFAULT_THEME_KEYS.reduce(function (colors, key) {
	    var value = options.theme && options.theme[key] !== undefined ? options.theme[key] : DEFAULT_THEME[key];
	    var color = _ansiStyles.default[value];

	    if (color && typeof color.close === 'string' && typeof color.open === 'string') {
	      colors[key] = color;
	    } else {
	      throw new Error("pretty-format: Option \"theme\" has a key \"".concat(key, "\" whose value \"").concat(value, "\" is undefined in ansi-styles."));
	    }

	    return colors;
	  }, Object.create(null));
	};

	var getColorsEmpty = function getColorsEmpty() {
	  return DEFAULT_THEME_KEYS.reduce(function (colors, key) {
	    colors[key] = {
	      close: '',
	      open: ''
	    };
	    return colors;
	  }, Object.create(null));
	};

	var getPrintFunctionName = function getPrintFunctionName(options) {
	  return options && options.printFunctionName !== undefined ? options.printFunctionName : DEFAULT_OPTIONS.printFunctionName;
	};

	var getEscapeRegex = function getEscapeRegex(options) {
	  return options && options.escapeRegex !== undefined ? options.escapeRegex : DEFAULT_OPTIONS.escapeRegex;
	};

	var getEscapeString = function getEscapeString(options) {
	  return options && options.escapeString !== undefined ? options.escapeString : DEFAULT_OPTIONS.escapeString;
	};

	var getConfig = function getConfig(options) {
	  return {
	    callToJSON: options && options.callToJSON !== undefined ? options.callToJSON : DEFAULT_OPTIONS.callToJSON,
	    colors: options && options.highlight ? getColorsHighlight(options) : getColorsEmpty(),
	    escapeRegex: getEscapeRegex(options),
	    escapeString: getEscapeString(options),
	    indent: options && options.min ? '' : createIndent(options && options.indent !== undefined ? options.indent : DEFAULT_OPTIONS.indent),
	    maxDepth: options && options.maxDepth !== undefined ? options.maxDepth : DEFAULT_OPTIONS.maxDepth,
	    min: options && options.min !== undefined ? options.min : DEFAULT_OPTIONS.min,
	    plugins: options && options.plugins !== undefined ? options.plugins : DEFAULT_OPTIONS.plugins,
	    printFunctionName: getPrintFunctionName(options),
	    spacingInner: options && options.min ? ' ' : '\n',
	    spacingOuter: options && options.min ? '' : '\n'
	  };
	};

	function createIndent(indent) {
	  return new Array(indent + 1).join(' ');
	}
	/**
	 * Returns a presentation string of your `val` object
	 * @param val any potential JavaScript object
	 * @param options Custom settings
	 */


	function prettyFormat(val, options) {
	  if (options) {
	    validateOptions(options);

	    if (options.plugins) {
	      var plugin = findPlugin(options.plugins, val);

	      if (plugin !== null) {
	        return printPlugin(plugin, val, getConfig(options), '', 0, []);
	      }
	    }
	  }

	  var basicResult = printBasicValue(val, getPrintFunctionName(options), getEscapeRegex(options), getEscapeString(options));

	  if (basicResult !== null) {
	    return basicResult;
	  }

	  return printComplexValue(val, getConfig(options), '', 0, []);
	}

	prettyFormat.plugins = {
	  AsymmetricMatcher: _AsymmetricMatcher.default,
	  ConvertAnsi: _ConvertAnsi.default,
	  DOMCollection: _DOMCollection.default,
	  DOMElement: _DOMElement.default,
	  Immutable: _Immutable.default,
	  ReactElement: _ReactElement.default,
	  ReactTestComponent: _ReactTestComponent.default
	};
	/* eslint-disable-next-line no-redeclare */

	module.exports = prettyFormat;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/AsymmetricMatcher.ts":
	/*!*****************************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/AsymmetricMatcher.ts ***!
	  \*****************************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.test = exports.serialize = void 0;

	var _collections = __webpack_require__(/*! ../collections */ "./packages/pretty-format/src/collections.ts");

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	var asymmetricMatcher = Symbol.for('jest.asymmetricMatcher');
	var SPACE = ' ';

	var serialize = function serialize(val, config, indentation, depth, refs, printer) {
	  var stringedValue = val.toString();

	  if (stringedValue === 'ArrayContaining' || stringedValue === 'ArrayNotContaining') {
	    if (++depth > config.maxDepth) {
	      return '[' + stringedValue + ']';
	    }

	    return stringedValue + SPACE + '[' + (0, _collections.printListItems)(val.sample, config, indentation, depth, refs, printer) + ']';
	  }

	  if (stringedValue === 'ObjectContaining' || stringedValue === 'ObjectNotContaining') {
	    if (++depth > config.maxDepth) {
	      return '[' + stringedValue + ']';
	    }

	    return stringedValue + SPACE + '{' + (0, _collections.printObjectProperties)(val.sample, config, indentation, depth, refs, printer) + '}';
	  }

	  if (stringedValue === 'StringMatching' || stringedValue === 'StringNotMatching') {
	    return stringedValue + SPACE + printer(val.sample, config, indentation, depth, refs);
	  }

	  if (stringedValue === 'StringContaining' || stringedValue === 'StringNotContaining') {
	    return stringedValue + SPACE + printer(val.sample, config, indentation, depth, refs);
	  }

	  return val.toAsymmetricMatcher();
	};

	exports.serialize = serialize;

	var test = function test(val) {
	  return val && val.$$typeof === asymmetricMatcher;
	};

	exports.test = test;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/ConvertAnsi.ts":
	/*!***********************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/ConvertAnsi.ts ***!
	  \***********************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.serialize = exports.test = void 0;

	var _ansiRegex = _interopRequireDefault(__webpack_require__(/*! ansi-regex */ "./node_modules/ansi-regex/index.js"));

	var _ansiStyles = _interopRequireDefault(__webpack_require__(/*! ansi-styles */ "./node_modules/ansi-styles/index.js"));

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	var toHumanReadableAnsi = function toHumanReadableAnsi(text) {
	  return text.replace((0, _ansiRegex.default)(), function (match) {
	    switch (match) {
	      case _ansiStyles.default.red.close:
	      case _ansiStyles.default.green.close:
	      case _ansiStyles.default.cyan.close:
	      case _ansiStyles.default.gray.close:
	      case _ansiStyles.default.white.close:
	      case _ansiStyles.default.yellow.close:
	      case _ansiStyles.default.bgRed.close:
	      case _ansiStyles.default.bgGreen.close:
	      case _ansiStyles.default.bgYellow.close:
	      case _ansiStyles.default.inverse.close:
	      case _ansiStyles.default.dim.close:
	      case _ansiStyles.default.bold.close:
	      case _ansiStyles.default.reset.open:
	      case _ansiStyles.default.reset.close:
	        return '</>';

	      case _ansiStyles.default.red.open:
	        return '<red>';

	      case _ansiStyles.default.green.open:
	        return '<green>';

	      case _ansiStyles.default.cyan.open:
	        return '<cyan>';

	      case _ansiStyles.default.gray.open:
	        return '<gray>';

	      case _ansiStyles.default.white.open:
	        return '<white>';

	      case _ansiStyles.default.yellow.open:
	        return '<yellow>';

	      case _ansiStyles.default.bgRed.open:
	        return '<bgRed>';

	      case _ansiStyles.default.bgGreen.open:
	        return '<bgGreen>';

	      case _ansiStyles.default.bgYellow.open:
	        return '<bgYellow>';

	      case _ansiStyles.default.inverse.open:
	        return '<inverse>';

	      case _ansiStyles.default.dim.open:
	        return '<dim>';

	      case _ansiStyles.default.bold.open:
	        return '<bold>';

	      default:
	        return '';
	    }
	  });
	};

	var test = function test(val) {
	  return typeof val === 'string' && !!val.match((0, _ansiRegex.default)());
	};

	exports.test = test;

	var serialize = function serialize(val, config, indentation, depth, refs, printer) {
	  return printer(toHumanReadableAnsi(val), config, indentation, depth, refs);
	};

	exports.serialize = serialize;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/DOMCollection.ts":
	/*!*************************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/DOMCollection.ts ***!
	  \*************************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.serialize = exports.test = void 0;

	var _collections = __webpack_require__(/*! ../collections */ "./packages/pretty-format/src/collections.ts");

	function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

	function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

	var SPACE = ' ';
	var OBJECT_NAMES = ['DOMStringMap', 'NamedNodeMap'];
	var ARRAY_REGEXP = /^(HTML\w*Collection|NodeList)$/;

	var testName = function testName(name) {
	  return OBJECT_NAMES.indexOf(name) !== -1 || ARRAY_REGEXP.test(name);
	};

	var test = function test(val) {
	  return val && val.constructor && val.constructor.name && testName(val.constructor.name);
	}; // Convert array of attribute objects to props object.


	exports.test = test;

	var propsReducer = function propsReducer(props, attribute) {
	  props[attribute.name] = attribute.value;
	  return props;
	};

	var serialize = function serialize(collection, config, indentation, depth, refs, printer) {
	  var name = collection.constructor.name;

	  if (++depth > config.maxDepth) {
	    return '[' + name + ']';
	  }

	  return (config.min ? '' : name + SPACE) + (OBJECT_NAMES.indexOf(name) !== -1 ? '{' + (0, _collections.printObjectProperties)(name === 'NamedNodeMap' ? Array.prototype.reduce.call(collection, propsReducer, {}) : _objectSpread({}, collection), config, indentation, depth, refs, printer) + '}' : '[' + (0, _collections.printListItems)(Array.from(collection), config, indentation, depth, refs, printer) + ']');
	};

	exports.serialize = serialize;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/DOMElement.ts":
	/*!**********************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/DOMElement.ts ***!
	  \**********************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.serialize = exports.test = void 0;

	var _markup = __webpack_require__(/*! ./lib/markup */ "./packages/pretty-format/src/plugins/lib/markup.ts");

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	var ELEMENT_NODE = 1;
	var TEXT_NODE = 3;
	var COMMENT_NODE = 8;
	var FRAGMENT_NODE = 11;
	var ELEMENT_REGEXP = /^((HTML|SVG)\w*)?Element$/;

	var testNode = function testNode(nodeType, name) {
	  return nodeType === ELEMENT_NODE && ELEMENT_REGEXP.test(name) || nodeType === TEXT_NODE && name === 'Text' || nodeType === COMMENT_NODE && name === 'Comment' || nodeType === FRAGMENT_NODE && name === 'DocumentFragment';
	};

	var test = function test(val) {
	  return val && val.constructor && val.constructor.name && testNode(val.nodeType, val.constructor.name);
	};

	exports.test = test;

	function nodeIsText(node) {
	  return node.nodeType === TEXT_NODE;
	}

	function nodeIsComment(node) {
	  return node.nodeType === COMMENT_NODE;
	}

	function nodeIsFragment(node) {
	  return node.nodeType === FRAGMENT_NODE;
	}

	var serialize = function serialize(node, config, indentation, depth, refs, printer) {
	  if (nodeIsText(node)) {
	    return (0, _markup.printText)(node.data, config);
	  }

	  if (nodeIsComment(node)) {
	    return (0, _markup.printComment)(node.data, config);
	  }

	  var type = nodeIsFragment(node) ? "DocumentFragment" : node.tagName.toLowerCase();

	  if (++depth > config.maxDepth) {
	    return (0, _markup.printElementAsLeaf)(type, config);
	  }

	  return (0, _markup.printElement)(type, (0, _markup.printProps)(nodeIsFragment(node) ? [] : Array.from(node.attributes).map(function (attr) {
	    return attr.name;
	  }).sort(), nodeIsFragment(node) ? [] : Array.from(node.attributes).reduce(function (props, attribute) {
	    props[attribute.name] = attribute.value;
	    return props;
	  }, {}), config, indentation + config.indent, depth, refs, printer), (0, _markup.printChildren)(Array.prototype.slice.call(node.childNodes || node.children), config, indentation + config.indent, depth, refs, printer), config, indentation);
	};

	exports.serialize = serialize;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/Immutable.ts":
	/*!*********************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/Immutable.ts ***!
	  \*********************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.test = exports.serialize = void 0;

	var _collections = __webpack_require__(/*! ../collections */ "./packages/pretty-format/src/collections.ts");

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	// SENTINEL constants are from https://github.com/facebook/immutable-js
	var IS_ITERABLE_SENTINEL = '@@__IMMUTABLE_ITERABLE__@@';
	var IS_LIST_SENTINEL = '@@__IMMUTABLE_LIST__@@';
	var IS_KEYED_SENTINEL = '@@__IMMUTABLE_KEYED__@@';
	var IS_MAP_SENTINEL = '@@__IMMUTABLE_MAP__@@';
	var IS_ORDERED_SENTINEL = '@@__IMMUTABLE_ORDERED__@@';
	var IS_RECORD_SENTINEL = '@@__IMMUTABLE_RECORD__@@'; // immutable v4

	var IS_SEQ_SENTINEL = '@@__IMMUTABLE_SEQ__@@';
	var IS_SET_SENTINEL = '@@__IMMUTABLE_SET__@@';
	var IS_STACK_SENTINEL = '@@__IMMUTABLE_STACK__@@';

	var getImmutableName = function getImmutableName(name) {
	  return 'Immutable.' + name;
	};

	var printAsLeaf = function printAsLeaf(name) {
	  return '[' + name + ']';
	};

	var SPACE = ' ';
	var LAZY = '…'; // Seq is lazy if it calls a method like filter

	var printImmutableEntries = function printImmutableEntries(val, config, indentation, depth, refs, printer, type) {
	  return ++depth > config.maxDepth ? printAsLeaf(getImmutableName(type)) : getImmutableName(type) + SPACE + '{' + (0, _collections.printIteratorEntries)(val.entries(), config, indentation, depth, refs, printer) + '}';
	}; // Record has an entries method because it is a collection in immutable v3.
	// Return an iterator for Immutable Record from version v3 or v4.


	var getRecordEntries = function getRecordEntries(val) {
	  var i = 0;
	  return {
	    next: function next() {
	      if (i < val._keys.length) {
	        var key = val._keys[i++];
	        return {
	          done: false,
	          value: [key, val.get(key)]
	        };
	      }

	      return {
	        done: true
	      };
	    }
	  };
	};

	var printImmutableRecord = function printImmutableRecord(val, config, indentation, depth, refs, printer) {
	  // _name property is defined only for an Immutable Record instance
	  // which was constructed with a second optional descriptive name arg
	  var name = getImmutableName(val._name || 'Record');
	  return ++depth > config.maxDepth ? printAsLeaf(name) : name + SPACE + '{' + (0, _collections.printIteratorEntries)(getRecordEntries(val), config, indentation, depth, refs, printer) + '}';
	};

	var printImmutableSeq = function printImmutableSeq(val, config, indentation, depth, refs, printer) {
	  var name = getImmutableName('Seq');

	  if (++depth > config.maxDepth) {
	    return printAsLeaf(name);
	  }

	  if (val[IS_KEYED_SENTINEL]) {
	    return name + SPACE + '{' + ( // from Immutable collection of entries or from ECMAScript object
	    val._iter || val._object ? (0, _collections.printIteratorEntries)(val.entries(), config, indentation, depth, refs, printer) : LAZY) + '}';
	  }

	  return name + SPACE + '[' + (val._iter || // from Immutable collection of values
	  val._array || // from ECMAScript array
	  val._collection || // from ECMAScript collection in immutable v4
	  val._iterable // from ECMAScript collection in immutable v3
	  ? (0, _collections.printIteratorValues)(val.values(), config, indentation, depth, refs, printer) : LAZY) + ']';
	};

	var printImmutableValues = function printImmutableValues(val, config, indentation, depth, refs, printer, type) {
	  return ++depth > config.maxDepth ? printAsLeaf(getImmutableName(type)) : getImmutableName(type) + SPACE + '[' + (0, _collections.printIteratorValues)(val.values(), config, indentation, depth, refs, printer) + ']';
	};

	var serialize = function serialize(val, config, indentation, depth, refs, printer) {
	  if (val[IS_MAP_SENTINEL]) {
	    return printImmutableEntries(val, config, indentation, depth, refs, printer, val[IS_ORDERED_SENTINEL] ? 'OrderedMap' : 'Map');
	  }

	  if (val[IS_LIST_SENTINEL]) {
	    return printImmutableValues(val, config, indentation, depth, refs, printer, 'List');
	  }

	  if (val[IS_SET_SENTINEL]) {
	    return printImmutableValues(val, config, indentation, depth, refs, printer, val[IS_ORDERED_SENTINEL] ? 'OrderedSet' : 'Set');
	  }

	  if (val[IS_STACK_SENTINEL]) {
	    return printImmutableValues(val, config, indentation, depth, refs, printer, 'Stack');
	  }

	  if (val[IS_SEQ_SENTINEL]) {
	    return printImmutableSeq(val, config, indentation, depth, refs, printer);
	  } // For compatibility with immutable v3 and v4, let record be the default.


	  return printImmutableRecord(val, config, indentation, depth, refs, printer);
	}; // Explicitly comparing sentinel properties to true avoids false positive
	// when mock identity-obj-proxy returns the key as the value for any key.


	exports.serialize = serialize;

	var test = function test(val) {
	  return val && (val[IS_ITERABLE_SENTINEL] === true || val[IS_RECORD_SENTINEL] === true);
	};

	exports.test = test;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/ReactElement.ts":
	/*!************************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/ReactElement.ts ***!
	  \************************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.test = exports.serialize = void 0;

	var ReactIs = _interopRequireWildcard(__webpack_require__(/*! react-is */ "./node_modules/react-is/index.js"));

	var _markup = __webpack_require__(/*! ./lib/markup */ "./packages/pretty-format/src/plugins/lib/markup.ts");

	function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

	function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

	// Given element.props.children, or subtree during recursive traversal,
	// return flattened array of children.
	var getChildren = function getChildren(arg) {
	  var children = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	  if (Array.isArray(arg)) {
	    arg.forEach(function (item) {
	      getChildren(item, children);
	    });
	  } else if (arg != null && arg !== false) {
	    children.push(arg);
	  }

	  return children;
	};

	var getType = function getType(element) {
	  var type = element.type;

	  if (typeof type === 'string') {
	    return type;
	  }

	  if (typeof type === 'function') {
	    return type.displayName || type.name || 'Unknown';
	  }

	  if (ReactIs.isFragment(element)) {
	    return 'React.Fragment';
	  }

	  if (ReactIs.isSuspense(element)) {
	    return 'React.Suspense';
	  }

	  if (_typeof(type) === 'object' && type !== null) {
	    if (ReactIs.isContextProvider(element)) {
	      return 'Context.Provider';
	    }

	    if (ReactIs.isContextConsumer(element)) {
	      return 'Context.Consumer';
	    }

	    if (ReactIs.isForwardRef(element)) {
	      var functionName = type.render.displayName || type.render.name || '';
	      return functionName !== '' ? 'ForwardRef(' + functionName + ')' : 'ForwardRef';
	    }

	    if (ReactIs.isMemo(type)) {
	      var _functionName = type.type.displayName || type.type.name || '';

	      return _functionName !== '' ? 'Memo(' + _functionName + ')' : 'Memo';
	    }
	  }

	  return 'UNDEFINED';
	};

	var getPropKeys = function getPropKeys(element) {
	  var props = element.props;
	  return Object.keys(props).filter(function (key) {
	    return key !== 'children' && props[key] !== undefined;
	  }).sort();
	};

	var serialize = function serialize(element, config, indentation, depth, refs, printer) {
	  return ++depth > config.maxDepth ? (0, _markup.printElementAsLeaf)(getType(element), config) : (0, _markup.printElement)(getType(element), (0, _markup.printProps)(getPropKeys(element), element.props, config, indentation + config.indent, depth, refs, printer), (0, _markup.printChildren)(getChildren(element.props.children), config, indentation + config.indent, depth, refs, printer), config, indentation);
	};

	exports.serialize = serialize;

	var test = function test(val) {
	  return val && ReactIs.isElement(val);
	};

	exports.test = test;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/ReactTestComponent.ts":
	/*!******************************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/ReactTestComponent.ts ***!
	  \******************************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = exports.test = exports.serialize = void 0;

	var _markup = __webpack_require__(/*! ./lib/markup */ "./packages/pretty-format/src/plugins/lib/markup.ts");

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	// Child can be `number` in Stack renderer but not in Fiber renderer.
	var testSymbol = Symbol.for('react.test.json');

	var getPropKeys = function getPropKeys(object) {
	  var props = object.props;
	  return props ? Object.keys(props).filter(function (key) {
	    return props[key] !== undefined;
	  }).sort() : [];
	};

	var serialize = function serialize(object, config, indentation, depth, refs, printer) {
	  return ++depth > config.maxDepth ? (0, _markup.printElementAsLeaf)(object.type, config) : (0, _markup.printElement)(object.type, object.props ? (0, _markup.printProps)(getPropKeys(object), object.props, config, indentation + config.indent, depth, refs, printer) : '', object.children ? (0, _markup.printChildren)(object.children, config, indentation + config.indent, depth, refs, printer) : '', config, indentation);
	};

	exports.serialize = serialize;

	var test = function test(val) {
	  return val && val.$$typeof === testSymbol;
	};

	exports.test = test;
	var plugin = {
	  serialize: serialize,
	  test: test
	};
	var _default = plugin;
	exports.default = _default;

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/lib/escapeHTML.ts":
	/*!**************************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/lib/escapeHTML.ts ***!
	  \**************************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = escapeHTML;

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	function escapeHTML(str) {
	  return str.replace(/</g, '&lt;').replace(/>/g, '&gt;');
	}

	/***/ }),

	/***/ "./packages/pretty-format/src/plugins/lib/markup.ts":
	/*!**********************************************************!*\
	  !*** ./packages/pretty-format/src/plugins/lib/markup.ts ***!
	  \**********************************************************/
	/*! no static exports found */
	/***/ (function(module, exports, __webpack_require__) {


	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.printElementAsLeaf = exports.printElement = exports.printComment = exports.printText = exports.printChildren = exports.printProps = void 0;

	var _escapeHTML = _interopRequireDefault(__webpack_require__(/*! ./escapeHTML */ "./packages/pretty-format/src/plugins/lib/escapeHTML.ts"));

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/**
	 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
	 *
	 * This source code is licensed under the MIT license found in the
	 * LICENSE file in the root directory of this source tree.
	 */
	// Return empty string if keys is empty.
	var printProps = function printProps(keys, props, config, indentation, depth, refs, printer) {
	  var indentationNext = indentation + config.indent;
	  var colors = config.colors;
	  return keys.map(function (key) {
	    var value = props[key];
	    var printed = printer(value, config, indentationNext, depth, refs);

	    if (typeof value !== 'string') {
	      if (printed.indexOf('\n') !== -1) {
	        printed = config.spacingOuter + indentationNext + printed + config.spacingOuter + indentation;
	      }

	      printed = '{' + printed + '}';
	    }

	    return config.spacingInner + indentation + colors.prop.open + key + colors.prop.close + '=' + colors.value.open + printed + colors.value.close;
	  }).join('');
	}; // Return empty string if children is empty.


	exports.printProps = printProps;

	var printChildren = function printChildren(children, config, indentation, depth, refs, printer) {
	  return children.map(function (child) {
	    return config.spacingOuter + indentation + (typeof child === 'string' ? printText(child, config) : printer(child, config, indentation, depth, refs));
	  }).join('');
	};

	exports.printChildren = printChildren;

	var printText = function printText(text, config) {
	  var contentColor = config.colors.content;
	  return contentColor.open + (0, _escapeHTML.default)(text) + contentColor.close;
	};

	exports.printText = printText;

	var printComment = function printComment(comment, config) {
	  var commentColor = config.colors.comment;
	  return commentColor.open + '<!--' + (0, _escapeHTML.default)(comment) + '-->' + commentColor.close;
	}; // Separate the functions to format props, children, and element,
	// so a plugin could override a particular function, if needed.
	// Too bad, so sad: the traditional (but unnecessary) space
	// in a self-closing tagColor requires a second test of printedProps.


	exports.printComment = printComment;

	var printElement = function printElement(type, printedProps, printedChildren, config, indentation) {
	  var tagColor = config.colors.tag;
	  return tagColor.open + '<' + type + (printedProps && tagColor.close + printedProps + config.spacingOuter + indentation + tagColor.open) + (printedChildren ? '>' + tagColor.close + printedChildren + config.spacingOuter + indentation + tagColor.open + '</' + type : (printedProps && !config.min ? '' : ' ') + '/') + '>' + tagColor.close;
	};

	exports.printElement = printElement;

	var printElementAsLeaf = function printElementAsLeaf(type, config) {
	  var tagColor = config.colors.tag;
	  return tagColor.open + '<' + type + tagColor.close + ' …' + tagColor.open + ' />' + tagColor.close;
	};

	exports.printElementAsLeaf = printElementAsLeaf;

	/***/ })

	/******/ });
	});

	});

	var prettyFormat = unwrapExports(buildEs5);

	var ariaPropsMap_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});


	var ariaPropsMap = new Map([['aria-activedescendant', {
	  'type': 'id'
	}], ['aria-atomic', {
	  'type': 'boolean'
	}], ['aria-autocomplete', {
	  'type': 'token',
	  'values': ['inline', 'list', 'both', 'none']
	}], ['aria-busy', {
	  'type': 'boolean'
	}], ['aria-checked', {
	  'type': 'tristate'
	}], ['aria-colcount', {
	  type: 'integer'
	}], ['aria-colindex', {
	  type: 'integer'
	}], ['aria-colspan', {
	  type: 'integer'
	}], ['aria-controls', {
	  'type': 'idlist'
	}], ['aria-current', {
	  type: 'token',
	  values: ['page', 'step', 'location', 'date', 'time', true, false]
	}], ['aria-describedby', {
	  'type': 'idlist'
	}], ['aria-disabled', {
	  'type': 'boolean'
	}], ['aria-dropeffect', {
	  'type': 'tokenlist',
	  'values': ['copy', 'move', 'link', 'execute', 'popup', 'none']
	}], ['aria-errormessage', {
	  'type': 'string'
	}], ['aria-expanded', {
	  'type': 'boolean',
	  'allowundefined': true
	}], ['aria-flowto', {
	  'type': 'idlist'
	}], ['aria-grabbed', {
	  'type': 'boolean',
	  'allowundefined': true
	}], ['aria-haspopup', {
	  'type': 'token',
	  'values': [false, true, 'menu', 'listbox', 'tree', 'grid', 'dialog']
	}], ['aria-hidden', {
	  'type': 'boolean'
	}], ['aria-invalid', {
	  'type': 'token',
	  'values': ['grammar', false, 'spelling', true]
	}], ['aria-keyshortcuts', {
	  type: 'string'
	}], ['aria-label', {
	  'type': 'string'
	}], ['aria-labelledby', {
	  'type': 'idlist'
	}], ['aria-level', {
	  'type': 'integer'
	}], ['aria-live', {
	  'type': 'token',
	  'values': ['off', 'polite', 'assertive']
	}], ['aria-modal', {
	  type: 'boolean'
	}], ['aria-multiline', {
	  'type': 'boolean'
	}], ['aria-multiselectable', {
	  'type': 'boolean'
	}], ['aria-orientation', {
	  'type': 'token',
	  'values': ['vertical', 'horizontal']
	}], ['aria-owns', {
	  'type': 'idlist'
	}], ['aria-placeholder', {
	  type: 'string'
	}], ['aria-posinset', {
	  'type': 'integer'
	}], ['aria-pressed', {
	  'type': 'tristate'
	}], ['aria-readonly', {
	  'type': 'boolean'
	}], ['aria-relevant', {
	  'type': 'tokenlist',
	  'values': ['additions', 'removals', 'text', 'all']
	}], ['aria-required', {
	  'type': 'boolean'
	}], ['aria-roledescription', {
	  type: 'string'
	}], ['aria-rowcount', {
	  type: 'integer'
	}], ['aria-rowindex', {
	  type: 'integer'
	}], ['aria-rowspan', {
	  type: 'integer'
	}], ['aria-selected', {
	  'type': 'boolean',
	  'allowundefined': true
	}], ['aria-setsize', {
	  'type': 'integer'
	}], ['aria-sort', {
	  'type': 'token',
	  'values': ['ascending', 'descending', 'none', 'other']
	}], ['aria-valuemax', {
	  'type': 'number'
	}], ['aria-valuemin', {
	  'type': 'number'
	}], ['aria-valuenow', {
	  'type': 'number'
	}], ['aria-valuetext', {
	  'type': 'string'
	}]]);

	exports.default = ariaPropsMap;
	});

	unwrapExports(ariaPropsMap_1);

	var domMap_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var domMap = new Map([['a', {
	  reserved: false
	}], ['abbr', {
	  reserved: false
	}], ['acronym', {
	  reserved: false
	}], ['address', {
	  reserved: false
	}], ['applet', {
	  reserved: false
	}], ['area', {
	  reserved: false
	}], ['article', {
	  reserved: false
	}], ['aside', {
	  reserved: false
	}], ['audio', {
	  reserved: false
	}], ['b', {
	  reserved: false
	}], ['base', {
	  reserved: true
	}], ['bdi', {
	  reserved: false
	}], ['bdo', {
	  reserved: false
	}], ['big', {
	  reserved: false
	}], ['blink', {
	  reserved: false
	}], ['blockquote', {
	  reserved: false
	}], ['body', {
	  reserved: false
	}], ['br', {
	  reserved: false
	}], ['button', {
	  reserved: false
	}], ['canvas', {
	  reserved: false
	}], ['caption', {
	  reserved: false
	}], ['center', {
	  reserved: false
	}], ['cite', {
	  reserved: false
	}], ['code', {
	  reserved: false
	}], ['col', {
	  reserved: true
	}], ['colgroup', {
	  reserved: true
	}], ['content', {
	  reserved: false
	}], ['data', {
	  reserved: false
	}], ['datalist', {
	  reserved: false
	}], ['dd', {
	  reserved: false
	}], ['del', {
	  reserved: false
	}], ['details', {
	  reserved: false
	}], ['dfn', {
	  reserved: false
	}], ['dialog', {
	  reserved: false
	}], ['dir', {
	  reserved: false
	}], ['div', {
	  reserved: false
	}], ['dl', {
	  reserved: false
	}], ['dt', {
	  reserved: false
	}], ['em', {
	  reserved: false
	}], ['embed', {
	  reserved: false
	}], ['fieldset', {
	  reserved: false
	}], ['figcaption', {
	  reserved: false
	}], ['figure', {
	  reserved: false
	}], ['font', {
	  reserved: false
	}], ['footer', {
	  reserved: false
	}], ['form', {
	  reserved: false
	}], ['frame', {
	  reserved: false
	}], ['frameset', {
	  reserved: false
	}], ['h1', {
	  reserved: false
	}], ['h2', {
	  reserved: false
	}], ['h3', {
	  reserved: false
	}], ['h4', {
	  reserved: false
	}], ['h5', {
	  reserved: false
	}], ['h6', {
	  reserved: false
	}], ['head', {
	  reserved: true
	}], ['header', {
	  reserved: false
	}], ['hgroup', {
	  reserved: false
	}], ['hr', {
	  reserved: false
	}], ['html', {
	  reserved: true
	}], ['i', {
	  reserved: false
	}], ['iframe', {
	  reserved: false
	}], ['img', {
	  reserved: false
	}], ['input', {
	  reserved: false
	}], ['ins', {
	  reserved: false
	}], ['kbd', {
	  reserved: false
	}], ['keygen', {
	  reserved: false
	}], ['label', {
	  reserved: false
	}], ['legend', {
	  reserved: false
	}], ['li', {
	  reserved: false
	}], ['link', {
	  reserved: true
	}], ['main', {
	  reserved: false
	}], ['map', {
	  reserved: false
	}], ['mark', {
	  reserved: false
	}], ['marquee', {
	  reserved: false
	}], ['menu', {
	  reserved: false
	}], ['menuitem', {
	  reserved: false
	}], ['meta', {
	  reserved: true
	}], ['meter', {
	  reserved: false
	}], ['nav', {
	  reserved: false
	}], ['noembed', {
	  reserved: true
	}], ['noscript', {
	  reserved: true
	}], ['object', {
	  reserved: false
	}], ['ol', {
	  reserved: false
	}], ['optgroup', {
	  reserved: false
	}], ['option', {
	  reserved: false
	}], ['output', {
	  reserved: false
	}], ['p', {
	  reserved: false
	}], ['param', {
	  reserved: true
	}], ['picture', {
	  reserved: true
	}], ['pre', {
	  reserved: false
	}], ['progress', {
	  reserved: false
	}], ['q', {
	  reserved: false
	}], ['rp', {
	  reserved: false
	}], ['rt', {
	  reserved: false
	}], ['rtc', {
	  reserved: false
	}], ['ruby', {
	  reserved: false
	}], ['s', {
	  reserved: false
	}], ['samp', {
	  reserved: false
	}], ['script', {
	  reserved: true
	}], ['section', {
	  reserved: false
	}], ['select', {
	  reserved: false
	}], ['small', {
	  reserved: false
	}], ['source', {
	  reserved: true
	}], ['spacer', {
	  reserved: false
	}], ['span', {
	  reserved: false
	}], ['strike', {
	  reserved: false
	}], ['strong', {
	  reserved: false
	}], ['style', {
	  reserved: true
	}], ['sub', {
	  reserved: false
	}], ['summary', {
	  reserved: false
	}], ['sup', {
	  reserved: false
	}], ['table', {
	  reserved: false
	}], ['tbody', {
	  reserved: false
	}], ['td', {
	  reserved: false
	}], ['textarea', {
	  reserved: false
	}], ['tfoot', {
	  reserved: false
	}], ['th', {
	  reserved: false
	}], ['thead', {
	  reserved: false
	}], ['time', {
	  reserved: false
	}], ['title', {
	  reserved: true
	}], ['tr', {
	  reserved: false
	}], ['track', {
	  reserved: true
	}], ['tt', {
	  reserved: false
	}], ['u', {
	  reserved: false
	}], ['ul', {
	  reserved: false
	}], ['var', {
	  reserved: false
	}], ['video', {
	  reserved: false
	}], ['wbr', {
	  reserved: false
	}], ['xmp', {
	  reserved: false
	}]]);

	exports.default = domMap;
	});

	unwrapExports(domMap_1);

	var commandRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var commandRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'menuitem'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget']]
	};

	exports.default = commandRole;
	});

	unwrapExports(commandRole_1);

	var compositeRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var compositeRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-activedescendant': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget']]
	};

	exports.default = compositeRole;
	});

	unwrapExports(compositeRole_1);

	var inputRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var inputRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'XForms',
	    concept: {
	      name: 'input'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget']]
	};

	exports.default = inputRole;
	});

	unwrapExports(inputRole_1);

	var landmarkRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var landmarkRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = landmarkRole;
	});

	unwrapExports(landmarkRole_1);

	var rangeRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var rangeRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-valuemax': null,
	    'aria-valuemin': null,
	    'aria-valuenow': null,
	    'aria-valuetext': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget']]
	};

	exports.default = rangeRole;
	});

	unwrapExports(rangeRole_1);

	var roletypeRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var roletypeRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-atomic': null,
	    'aria-busy': null,
	    'aria-controls': null,
	    'aria-current': null,
	    'aria-describedby': null,
	    'aria-details': null,
	    'aria-disabled': null,
	    'aria-dropeffect': null,
	    'aria-errormessage': null,
	    'aria-flowto': null,
	    'aria-grabbed': null,
	    'aria-haspopup': null,
	    'aria-hidden': null,
	    'aria-invalid': null,
	    'aria-keyshortcuts': null,
	    'aria-label': null,
	    'aria-labelledby': null,
	    'aria-live': null,
	    'aria-owns': null,
	    'aria-relevant': null,
	    'aria-roledescription': null
	  },
	  relatedConcepts: [{
	    module: 'XHTML',
	    concept: {
	      name: 'role'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'rel'
	    }
	  }, {
	    module: 'Dublin Core',
	    concept: {
	      name: 'type'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: []
	};

	exports.default = roletypeRole;
	});

	unwrapExports(roletypeRole_1);

	var sectionRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var sectionRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: [],
	  props: {
	    'aria-expanded': null
	  },
	  relatedConcepts: [{
	    module: 'DTB',
	    concept: {
	      name: 'frontmatter'
	    }
	  }, {
	    module: 'DTB',
	    concept: {
	      name: 'level'
	    }
	  }, {
	    module: 'SMIL',
	    concept: {
	      name: 'level'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = sectionRole;
	});

	unwrapExports(sectionRole_1);

	var sectionheadRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var sectionheadRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-expanded': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = sectionheadRole;
	});

	unwrapExports(sectionheadRole_1);

	var selectRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var selectRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-orientation': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite'], ['roletype', 'structure', 'section', 'group']]
	};

	exports.default = selectRole;
	});

	unwrapExports(selectRole_1);

	var structureRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var structureRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: [],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype']]
	};

	exports.default = structureRole;
	});

	unwrapExports(structureRole_1);

	var widgetRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var widgetRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: [],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype']]
	};

	exports.default = widgetRole;
	});

	unwrapExports(widgetRole_1);

	var windowRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var windowRole = {
	  abstract: true,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-expanded': null,
	    'aria-modal': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype']]
	};

	exports.default = windowRole;
	});

	unwrapExports(windowRole_1);

	var ariaAbstractRoles_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});



	var _commandRole2 = _interopRequireDefault(commandRole_1);



	var _compositeRole2 = _interopRequireDefault(compositeRole_1);



	var _inputRole2 = _interopRequireDefault(inputRole_1);



	var _landmarkRole2 = _interopRequireDefault(landmarkRole_1);



	var _rangeRole2 = _interopRequireDefault(rangeRole_1);



	var _roletypeRole2 = _interopRequireDefault(roletypeRole_1);



	var _sectionRole2 = _interopRequireDefault(sectionRole_1);



	var _sectionheadRole2 = _interopRequireDefault(sectionheadRole_1);



	var _selectRole2 = _interopRequireDefault(selectRole_1);



	var _structureRole2 = _interopRequireDefault(structureRole_1);



	var _widgetRole2 = _interopRequireDefault(widgetRole_1);



	var _windowRole2 = _interopRequireDefault(windowRole_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var ariaAbstractRoles = new Map([['command', _commandRole2.default], ['composite', _compositeRole2.default], ['input', _inputRole2.default], ['landmark', _landmarkRole2.default], ['range', _rangeRole2.default], ['roletype', _roletypeRole2.default], ['section', _sectionRole2.default], ['sectionhead', _sectionheadRole2.default], ['select', _selectRole2.default], ['structure', _structureRole2.default], ['widget', _widgetRole2.default], ['window', _windowRole2.default]]);

	exports.default = ariaAbstractRoles;
	});

	unwrapExports(ariaAbstractRoles_1);

	var alertRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var alertRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-atomic': 'true',
	    'aria-live': 'assertive'
	  },
	  relatedConcepts: [{
	    module: 'XForms',
	    concept: {
	      name: 'alert'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = alertRole;
	});

	unwrapExports(alertRole_1);

	var alertdialogRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var alertdialogRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'XForms',
	    concept: {
	      name: 'alert'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'alert'], ['roletype', 'window', 'dialog']]
	};

	exports.default = alertdialogRole;
	});

	unwrapExports(alertdialogRole_1);

	var applicationRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var applicationRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    concept: {
	      name: 'Device Independence Delivery Unit'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-activedescendant': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = applicationRole;
	});

	unwrapExports(applicationRole_1);

	var articleRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var articleRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-posinset': null,
	    'aria-setsize': null
	  },
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'article'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'document']]
	};

	exports.default = articleRole;
	});

	unwrapExports(articleRole_1);

	var bannerRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var bannerRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = bannerRole;
	});

	unwrapExports(bannerRole_1);

	var buttonRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var buttonRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'button'
	    }
	  }],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-expanded': null,
	    'aria-pressed': null
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'link'
	    }
	  }, {
	    module: 'XForms',
	    concept: {
	      name: 'trigger'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command']]
	};

	exports.default = buttonRole;
	});

	unwrapExports(buttonRole_1);

	var cellRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var cellRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'td'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-colindex': null,
	    'aria-colspan': null,
	    'aria-rowindex': null,
	    'aria-rowspan': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['row'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = cellRole;
	});

	unwrapExports(cellRole_1);

	var checkboxRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var checkboxRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-checked': 'false',
	    'aria-readonly': null
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'option'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'input',
	      attributes: [{
	        name: 'type',
	        value: 'checkbox'
	      }]
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-checked': null
	  },
	  superClass: [['roletype', 'widget', 'input']]
	};

	exports.default = checkboxRole;
	});

	unwrapExports(checkboxRole_1);

	var columnheaderRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var columnheaderRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'th'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-sort': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['row'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'cell'], ['roletype', 'structure', 'section', 'cell', 'gridcell'], ['roletype', 'widget', 'gridcell'], ['roletype', 'structure', 'sectionhead']]
	};

	exports.default = columnheaderRole;
	});

	unwrapExports(columnheaderRole_1);

	var comboboxRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var comboboxRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-expanded': 'false',
	    'aria-autocomplete': null,
	    'aria-required': null,
	    'aria-haspopup': 'listbox',
	    'aria-readonly': null
	  },
	  relatedConcepts: [{
	    module: 'XForms',
	    concept: {
	      name: 'select'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'select'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['textbox'], ['listbox'], ['tree'], ['grid'], ['dialog']],
	  requiredProps: {
	    'aria-controls': null,
	    'aria-expanded': 'false'
	  },
	  superClass: [['roletype', 'widget', 'composite', 'select'], ['roletype', 'structure', 'section', 'group', 'select']]
	};

	exports.default = comboboxRole;
	});

	unwrapExports(comboboxRole_1);

	var complementaryRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var complementaryRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = complementaryRole;
	});

	unwrapExports(complementaryRole_1);

	var contentinfoRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var contentinfoRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = contentinfoRole;
	});

	unwrapExports(contentinfoRole_1);

	var definitionRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var definitionRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'dd'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'dfn'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = definitionRole;
	});

	unwrapExports(definitionRole_1);

	var dialogRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var dialogRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'window']]
	};

	exports.default = dialogRole;
	});

	unwrapExports(dialogRole_1);

	var directoryRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var directoryRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'DAISY Guide'
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'list']]
	};

	exports.default = directoryRole;
	});

	unwrapExports(directoryRole_1);

	var documentRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var documentRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-expanded': null
	  },
	  relatedConcepts: [{
	    concept: {
	      name: 'Device Independence Delivery Unit'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = documentRole;
	});

	unwrapExports(documentRole_1);

	var feedRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var feedRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [['article']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'list']]
	};

	exports.default = feedRole;
	});

	unwrapExports(feedRole_1);

	var figureRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var figureRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'figure'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = figureRole;
	});

	unwrapExports(figureRole_1);

	var formRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var formRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'form'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = formRole;
	});

	unwrapExports(formRole_1);

	var gridRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var gridRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'table',
	      attributes: [{
	        name: 'role',
	        value: 'grid'
	      }]
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-level': null,
	    'aria-multiselectable': null,
	    'aria-readonly': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [['rowgroup', 'row'], ['row']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite'], ['roletype', 'structure', 'section', 'table']]
	};

	exports.default = gridRole;
	});

	unwrapExports(gridRole_1);

	var gridcellRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var gridcellRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'td',
	      attributes: [{
	        name: 'role',
	        value: 'gridcell'
	      }]
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-readonly': null,
	    'aria-required': null,
	    'aria-selected': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['row'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'cell'], ['roletype', 'widget']]
	};

	exports.default = gridcellRole;
	});

	unwrapExports(gridcellRole_1);

	var groupRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var groupRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-activedescendant': null
	  },
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'fieldset'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = groupRole;
	});

	unwrapExports(groupRole_1);

	var headingRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var headingRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-level': '2'
	  },
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'h1'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'h2'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'h3'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'h4'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'h5'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'h6'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'sectionhead']]
	};

	exports.default = headingRole;
	});

	unwrapExports(headingRole_1);

	var imgRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var imgRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'img'
	    }
	  }, {
	    module: 'DTB',
	    concept: {
	      name: 'imggroup'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = imgRole;
	});

	unwrapExports(imgRole_1);

	var linkRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var linkRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-expanded': null
	  },
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'a',
	      attributes: [{
	        name: 'href'
	      }]
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'area',
	      attributes: [{
	        name: 'href'
	      }]
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'link'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command']]
	};

	exports.default = linkRole;
	});

	unwrapExports(linkRole_1);

	var listRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var listRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'ol'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'ul'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [['group', 'listitem'], ['listitem']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = listRole;
	});

	unwrapExports(listRole_1);

	var listboxRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var listboxRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-multiselectable': null,
	    'aria-readonly': null,
	    'aria-required': null,
	    'aria-orientation': 'vertical'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'list'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'select'
	    }
	  }, {
	    module: 'XForms',
	    concept: {
	      name: 'select'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['option']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite', 'select'], ['roletype', 'structure', 'section', 'group', 'select']]
	};

	exports.default = listboxRole;
	});

	unwrapExports(listboxRole_1);

	var listitemRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var listitemRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'li'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-level': null,
	    'aria-posinset': null,
	    'aria-setsize': null
	  },
	  relatedConcepts: [{
	    module: 'XForms',
	    concept: {
	      name: 'item'
	    }
	  }],
	  requireContextRole: ['group', 'list'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = listitemRole;
	});

	unwrapExports(listitemRole_1);

	var logRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var logRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-live': 'polite'
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = logRole;
	});

	unwrapExports(logRole_1);

	var mainRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var mainRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'main'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = mainRole;
	});

	unwrapExports(mainRole_1);

	var marqueeRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var marqueeRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = marqueeRole;
	});

	unwrapExports(marqueeRole_1);

	var mathRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var mathRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = mathRole;
	});

	unwrapExports(mathRole_1);

	var menuRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var menuRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-orientation': 'vertical'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'list'
	    }
	  }, {
	    module: 'DTB',
	    concept: {
	      name: 'sidebar'
	    }
	  }, {
	    module: 'XForms',
	    concept: {
	      name: 'select'
	    }
	  }, {
	    module: 'JAPI',
	    concept: {
	      name: 'MENU'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['group', 'menuitemradio'], ['menuitem'], ['menuitemcheckbox'], ['menuitemradio']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite', 'select'], ['roletype', 'structure', 'section', 'group', 'select']]
	};

	exports.default = menuRole;
	});

	unwrapExports(menuRole_1);

	var menubarRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var menubarRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-orientation': 'vertical'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'toolbar'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['group', 'menuitemradio'], ['menuitem'], ['menuitemcheckbox'], ['menuitemradio']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite', 'select', 'menu'], ['roletype', 'structure', 'section', 'group', 'select', 'menu']]
	};

	exports.default = menubarRole;
	});

	unwrapExports(menubarRole_1);

	var menuitemRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var menuitemRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-posinset': null,
	    'aria-setsize': null
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'option'
	    }
	  }, {
	    module: 'ARIA',
	    concept: {
	      name: 'listitem'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'menuitem'
	    }
	  }, {
	    module: 'JAPI',
	    concept: {
	      name: 'MENU_ITEM'
	    }
	  }],
	  requireContextRole: ['group', 'menu', 'menubar'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command']]
	};

	exports.default = menuitemRole;
	});

	unwrapExports(menuitemRole_1);

	var menuitemcheckboxRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var menuitemcheckboxRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-checked': 'false'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'menuitem'
	    }
	  }],
	  requireContextRole: ['menu', 'menubar'],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-checked': null
	  },
	  superClass: [['roletype', 'widget', 'command', 'menuitem'], ['roletype', 'widget', 'input', 'checkbox']]
	};

	exports.default = menuitemcheckboxRole;
	});

	unwrapExports(menuitemcheckboxRole_1);

	var menuitemradioRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var menuitemradioRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-checked': 'false'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'menuitem'
	    }
	  }],
	  requireContextRole: ['group', 'menu', 'menubar'],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-checked': null
	  },
	  superClass: [['roletype', 'widget', 'command', 'menuitem', 'menuitemcheckbox'], ['roletype', 'widget', 'input', 'checkbox', 'menuitemcheckbox'], ['roletype', 'widget', 'input', 'radio']]
	};

	exports.default = menuitemradioRole;
	});

	unwrapExports(menuitemradioRole_1);

	var navigationRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var navigationRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'nav'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = navigationRole;
	});

	unwrapExports(navigationRole_1);

	var noneRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var noneRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: [],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: []
	};

	exports.default = noneRole;
	});

	unwrapExports(noneRole_1);

	var noteRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var noteRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = noteRole;
	});

	unwrapExports(noteRole_1);

	var optionRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var optionRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'option'
	    }
	  }],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-checked': null,
	    'aria-posinset': null,
	    'aria-selected': 'false',
	    'aria-setsize': null
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'listitem'
	    }
	  }, {
	    module: 'XForms',
	    concept: {
	      name: 'item'
	    }
	  }],
	  requireContextRole: ['listbox'],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-selected': 'false'
	  },
	  superClass: [['roletype', 'widget', 'input']]
	};

	exports.default = optionRole;
	});

	unwrapExports(optionRole_1);

	var presentationRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var presentationRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = presentationRole;
	});

	unwrapExports(presentationRole_1);

	var progressbarRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var progressbarRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'status'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'range']]
	};

	exports.default = progressbarRole;
	});

	unwrapExports(progressbarRole_1);

	var radioRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var radioRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-checked': 'false',
	    'aria-posinset': null,
	    'aria-selected': null,
	    'aria-setsize': null
	  },
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'input',
	      attributes: [{
	        name: 'type',
	        value: 'radio'
	      }]
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-checked': 'false'
	  },
	  superClass: [['roletype', 'widget', 'input']]
	};

	exports.default = radioRole;
	});

	unwrapExports(radioRole_1);

	var radiogroupRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var radiogroupRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-readonly': null,
	    'aria-required': null
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'list'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['radio']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite', 'select'], ['roletype', 'structure', 'section', 'group', 'select']]
	};

	exports.default = radiogroupRole;
	});

	unwrapExports(radiogroupRole_1);

	var regionRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var regionRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [
	  // frame tag on html5 is deprecated
	  {
	    module: 'HTML',
	    concept: {
	      name: 'frame'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'section'
	    }
	  }, {
	    concept: {
	      name: 'Device Independence Glossart perceivable unit'
	    }
	  }, {
	    module: 'ARIA',
	    concept: {
	      name: 'section'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = regionRole;
	});

	unwrapExports(regionRole_1);

	var rowRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var rowRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'tr'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-colindex': null,
	    'aria-level': null,
	    'aria-rowindex': null,
	    'aria-selected': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['grid', 'rowgroup', 'table', 'treegrid'],
	  requiredOwnedElements: [['cell'], ['columnheader'], ['gridcell'], ['rowheader']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'group'], ['roletype', 'widget']]
	};

	exports.default = rowRole;
	});

	unwrapExports(rowRole_1);

	var rowgroupRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var rowgroupRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'tbody'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'tfoot'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'thead'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-activedescendant': null,
	    'aria-expanded': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['grid', 'table', 'treegrid'],
	  requiredOwnedElements: [['row']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = rowgroupRole;
	});

	unwrapExports(rowgroupRole_1);

	var rowheaderRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var rowheaderRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'th',
	      attributes: [{
	        name: 'scope',
	        value: 'row'
	      }]
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-sort': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['row'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'cell'], ['roletype', 'structure', 'section', 'cell', 'gridcell'], ['roletype', 'widget', 'gridcell'], ['roletype', 'structure', 'sectionhead']]
	};

	exports.default = rowheaderRole;
	});

	unwrapExports(rowheaderRole_1);

	var scrollbarRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var scrollbarRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {
	    'aria-controls': null,
	    'aria-orientation': null,
	    'aria-valuemax': null,
	    'aria-valuemin': null,
	    'aria-valuenow': null,
	    'aria-atomic': null,
	    'aria-busy': null,
	    'aria-describedby': null,
	    'aria-disabled': null,
	    'aria-dropeffect': null,
	    'aria-flowto': null,
	    'aria-grabbed': null,
	    'aria-haspopup': null,
	    'aria-hidden': null,
	    'aria-invalid': null,
	    'aria-label': null,
	    'aria-labelledby': null,
	    'aria-live': null,
	    'aria-owns': null,
	    'aria-relevant': null,
	    'aria-valuetext': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-controls': null,
	    'aria-orientation': null,
	    'aria-valuemax': null,
	    'aria-valuemin': null,
	    'aria-valuenow': null
	  },
	  superClass: []
	};

	exports.default = scrollbarRole;
	});

	unwrapExports(scrollbarRole_1);

	var searchRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var searchRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = searchRole;
	});

	unwrapExports(searchRole_1);

	var searchboxRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var searchboxRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'input',
	      attributes: [{
	        name: 'type',
	        value: 'search'
	      }]
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'input', 'textbox']]
	};

	exports.default = searchboxRole;
	});

	unwrapExports(searchboxRole_1);

	var separatorRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var separatorRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {
	    'aria-expanded': null,
	    'aria-orientation': 'horizontal'
	  },
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'hr'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure']]
	};

	exports.default = separatorRole;
	});

	unwrapExports(separatorRole_1);

	var sliderRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var sliderRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {
	    'aria-orientation': 'horizontal',
	    'aria-readonly': null,
	    'aria-valuemax': '100',
	    'aria-valuemin': '0',
	    'aria-valuenow': '50'
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-valuemax': '100',
	    'aria-valuemin': '0',
	    'aria-valuenow': '50'
	  },
	  superClass: [['roletype', 'widget', 'input'], ['roletype', 'widget', 'range']]
	};

	exports.default = sliderRole;
	});

	unwrapExports(sliderRole_1);

	var spinbuttonRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var spinbuttonRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-valuenow': '0',
	    'aria-required': null,
	    'aria-readonly': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-valuemax': null,
	    'aria-valuemin': null,
	    'aria-valuenow': '0'
	  },
	  superClass: [['roletype', 'widget', 'composite'], ['roletype', 'widget', 'input'], ['roletype', 'widget', 'range']]
	};

	exports.default = spinbuttonRole;
	});

	unwrapExports(spinbuttonRole_1);

	var statusRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var statusRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-atomic': 'true',
	    'aria-live': 'polite'
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = statusRole;
	});

	unwrapExports(statusRole_1);

	var switchRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var switchRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-checked': 'false'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'button'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {
	    'aria-checked': 'false'
	  },
	  superClass: [['roletype', 'widget', 'input', 'checkbox']]
	};

	exports.default = switchRole;
	});

	unwrapExports(switchRole_1);

	var tabRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var tabRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-posinset': null,
	    'aria-selected': 'false',
	    'aria-setsize': null
	  },
	  relatedConcepts: [],
	  requireContextRole: ['tablist'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'sectionhead'], ['roletype', 'widget']]
	};

	exports.default = tabRole;
	});

	unwrapExports(tabRole_1);

	var tableRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var tableRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'table'
	    }
	  }],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-colcount': null,
	    'aria-rowcount': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [['row'], ['rowgroup', 'row']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = tableRole;
	});

	unwrapExports(tableRole_1);

	var tablistRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var tablistRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-level': null,
	    'aria-multiselectable': null,
	    'aria-orientation': 'horizontal',
	    'aria-expanded': null
	  },
	  relatedConcepts: [{
	    module: 'DAISY',
	    concept: {
	      name: 'guide'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['tab']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite']]
	};

	exports.default = tablistRole;
	});

	unwrapExports(tablistRole_1);

	var tabpanelRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var tabpanelRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = tabpanelRole;
	});

	unwrapExports(tabpanelRole_1);

	var termRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var termRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'HTML',
	    concept: {
	      name: 'dt'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = termRole;
	});

	unwrapExports(termRole_1);

	var textboxRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var textboxRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-activedescendant': null,
	    'aria-autocomplete': null,
	    'aria-multiline': null,
	    'aria-placeholder': null,
	    'aria-readonly': null,
	    'aria-required': null
	  },
	  relatedConcepts: [{
	    module: 'XForms',
	    concept: {
	      name: 'input'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'textarea'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'input'
	    }
	  }, {
	    module: 'HTML',
	    concept: {
	      name: 'input',
	      attributes: [{
	        name: 'type',
	        value: 'text'
	      }]
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'input']]
	};

	exports.default = textboxRole;
	});

	unwrapExports(textboxRole_1);

	var timerRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var timerRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'status']]
	};

	exports.default = timerRole;
	});

	unwrapExports(timerRole_1);

	var toolbarRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var toolbarRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-orientation': 'horizontal'
	  },
	  relatedConcepts: [{
	    module: 'ARIA',
	    concept: {
	      name: 'menubar'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'group']]
	};

	exports.default = toolbarRole;
	});

	unwrapExports(toolbarRole_1);

	var tooltipRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var tooltipRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = tooltipRole;
	});

	unwrapExports(tooltipRole_1);

	var treeRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var treeRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-multiselectable': null,
	    'aria-required': null,
	    'aria-orientation': 'vertical'
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [['group', 'treeitem'], ['treeitem']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite', 'select'], ['roletype', 'structure', 'section', 'group', 'select']]
	};

	exports.default = treeRole;
	});

	unwrapExports(treeRole_1);

	var treegridRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var treegridRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [['rowgroup', 'row'], ['row']],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'composite', 'grid'], ['roletype', 'structure', 'section', 'table', 'grid'], ['roletype', 'widget', 'composite', 'select', 'tree'], ['roletype', 'structure', 'section', 'group', 'select', 'tree']]
	};

	exports.default = treegridRole;
	});

	unwrapExports(treegridRole_1);

	var treeitemRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var treeitemRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {},
	  relatedConcepts: [],
	  requireContextRole: ['group', 'tree'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'listitem'], ['roletype', 'widget', 'input', 'option']]
	};

	exports.default = treeitemRole;
	});

	unwrapExports(treeitemRole_1);

	var ariaLiteralRoles_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});



	var _alertRole2 = _interopRequireDefault(alertRole_1);



	var _alertdialogRole2 = _interopRequireDefault(alertdialogRole_1);



	var _applicationRole2 = _interopRequireDefault(applicationRole_1);



	var _articleRole2 = _interopRequireDefault(articleRole_1);



	var _bannerRole2 = _interopRequireDefault(bannerRole_1);



	var _buttonRole2 = _interopRequireDefault(buttonRole_1);



	var _cellRole2 = _interopRequireDefault(cellRole_1);



	var _checkboxRole2 = _interopRequireDefault(checkboxRole_1);



	var _columnheaderRole2 = _interopRequireDefault(columnheaderRole_1);



	var _comboboxRole2 = _interopRequireDefault(comboboxRole_1);



	var _complementaryRole2 = _interopRequireDefault(complementaryRole_1);



	var _contentinfoRole2 = _interopRequireDefault(contentinfoRole_1);



	var _definitionRole2 = _interopRequireDefault(definitionRole_1);



	var _dialogRole2 = _interopRequireDefault(dialogRole_1);



	var _directoryRole2 = _interopRequireDefault(directoryRole_1);



	var _documentRole2 = _interopRequireDefault(documentRole_1);



	var _feedRole2 = _interopRequireDefault(feedRole_1);



	var _figureRole2 = _interopRequireDefault(figureRole_1);



	var _formRole2 = _interopRequireDefault(formRole_1);



	var _gridRole2 = _interopRequireDefault(gridRole_1);



	var _gridcellRole2 = _interopRequireDefault(gridcellRole_1);



	var _groupRole2 = _interopRequireDefault(groupRole_1);



	var _headingRole2 = _interopRequireDefault(headingRole_1);



	var _imgRole2 = _interopRequireDefault(imgRole_1);



	var _linkRole2 = _interopRequireDefault(linkRole_1);



	var _listRole2 = _interopRequireDefault(listRole_1);



	var _listboxRole2 = _interopRequireDefault(listboxRole_1);



	var _listitemRole2 = _interopRequireDefault(listitemRole_1);



	var _logRole2 = _interopRequireDefault(logRole_1);



	var _mainRole2 = _interopRequireDefault(mainRole_1);



	var _marqueeRole2 = _interopRequireDefault(marqueeRole_1);



	var _mathRole2 = _interopRequireDefault(mathRole_1);



	var _menuRole2 = _interopRequireDefault(menuRole_1);



	var _menubarRole2 = _interopRequireDefault(menubarRole_1);



	var _menuitemRole2 = _interopRequireDefault(menuitemRole_1);



	var _menuitemcheckboxRole2 = _interopRequireDefault(menuitemcheckboxRole_1);



	var _menuitemradioRole2 = _interopRequireDefault(menuitemradioRole_1);



	var _navigationRole2 = _interopRequireDefault(navigationRole_1);



	var _noneRole2 = _interopRequireDefault(noneRole_1);



	var _noteRole2 = _interopRequireDefault(noteRole_1);



	var _optionRole2 = _interopRequireDefault(optionRole_1);



	var _presentationRole2 = _interopRequireDefault(presentationRole_1);



	var _progressbarRole2 = _interopRequireDefault(progressbarRole_1);



	var _radioRole2 = _interopRequireDefault(radioRole_1);



	var _radiogroupRole2 = _interopRequireDefault(radiogroupRole_1);



	var _regionRole2 = _interopRequireDefault(regionRole_1);



	var _rowRole2 = _interopRequireDefault(rowRole_1);



	var _rowgroupRole2 = _interopRequireDefault(rowgroupRole_1);



	var _rowheaderRole2 = _interopRequireDefault(rowheaderRole_1);



	var _scrollbarRole2 = _interopRequireDefault(scrollbarRole_1);



	var _searchRole2 = _interopRequireDefault(searchRole_1);



	var _searchboxRole2 = _interopRequireDefault(searchboxRole_1);



	var _separatorRole2 = _interopRequireDefault(separatorRole_1);



	var _sliderRole2 = _interopRequireDefault(sliderRole_1);



	var _spinbuttonRole2 = _interopRequireDefault(spinbuttonRole_1);



	var _statusRole2 = _interopRequireDefault(statusRole_1);



	var _switchRole2 = _interopRequireDefault(switchRole_1);



	var _tabRole2 = _interopRequireDefault(tabRole_1);



	var _tableRole2 = _interopRequireDefault(tableRole_1);



	var _tablistRole2 = _interopRequireDefault(tablistRole_1);



	var _tabpanelRole2 = _interopRequireDefault(tabpanelRole_1);



	var _termRole2 = _interopRequireDefault(termRole_1);



	var _textboxRole2 = _interopRequireDefault(textboxRole_1);



	var _timerRole2 = _interopRequireDefault(timerRole_1);



	var _toolbarRole2 = _interopRequireDefault(toolbarRole_1);



	var _tooltipRole2 = _interopRequireDefault(tooltipRole_1);



	var _treeRole2 = _interopRequireDefault(treeRole_1);



	var _treegridRole2 = _interopRequireDefault(treegridRole_1);



	var _treeitemRole2 = _interopRequireDefault(treeitemRole_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var ariaLiteralRoles = new Map([['alert', _alertRole2.default], ['alertdialog', _alertdialogRole2.default], ['application', _applicationRole2.default], ['article', _articleRole2.default], ['banner', _bannerRole2.default], ['button', _buttonRole2.default], ['cell', _cellRole2.default], ['checkbox', _checkboxRole2.default], ['columnheader', _columnheaderRole2.default], ['combobox', _comboboxRole2.default], ['complementary', _complementaryRole2.default], ['contentinfo', _contentinfoRole2.default], ['definition', _definitionRole2.default], ['dialog', _dialogRole2.default], ['directory', _directoryRole2.default], ['document', _documentRole2.default], ['feed', _feedRole2.default], ['figure', _figureRole2.default], ['form', _formRole2.default], ['grid', _gridRole2.default], ['gridcell', _gridcellRole2.default], ['group', _groupRole2.default], ['heading', _headingRole2.default], ['img', _imgRole2.default], ['link', _linkRole2.default], ['list', _listRole2.default], ['listbox', _listboxRole2.default], ['listitem', _listitemRole2.default], ['log', _logRole2.default], ['main', _mainRole2.default], ['marquee', _marqueeRole2.default], ['math', _mathRole2.default], ['menu', _menuRole2.default], ['menubar', _menubarRole2.default], ['menuitem', _menuitemRole2.default], ['menuitemcheckbox', _menuitemcheckboxRole2.default], ['menuitemradio', _menuitemradioRole2.default], ['navigation', _navigationRole2.default], ['none', _noneRole2.default], ['note', _noteRole2.default], ['option', _optionRole2.default], ['presentation', _presentationRole2.default], ['progressbar', _progressbarRole2.default], ['radio', _radioRole2.default], ['radiogroup', _radiogroupRole2.default], ['region', _regionRole2.default], ['row', _rowRole2.default], ['rowgroup', _rowgroupRole2.default], ['rowheader', _rowheaderRole2.default], ['scrollbar', _scrollbarRole2.default], ['search', _searchRole2.default], ['searchbox', _searchboxRole2.default], ['separator', _separatorRole2.default], ['slider', _sliderRole2.default], ['spinbutton', _spinbuttonRole2.default], ['status', _statusRole2.default], ['switch', _switchRole2.default], ['tab', _tabRole2.default], ['table', _tableRole2.default], ['tablist', _tablistRole2.default], ['tabpanel', _tabpanelRole2.default], ['term', _termRole2.default], ['textbox', _textboxRole2.default], ['timer', _timerRole2.default], ['toolbar', _toolbarRole2.default], ['tooltip', _tooltipRole2.default], ['tree', _treeRole2.default], ['treegrid', _treegridRole2.default], ['treeitem', _treeitemRole2.default]]);
	exports.default = ariaLiteralRoles;
	});

	unwrapExports(ariaLiteralRoles_1);

	var docAbstractRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docAbstractRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'abstract [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docAbstractRole;
	});

	unwrapExports(docAbstractRole_1);

	var docAcknowledgmentsRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docAcknowledgmentsRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'acknowledgments [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docAcknowledgmentsRole;
	});

	unwrapExports(docAcknowledgmentsRole_1);

	var docAfterwordRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docAfterwordRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'afterword [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docAfterwordRole;
	});

	unwrapExports(docAfterwordRole_1);

	var docAppendixRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docAppendixRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'appendix [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docAppendixRole;
	});

	unwrapExports(docAppendixRole_1);

	var docBacklinkRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docBacklinkRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'content'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'referrer [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command', 'link']]
	};

	exports.default = docBacklinkRole;
	});

	unwrapExports(docBacklinkRole_1);

	var docBiblioentryRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docBiblioentryRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'EPUB biblioentry [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: ['doc-bibliography'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'listitem']]
	};

	exports.default = docBiblioentryRole;
	});

	unwrapExports(docBiblioentryRole_1);

	var docBibliographyRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docBibliographyRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'bibliography [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['doc-biblioentry']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docBibliographyRole;
	});

	unwrapExports(docBibliographyRole_1);

	var docBibliorefRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docBibliorefRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'biblioref [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command', 'link']]
	};

	exports.default = docBibliorefRole;
	});

	unwrapExports(docBibliorefRole_1);

	var docChapterRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docChapterRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'chapter [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docChapterRole;
	});

	unwrapExports(docChapterRole_1);

	var docColophonRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docColophonRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'colophon [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docColophonRole;
	});

	unwrapExports(docColophonRole_1);

	var docConclusionRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docConclusionRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'conclusion [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docConclusionRole;
	});

	unwrapExports(docConclusionRole_1);

	var docCoverRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docCoverRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'cover [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'img']]
	};

	exports.default = docCoverRole;
	});

	unwrapExports(docCoverRole_1);

	var docCreditRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docCreditRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'credit [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docCreditRole;
	});

	unwrapExports(docCreditRole_1);

	var docCreditsRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docCreditsRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'credits [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docCreditsRole;
	});

	unwrapExports(docCreditsRole_1);

	var docDedicationRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docDedicationRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'dedication [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docDedicationRole;
	});

	unwrapExports(docDedicationRole_1);

	var docEndnoteRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docEndnoteRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'rearnote [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: ['doc-endnotes'],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'listitem']]
	};

	exports.default = docEndnoteRole;
	});

	unwrapExports(docEndnoteRole_1);

	var docEndnotesRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docEndnotesRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'rearnotes [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['doc-endnote']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docEndnotesRole;
	});

	unwrapExports(docEndnotesRole_1);

	var docEpigraphRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docEpigraphRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'epigraph [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docEpigraphRole;
	});

	unwrapExports(docEpigraphRole_1);

	var docEpilogueRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docEpilogueRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'epilogue [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docEpilogueRole;
	});

	unwrapExports(docEpilogueRole_1);

	var docErrataRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docErrataRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'errata [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docErrataRole;
	});

	unwrapExports(docErrataRole_1);

	var docExampleRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docExampleRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docExampleRole;
	});

	unwrapExports(docExampleRole_1);

	var docFootnoteRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docFootnoteRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'footnote [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docFootnoteRole;
	});

	unwrapExports(docFootnoteRole_1);

	var docForewordRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docForewordRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'foreword [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docForewordRole;
	});

	unwrapExports(docForewordRole_1);

	var docGlossaryRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docGlossaryRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'glossary [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [['term'], ['definition']],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docGlossaryRole;
	});

	unwrapExports(docGlossaryRole_1);

	var docGlossrefRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docGlossrefRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'glossref [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command', 'link']]
	};

	exports.default = docGlossrefRole;
	});

	unwrapExports(docGlossrefRole_1);

	var docIndexRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docIndexRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'index [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark', 'navigation']]
	};

	exports.default = docIndexRole;
	});

	unwrapExports(docIndexRole_1);

	var docIntroductionRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docIntroductionRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'introduction [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docIntroductionRole;
	});

	unwrapExports(docIntroductionRole_1);

	var docNoterefRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docNoterefRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author', 'contents'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'noteref [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'widget', 'command', 'link']]
	};

	exports.default = docNoterefRole;
	});

	unwrapExports(docNoterefRole_1);

	var docNoticeRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docNoticeRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'notice [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'note']]
	};

	exports.default = docNoticeRole;
	});

	unwrapExports(docNoticeRole_1);

	var docPagebreakRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docPagebreakRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: true,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'pagebreak [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'separator']]
	};

	exports.default = docPagebreakRole;
	});

	unwrapExports(docPagebreakRole_1);

	var docPagelistRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docPagelistRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'page-list [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark', 'navigation']]
	};

	exports.default = docPagelistRole;
	});

	unwrapExports(docPagelistRole_1);

	var docPartRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docPartRole = {
	  abstract: false,
	  accessibleNameRequired: true,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'part [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docPartRole;
	});

	unwrapExports(docPartRole_1);

	var docPrefaceRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docPrefaceRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'preface [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docPrefaceRole;
	});

	unwrapExports(docPrefaceRole_1);

	var docPrologueRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docPrologueRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'prologue [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark']]
	};

	exports.default = docPrologueRole;
	});

	unwrapExports(docPrologueRole_1);

	var docPullquoteRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docPullquoteRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {},
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'pullquote [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['none']]
	};

	exports.default = docPullquoteRole;
	});

	unwrapExports(docPullquoteRole_1);

	var docQnaRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docQnaRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'qna [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section']]
	};

	exports.default = docQnaRole;
	});

	unwrapExports(docQnaRole_1);

	var docSubtitleRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docSubtitleRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'subtitle [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'sectionhead']]
	};

	exports.default = docSubtitleRole;
	});

	unwrapExports(docSubtitleRole_1);

	var docTipRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docTipRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'help [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'note']]
	};

	exports.default = docTipRole;
	});

	unwrapExports(docTipRole_1);

	var docTocRole_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	var docTocRole = {
	  abstract: false,
	  accessibleNameRequired: false,
	  baseConcepts: [],
	  childrenPresentational: false,
	  nameFrom: ['author'],
	  props: {
	    'aria-describedat': null
	  },
	  relatedConcepts: [{
	    module: 'EPUB',
	    concept: {
	      name: 'toc [EPUB-SSV]'
	    }
	  }],
	  requireContextRole: [],
	  requiredOwnedElements: [],
	  requiredProps: {},
	  superClass: [['roletype', 'structure', 'section', 'landmark', 'navigation']]
	};

	exports.default = docTocRole;
	});

	unwrapExports(docTocRole_1);

	var ariaDpubRoles_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});



	var _docAbstractRole2 = _interopRequireDefault(docAbstractRole_1);



	var _docAcknowledgmentsRole2 = _interopRequireDefault(docAcknowledgmentsRole_1);



	var _docAfterwordRole2 = _interopRequireDefault(docAfterwordRole_1);



	var _docAppendixRole2 = _interopRequireDefault(docAppendixRole_1);



	var _docBacklinkRole2 = _interopRequireDefault(docBacklinkRole_1);



	var _docBiblioentryRole2 = _interopRequireDefault(docBiblioentryRole_1);



	var _docBibliographyRole2 = _interopRequireDefault(docBibliographyRole_1);



	var _docBibliorefRole2 = _interopRequireDefault(docBibliorefRole_1);



	var _docChapterRole2 = _interopRequireDefault(docChapterRole_1);



	var _docColophonRole2 = _interopRequireDefault(docColophonRole_1);



	var _docConclusionRole2 = _interopRequireDefault(docConclusionRole_1);



	var _docCoverRole2 = _interopRequireDefault(docCoverRole_1);



	var _docCreditRole2 = _interopRequireDefault(docCreditRole_1);



	var _docCreditsRole2 = _interopRequireDefault(docCreditsRole_1);



	var _docDedicationRole2 = _interopRequireDefault(docDedicationRole_1);



	var _docEndnoteRole2 = _interopRequireDefault(docEndnoteRole_1);



	var _docEndnotesRole2 = _interopRequireDefault(docEndnotesRole_1);



	var _docEpigraphRole2 = _interopRequireDefault(docEpigraphRole_1);



	var _docEpilogueRole2 = _interopRequireDefault(docEpilogueRole_1);



	var _docErrataRole2 = _interopRequireDefault(docErrataRole_1);



	var _docExampleRole2 = _interopRequireDefault(docExampleRole_1);



	var _docFootnoteRole2 = _interopRequireDefault(docFootnoteRole_1);



	var _docForewordRole2 = _interopRequireDefault(docForewordRole_1);



	var _docGlossaryRole2 = _interopRequireDefault(docGlossaryRole_1);



	var _docGlossrefRole2 = _interopRequireDefault(docGlossrefRole_1);



	var _docIndexRole2 = _interopRequireDefault(docIndexRole_1);



	var _docIntroductionRole2 = _interopRequireDefault(docIntroductionRole_1);



	var _docNoterefRole2 = _interopRequireDefault(docNoterefRole_1);



	var _docNoticeRole2 = _interopRequireDefault(docNoticeRole_1);



	var _docPagebreakRole2 = _interopRequireDefault(docPagebreakRole_1);



	var _docPagelistRole2 = _interopRequireDefault(docPagelistRole_1);



	var _docPartRole2 = _interopRequireDefault(docPartRole_1);



	var _docPrefaceRole2 = _interopRequireDefault(docPrefaceRole_1);



	var _docPrologueRole2 = _interopRequireDefault(docPrologueRole_1);



	var _docPullquoteRole2 = _interopRequireDefault(docPullquoteRole_1);



	var _docQnaRole2 = _interopRequireDefault(docQnaRole_1);



	var _docSubtitleRole2 = _interopRequireDefault(docSubtitleRole_1);



	var _docTipRole2 = _interopRequireDefault(docTipRole_1);



	var _docTocRole2 = _interopRequireDefault(docTocRole_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var ariaDpubRoles = new Map([['doc-abstract', _docAbstractRole2.default], ['doc-acknowledgments', _docAcknowledgmentsRole2.default], ['doc-afterword', _docAfterwordRole2.default], ['doc-appendix', _docAppendixRole2.default], ['doc-backlink', _docBacklinkRole2.default], ['doc-biblioentry', _docBiblioentryRole2.default], ['doc-bibliography', _docBibliographyRole2.default], ['doc-biblioref', _docBibliorefRole2.default], ['doc-chapter', _docChapterRole2.default], ['doc-colophon', _docColophonRole2.default], ['doc-conclusion', _docConclusionRole2.default], ['doc-cover', _docCoverRole2.default], ['doc-credit', _docCreditRole2.default], ['doc-credits', _docCreditsRole2.default], ['doc-dedication', _docDedicationRole2.default], ['doc-endnote', _docEndnoteRole2.default], ['doc-endnotes', _docEndnotesRole2.default], ['doc-epigraph', _docEpigraphRole2.default], ['doc-epilogue', _docEpilogueRole2.default], ['doc-errata', _docErrataRole2.default], ['doc-example', _docExampleRole2.default], ['doc-footnote', _docFootnoteRole2.default], ['doc-foreword', _docForewordRole2.default], ['doc-glossary', _docGlossaryRole2.default], ['doc-glossref', _docGlossrefRole2.default], ['doc-index', _docIndexRole2.default], ['doc-introduction', _docIntroductionRole2.default], ['doc-noteref', _docNoterefRole2.default], ['doc-notice', _docNoticeRole2.default], ['doc-pagebreak', _docPagebreakRole2.default], ['doc-pagelist', _docPagelistRole2.default], ['doc-part', _docPartRole2.default], ['doc-preface', _docPrefaceRole2.default], ['doc-prologue', _docPrologueRole2.default], ['doc-pullquote', _docPullquoteRole2.default], ['doc-qna', _docQnaRole2.default], ['doc-subtitle', _docSubtitleRole2.default], ['doc-tip', _docTipRole2.default], ['doc-toc', _docTocRole2.default]]);
	exports.default = ariaDpubRoles;
	});

	unwrapExports(ariaDpubRoles_1);

	var rolesMap_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});



	var _ariaAbstractRoles2 = _interopRequireDefault(ariaAbstractRoles_1);



	var _ariaLiteralRoles2 = _interopRequireDefault(ariaLiteralRoles_1);



	var _ariaDpubRoles2 = _interopRequireDefault(ariaDpubRoles_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

	var rolesMap = new Map([]);
	[_ariaAbstractRoles2.default, _ariaLiteralRoles2.default, _ariaDpubRoles2.default].forEach(function (roleSet) {
	  roleSet.forEach(function (roleDefinition, name) {
	    return rolesMap.set(name, roleDefinition);
	  });
	});

	rolesMap.forEach(function (roleDefinition, name) {
	  // Conglomerate the properties
	  var _iteratorNormalCompletion = true;
	  var _didIteratorError = false;
	  var _iteratorError = undefined;

	  try {
	    for (var _iterator = roleDefinition.superClass[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
	      var superClassIter = _step.value;
	      var _iteratorNormalCompletion2 = true;
	      var _didIteratorError2 = false;
	      var _iteratorError2 = undefined;

	      try {
	        for (var _iterator2 = superClassIter[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
	          var superClassName = _step2.value;

	          var superClassDefinition = rolesMap.get(superClassName);
	          if (superClassDefinition) {
	            var _iteratorNormalCompletion3 = true;
	            var _didIteratorError3 = false;
	            var _iteratorError3 = undefined;

	            try {
	              for (var _iterator3 = Object.keys(superClassDefinition.props)[Symbol.iterator](), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {
	                var prop = _step3.value;

	                if (!Object.prototype.hasOwnProperty.call(roleDefinition.props, prop)) {
	                  Object.assign(roleDefinition.props, _defineProperty({}, prop, superClassDefinition.props[prop]));
	                }
	              }
	            } catch (err) {
	              _didIteratorError3 = true;
	              _iteratorError3 = err;
	            } finally {
	              try {
	                if (!_iteratorNormalCompletion3 && _iterator3.return) {
	                  _iterator3.return();
	                }
	              } finally {
	                if (_didIteratorError3) {
	                  throw _iteratorError3;
	                }
	              }
	            }
	          }
	        }
	      } catch (err) {
	        _didIteratorError2 = true;
	        _iteratorError2 = err;
	      } finally {
	        try {
	          if (!_iteratorNormalCompletion2 && _iterator2.return) {
	            _iterator2.return();
	          }
	        } finally {
	          if (_didIteratorError2) {
	            throw _iteratorError2;
	          }
	        }
	      }
	    }
	  } catch (err) {
	    _didIteratorError = true;
	    _iteratorError = err;
	  } finally {
	    try {
	      if (!_iteratorNormalCompletion && _iterator.return) {
	        _iterator.return();
	      }
	    } finally {
	      if (_didIteratorError) {
	        throw _iteratorError;
	      }
	    }
	  }
	});

	exports.default = rolesMap;
	});

	unwrapExports(rolesMap_1);

	var elementRoleMap_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();



	var _rolesMap2 = _interopRequireDefault(rolesMap_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

	var elementRoleMap = new Map([]);

	[].concat(_toConsumableArray(_rolesMap2.default.keys())).forEach(function (key) {
	  var role = _rolesMap2.default.get(key);
	  if (role) {
	    [].concat(_toConsumableArray(role.baseConcepts), _toConsumableArray(role.relatedConcepts)).forEach(function (relation) {
	      if (relation.module === 'HTML') {
	        var concept = relation.concept;
	        if (concept) {
	          var conceptStr = JSON.stringify(concept);

	          var roles = ([].concat(_toConsumableArray(elementRoleMap.entries())).find(function (_ref) {
	            var _ref2 = _slicedToArray(_ref, 2),
	                key = _ref2[0],
	                value = _ref2[1];

	            return JSON.stringify(key) === conceptStr;
	          }) || [])[1];

	          if (!roles) {
	            roles = new Set([]);
	          }
	          roles.add(key);
	          elementRoleMap.set(concept, roles);
	        }
	      }
	    });
	  }
	});

	exports.default = elementRoleMap;
	});

	unwrapExports(elementRoleMap_1);

	var roleElementMap_1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});



	var _rolesMap2 = _interopRequireDefault(rolesMap_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

	var roleElementMap = new Map([]);

	[].concat(_toConsumableArray(_rolesMap2.default.keys())).forEach(function (key) {
	  var role = _rolesMap2.default.get(key);
	  if (role) {
	    [].concat(_toConsumableArray(role.baseConcepts), _toConsumableArray(role.relatedConcepts)).forEach(function (relation) {
	      if (relation.module === 'HTML') {
	        var concept = relation.concept;
	        if (concept) {
	          var relationConcepts = roleElementMap.get(key) || new Set([]);
	          relationConcepts.add(concept);
	          roleElementMap.set(key, relationConcepts);
	        }
	      }
	    });
	  }
	});

	exports.default = roleElementMap;
	});

	unwrapExports(roleElementMap_1);

	var lib = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.roleElements = exports.elementRoles = exports.roles = exports.dom = exports.aria = undefined;



	var _ariaPropsMap2 = _interopRequireDefault(ariaPropsMap_1);



	var _domMap2 = _interopRequireDefault(domMap_1);



	var _rolesMap2 = _interopRequireDefault(rolesMap_1);



	var _elementRoleMap2 = _interopRequireDefault(elementRoleMap_1);



	var _roleElementMap2 = _interopRequireDefault(roleElementMap_1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var aria = exports.aria = _ariaPropsMap2.default;

	var dom = exports.dom = _domMap2.default;
	var roles = exports.roles = _rolesMap2.default;
	var elementRoles = exports.elementRoles = _elementRoleMap2.default;
	var roleElements = exports.roleElements = _roleElementMap2.default;
	});

	unwrapExports(lib);
	var lib_1 = lib.roleElements;
	var lib_2 = lib.elementRoles;
	var lib_3 = lib.roles;
	var lib_4 = lib.dom;
	var lib_5 = lib.aria;

	var lib$1 = createCommonjsModule(function (module, exports) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = void 0;

	// Augment Window interface with the Date declaratoin,
	// because typescript does not expose it for now.
	// Check https://github.com/Microsoft/TypeScript/issues/19816 for more info
	// Used to avoid using Jest's fake timers and Date.now mocks
	// See https://github.com/TheBrainFamily/wait-for-expect/issues/4 and
	// https://github.com/TheBrainFamily/wait-for-expect/issues/12 for more info
	var _ref = typeof window !== "undefined" ? window : commonjsGlobal,
	    setTimeout = _ref.setTimeout,
	    now = _ref.Date.now;

	var defaults = {
	  timeout: 4500,
	  interval: 50
	};
	/**
	 * Waits for the expectation to pass and returns a Promise
	 *
	 * @param  expectation  Function  Expectation that has to complete without throwing
	 * @param  timeout  Number  Maximum wait interval, 4500ms by default
	 * @param  interval  Number  Wait-between-retries interval, 50ms by default
	 * @return  Promise  Promise to return a callback result
	 */

	var waitForExpect = function waitForExpect(expectation) {
	  var timeout = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaults.timeout;
	  var interval = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : defaults.interval;
	  var startTime = now();
	  return new Promise(function (resolve, reject) {
	    var rejectOrRerun = function rejectOrRerun(error) {
	      if (now() - startTime >= timeout) {
	        reject(error);
	        return;
	      } // eslint-disable-next-line no-use-before-define


	      setTimeout(runExpectation, interval);
	    };

	    function runExpectation() {
	      try {
	        Promise.resolve(expectation()).then(function () {
	          return resolve();
	        }).catch(rejectOrRerun);
	      } catch (error) {
	        rejectOrRerun(error);
	      }
	    }

	    setTimeout(runExpectation, 0);
	  });
	};

	var _default = Object.assign(waitForExpect, {
	  defaults: defaults
	});

	exports.default = _default;
	module.exports = exports.default;
	module.exports.default = exports.default;
	});

	unwrapExports(lib$1);

	function _objectWithoutPropertiesLoose(source, excluded) {
	  if (source == null) return {};
	  var target = {};
	  var sourceKeys = Object.keys(source);
	  var key, i;

	  for (i = 0; i < sourceKeys.length; i++) {
	    key = sourceKeys[i];
	    if (excluded.indexOf(key) >= 0) continue;
	    target[key] = source[key];
	  }

	  return target;
	}

	function fuzzyMatches(textToMatch, node, matcher, normalizer) {
	  if (typeof textToMatch !== 'string') {
	    return false;
	  }

	  var normalizedText = normalizer(textToMatch);

	  if (typeof matcher === 'string') {
	    return normalizedText.toLowerCase().includes(matcher.toLowerCase());
	  } else if (typeof matcher === 'function') {
	    return matcher(normalizedText, node);
	  } else {
	    return matcher.test(normalizedText);
	  }
	}

	function matches(textToMatch, node, matcher, normalizer) {
	  if (typeof textToMatch !== 'string') {
	    return false;
	  }

	  var normalizedText = normalizer(textToMatch);

	  if (typeof matcher === 'string') {
	    return normalizedText === matcher;
	  } else if (typeof matcher === 'function') {
	    return matcher(normalizedText, node);
	  } else {
	    return matcher.test(normalizedText);
	  }
	}

	function getDefaultNormalizer(_temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$trim = _ref.trim,
	      trim = _ref$trim === void 0 ? true : _ref$trim,
	      _ref$collapseWhitespa = _ref.collapseWhitespace,
	      collapseWhitespace = _ref$collapseWhitespa === void 0 ? true : _ref$collapseWhitespa;

	  return function (text) {
	    var normalizedText = text;
	    normalizedText = trim ? normalizedText.trim() : normalizedText;
	    normalizedText = collapseWhitespace ? normalizedText.replace(/\s+/g, ' ') : normalizedText;
	    return normalizedText;
	  };
	}
	/**
	 * Constructs a normalizer to pass to functions in matches.js
	 * @param {boolean|undefined} trim The user-specified value for `trim`, without
	 * any defaulting having been applied
	 * @param {boolean|undefined} collapseWhitespace The user-specified value for
	 * `collapseWhitespace`, without any defaulting having been applied
	 * @param {Function|undefined} normalizer The user-specified normalizer
	 * @returns {Function} A normalizer
	 */


	function makeNormalizer(_ref2) {
	  var trim = _ref2.trim,
	      collapseWhitespace = _ref2.collapseWhitespace,
	      normalizer = _ref2.normalizer;

	  if (normalizer) {
	    // User has specified a custom normalizer
	    if (typeof trim !== 'undefined' || typeof collapseWhitespace !== 'undefined') {
	      // They've also specified a value for trim or collapseWhitespace
	      throw new Error('trim and collapseWhitespace are not supported with a normalizer. ' + 'If you want to use the default trim and collapseWhitespace logic in your normalizer, ' + 'use "getDefaultNormalizer({trim, collapseWhitespace})" and compose that into your normalizer');
	    }

	    return normalizer;
	  } else {
	    // No custom normalizer specified. Just use default.
	    return getDefaultNormalizer({
	      trim: trim,
	      collapseWhitespace: collapseWhitespace
	    });
	  }
	}

	// Constant node.nodeType for text nodes, see:
	// https://developer.mozilla.org/en-US/docs/Web/API/Node/nodeType#Node_type_constants
	var TEXT_NODE = 3;

	function getNodeText(node) {
	  if (node.matches('input[type=submit], input[type=button]')) {
	    return node.value;
	  }

	  return Array.from(node.childNodes).filter(function (child) {
	    return child.nodeType === TEXT_NODE && Boolean(child.textContent);
	  }).map(function (c) {
	    return c.textContent;
	  }).join('');
	}

	var _prettyFormat$plugins = prettyFormat.plugins,
	    DOMElement = _prettyFormat$plugins.DOMElement,
	    DOMCollection = _prettyFormat$plugins.DOMCollection;

	function prettyDOM(htmlElement, maxLength, options) {
	  if (htmlElement.documentElement) {
	    htmlElement = htmlElement.documentElement;
	  }

	  var debugContent = prettyFormat(htmlElement, _extends({
	    plugins: [DOMElement, DOMCollection],
	    printFunctionName: false,
	    highlight: true
	  }, options));
	  return maxLength !== undefined && htmlElement.outerHTML.length > maxLength ? debugContent.slice(0, maxLength) + "..." : debugContent;
	}

	function newMutationObserver(onMutation) {
	  var MutationObserverConstructor = typeof window !== 'undefined' && typeof window.MutationObserver !== 'undefined' ? window.MutationObserver : MutationObserver;
	  return new MutationObserverConstructor(onMutation);
	}

	function getDocument() {
	  /* istanbul ignore if */
	  if (typeof window === 'undefined') {
	    throw new Error('Could not find default container');
	  }

	  return window.document;
	}
	/*
	 * There are browsers for which `setImmediate` is not available. This
	 * serves as a polyfill of sorts, adopting `setTimeout` as the closest
	 * equivalent
	 */


	function getSetImmediate() {
	  /* istanbul ignore else */
	  if (typeof setImmediate === 'function') {
	    return setImmediate;
	  } else {
	    return function (fn) {
	      return setTimeout(fn, 0);
	    };
	  }
	}

	// It would be cleaner for this to live inside './queries', but
	// other parts of the code assume that all exports from
	// './queries' are query functions.
	var config = {
	  testIdAttribute: 'data-testid',
	  // this is to support React's async `act` function.
	  // forcing react-testing-library to wrap all async functions would've been
	  // a total nightmare (consider wrapping every findBy* query and then also
	  // updating `within` so those would be wrapped too. Total nightmare).
	  // so we have this config option that's really only intended for
	  // react-testing-library to use. For that reason, this feature will remain
	  // undocumented.
	  asyncWrapper: function asyncWrapper(cb) {
	    return cb();
	  }
	};
	function configure(newConfig) {
	  if (typeof newConfig === 'function') {
	    // Pass the existing config out to the provided function
	    // and accept a delta in return
	    newConfig = newConfig(config);
	  } // Merge the incoming config delta


	  config = _extends({}, config, newConfig);
	}
	function getConfig() {
	  return config;
	}

	function waitForElement(callback, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$container = _ref.container,
	      container = _ref$container === void 0 ? getDocument() : _ref$container,
	      _ref$timeout = _ref.timeout,
	      timeout = _ref$timeout === void 0 ? 4500 : _ref$timeout,
	      _ref$mutationObserver = _ref.mutationObserverOptions,
	      mutationObserverOptions = _ref$mutationObserver === void 0 ? {
	    subtree: true,
	    childList: true,
	    attributes: true,
	    characterData: true
	  } : _ref$mutationObserver;

	  return new Promise(function (resolve, reject) {
	    if (typeof callback !== 'function') {
	      reject(new Error('waitForElement requires a callback as the first parameter'));
	      return;
	    }

	    var lastError;
	    var timer = setTimeout(onTimeout, timeout);
	    var observer = newMutationObserver(onMutation);
	    observer.observe(container, mutationObserverOptions);

	    function onDone(error, result) {
	      var setImmediate = getSetImmediate();
	      clearTimeout(timer);
	      setImmediate(function () {
	        return observer.disconnect();
	      });

	      if (error) {
	        reject(error);
	      } else {
	        resolve(result);
	      }
	    }

	    function onMutation() {
	      try {
	        var result = callback();

	        if (result) {
	          onDone(null, result);
	        } // If `callback` returns falsy value, wait for the next mutation or timeout.

	      } catch (error) {
	        // Save the callback error to reject the promise with it.
	        lastError = error; // If `callback` throws an error, wait for the next mutation or timeout.
	      }
	    }

	    function onTimeout() {
	      onDone(lastError || new Error('Timed out in waitForElement.'), null);
	    }

	    onMutation();
	  });
	}

	function waitForElementWrapper() {
	  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
	    args[_key] = arguments[_key];
	  }

	  return getConfig().asyncWrapper(function () {
	    return waitForElement.apply(void 0, args);
	  });
	}

	/* eslint-disable complexity */

	function debugDOM(htmlElement) {
	  var limit = process.env.DEBUG_PRINT_LIMIT || 7000;
	  var inNode = typeof process !== 'undefined' && process.versions !== undefined && process.versions.node !== undefined;
	  /* istanbul ignore next */

	  var window = htmlElement.ownerDocument && htmlElement.ownerDocument.defaultView || undefined;
	  var inCypress = typeof global !== 'undefined' && global.Cypress || typeof window !== 'undefined' && window.Cypress;
	  /* istanbul ignore else */

	  if (inCypress) {
	    return '';
	  } else if (inNode) {
	    return prettyDOM(htmlElement, limit);
	  } else {
	    return prettyDOM(htmlElement, limit, {
	      highlight: false
	    });
	  }
	}
	/* eslint-enable complexity */


	function getElementError(message, container) {
	  return new Error([message, debugDOM(container)].filter(Boolean).join('\n\n'));
	}

	function getMultipleElementsFoundError(message, container) {
	  return getElementError(message + "\n\n(If this is intentional, then use the `*AllBy*` variant of the query (like `queryAllByText`, `getAllByText`, or `findAllByText`)).", container);
	}

	function queryAllByAttribute(attribute, container, text, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      collapseWhitespace = _ref.collapseWhitespace,
	      trim = _ref.trim,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  return Array.from(container.querySelectorAll("[" + attribute + "]")).filter(function (node) {
	    return matcher(node.getAttribute(attribute), node, text, matchNormalizer);
	  });
	}
	// if more than one elements is returned, otherwise it returns the first
	// element or null


	function makeSingleQuery(allQuery, getMultipleError) {
	  return function (container) {
	    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
	      args[_key2 - 1] = arguments[_key2];
	    }

	    var els = allQuery.apply(void 0, [container].concat(args));

	    if (els.length > 1) {
	      throw getMultipleElementsFoundError(getMultipleError.apply(void 0, [container].concat(args)), container);
	    }

	    return els[0] || null;
	  };
	} // this accepts a query function and returns a function which throws an error
	// if an empty list of elements is returned


	function makeGetAllQuery(allQuery, getMissingError) {
	  return function (container) {
	    for (var _len3 = arguments.length, args = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
	      args[_key3 - 1] = arguments[_key3];
	    }

	    var els = allQuery.apply(void 0, [container].concat(args));

	    if (!els.length) {
	      throw getElementError(getMissingError.apply(void 0, [container].concat(args)), container);
	    }

	    return els;
	  };
	} // this accepts a getter query function and returns a function which calls
	// waitForElement and passing a function which invokes the getter.


	function makeFindQuery(getter) {
	  return function (container, text, options, waitForElementOptions) {
	    return waitForElementWrapper(function () {
	      return getter(container, text, options);
	    }, waitForElementOptions);
	  };
	}

	function buildQueries(queryAllBy, getMultipleError, getMissingError) {
	  var queryBy = makeSingleQuery(queryAllBy, getMultipleError);
	  var getAllBy = makeGetAllQuery(queryAllBy, getMissingError);
	  var getBy = makeSingleQuery(getAllBy, getMultipleError);
	  var findAllBy = makeFindQuery(getAllBy);
	  var findBy = makeFindQuery(getBy);
	  return [queryBy, getAllBy, getBy, findAllBy, findBy];
	}

	function queryAllByText(container, text, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$selector = _ref.selector,
	      selector = _ref$selector === void 0 ? '*' : _ref$selector,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      collapseWhitespace = _ref.collapseWhitespace,
	      trim = _ref.trim,
	      _ref$ignore = _ref.ignore,
	      ignore = _ref$ignore === void 0 ? 'script, style' : _ref$ignore,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  var baseArray = [];

	  if (typeof container.matches === 'function' && container.matches(selector)) {
	    baseArray = [container];
	  }

	  return [].concat(baseArray, Array.from(container.querySelectorAll(selector))).filter(function (node) {
	    return !ignore || !node.matches(ignore);
	  }).filter(function (node) {
	    return matcher(getNodeText(node), node, text, matchNormalizer);
	  });
	}

	var getMultipleError = function (c, text) {
	  return "Found multiple elements with the text: " + text;
	};

	var getMissingError = function (c, text) {
	  return "Unable to find an element with the text: " + text + ". This could be because the text is broken up by multiple elements. In this case, you can provide a function for your text matcher to make your matcher more flexible.";
	};

	var _buildQueries = buildQueries(queryAllByText, getMultipleError, getMissingError),
	    queryByText = _buildQueries[0],
	    getAllByText = _buildQueries[1],
	    getByText = _buildQueries[2],
	    findAllByText = _buildQueries[3],
	    findByText = _buildQueries[4];

	function queryAllLabelsByText(container, text, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      trim = _ref.trim,
	      collapseWhitespace = _ref.collapseWhitespace,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  return Array.from(container.querySelectorAll('label')).filter(function (label) {
	    return matcher(label.textContent, label, text, matchNormalizer);
	  });
	}

	function queryAllByLabelText(container, text, _temp2) {
	  var _ref2 = _temp2 === void 0 ? {} : _temp2,
	      _ref2$selector = _ref2.selector,
	      selector = _ref2$selector === void 0 ? '*' : _ref2$selector,
	      _ref2$exact = _ref2.exact,
	      exact = _ref2$exact === void 0 ? true : _ref2$exact,
	      collapseWhitespace = _ref2.collapseWhitespace,
	      trim = _ref2.trim,
	      normalizer = _ref2.normalizer;

	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  var labels = queryAllLabelsByText(container, text, {
	    exact: exact,
	    normalizer: matchNormalizer
	  });
	  var labelledElements = labels.map(function (label) {
	    if (label.control) {
	      return label.control;
	    }
	    /* istanbul ignore if */


	    if (label.getAttribute('for')) {
	      // we're using this notation because with the # selector we would have to escape special characters e.g. user.name
	      // see https://developer.mozilla.org/en-US/docs/Web/API/Document/querySelector#Escaping_special_characters
	      // <label for="someId">text</label><input id="someId" />
	      // .control support has landed in jsdom (https://github.com/jsdom/jsdom/issues/2175)
	      return container.querySelector("[id=\"" + label.getAttribute('for') + "\"]");
	    }

	    if (label.getAttribute('id')) {
	      // <label id="someId">text</label><input aria-labelledby="someId" />
	      return container.querySelector("[aria-labelledby~=\"" + label.getAttribute('id') + "\"]");
	    }

	    if (label.childNodes.length) {
	      // <label>text: <input /></label>
	      return label.querySelector(selector);
	    }

	    return null;
	  }).filter(function (label) {
	    return label !== null;
	  }).concat(queryAllByAttribute('aria-label', container, text, {
	    exact: exact
	  }));
	  var possibleAriaLabelElements = queryAllByText(container, text, {
	    exact: exact,
	    normalizer: matchNormalizer
	  });
	  var ariaLabelledElements = possibleAriaLabelElements.reduce(function (allLabelledElements, nextLabelElement) {
	    var labelId = nextLabelElement.getAttribute('id');
	    if (!labelId) return allLabelledElements; // ARIA labels can label multiple elements

	    var labelledNodes = Array.from(container.querySelectorAll("[aria-labelledby~=\"" + labelId + "\"]"));
	    return allLabelledElements.concat(labelledNodes);
	  }, []);
	  return Array.from(new Set([].concat(labelledElements, ariaLabelledElements)));
	} // the getAll* query would normally look like this:
	// const getAllByLabelText = makeGetAllQuery(
	//   queryAllByLabelText,
	//   (c, text) => `Unable to find a label with the text of: ${text}`,
	// )
	// however, we can give a more helpful error message than the generic one,
	// so we're writing this one out by hand.


	function getAllByLabelText(container, text) {
	  for (var _len = arguments.length, rest = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
	    rest[_key - 2] = arguments[_key];
	  }

	  var els = queryAllByLabelText.apply(void 0, [container, text].concat(rest));

	  if (!els.length) {
	    var labels = queryAllLabelsByText.apply(void 0, [container, text].concat(rest));

	    if (labels.length) {
	      throw getElementError("Found a label with the text of: " + text + ", however no form control was found associated to that label. Make sure you're using the \"for\" attribute or \"aria-labelledby\" attribute correctly.", container);
	    } else {
	      throw getElementError("Unable to find a label with the text of: " + text, container);
	    }
	  }

	  return els;
	} // the reason mentioned above is the same reason we're not using buildQueries


	var getMultipleError$1 = function (c, text) {
	  return "Found multiple elements with the text of: " + text;
	};

	var queryByLabelText = makeSingleQuery(queryAllByLabelText, getMultipleError$1);
	var getByLabelText = makeSingleQuery(getAllByLabelText, getMultipleError$1);
	var findAllByLabelText = makeFindQuery(getAllByLabelText);
	var findByLabelText = makeFindQuery(getByLabelText);

	var queryAllByPlaceholderText = queryAllByAttribute.bind(null, 'placeholder');

	var getMultipleError$2 = function (c, text) {
	  return "Found multiple elements with the placeholder text of: " + text;
	};

	var getMissingError$1 = function (c, text) {
	  return "Unable to find an element with the placeholder text of: " + text;
	};

	var _buildQueries$1 = buildQueries(queryAllByPlaceholderText, getMultipleError$2, getMissingError$1),
	    queryByPlaceholderText = _buildQueries$1[0],
	    getAllByPlaceholderText = _buildQueries$1[1],
	    getByPlaceholderText = _buildQueries$1[2],
	    findAllByPlaceholderText = _buildQueries$1[3],
	    findByPlaceholderText = _buildQueries$1[4];

	function queryAllByDisplayValue(container, value, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      collapseWhitespace = _ref.collapseWhitespace,
	      trim = _ref.trim,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  return Array.from(container.querySelectorAll("input,textarea,select")).filter(function (node) {
	    if (node.tagName === 'SELECT') {
	      var selectedOptions = Array.from(node.options).filter(function (option) {
	        return option.selected;
	      });
	      return selectedOptions.some(function (optionNode) {
	        return matcher(getNodeText(optionNode), optionNode, value, matchNormalizer);
	      });
	    } else {
	      return matcher(node.value, node, value, matchNormalizer);
	    }
	  });
	}

	var getMultipleError$3 = function (c, value) {
	  return "Found multiple elements with the value: " + value + ".";
	};

	var getMissingError$2 = function (c, value) {
	  return "Unable to find an element with the value: " + value + ".";
	};

	var _buildQueries$2 = buildQueries(queryAllByDisplayValue, getMultipleError$3, getMissingError$2),
	    queryByDisplayValue = _buildQueries$2[0],
	    getAllByDisplayValue = _buildQueries$2[1],
	    getByDisplayValue = _buildQueries$2[2],
	    findAllByDisplayValue = _buildQueries$2[3],
	    findByDisplayValue = _buildQueries$2[4];

	function queryAllByAltText(container, alt, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      collapseWhitespace = _ref.collapseWhitespace,
	      trim = _ref.trim,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  return Array.from(container.querySelectorAll('img,input,area')).filter(function (node) {
	    return matcher(node.getAttribute('alt'), node, alt, matchNormalizer);
	  });
	}

	var getMultipleError$4 = function (c, alt) {
	  return "Found multiple elements with the alt text: " + alt;
	};

	var getMissingError$3 = function (c, alt) {
	  return "Unable to find an element with the alt text: " + alt;
	};

	var _buildQueries$3 = buildQueries(queryAllByAltText, getMultipleError$4, getMissingError$3),
	    queryByAltText = _buildQueries$3[0],
	    getAllByAltText = _buildQueries$3[1],
	    getByAltText = _buildQueries$3[2],
	    findAllByAltText = _buildQueries$3[3],
	    findByAltText = _buildQueries$3[4];

	function queryAllByTitle(container, text, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      collapseWhitespace = _ref.collapseWhitespace,
	      trim = _ref.trim,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  return Array.from(container.querySelectorAll('[title], svg > title')).filter(function (node) {
	    return matcher(node.getAttribute('title'), node, text, matchNormalizer) || matcher(getNodeText(node), node, text, matchNormalizer);
	  });
	}

	var getMultipleError$5 = function (c, title) {
	  return "Found multiple elements with the title: " + title + ".";
	};

	var getMissingError$4 = function (c, title) {
	  return "Unable to find an element with the title: " + title + ".";
	};

	var _buildQueries$4 = buildQueries(queryAllByTitle, getMultipleError$5, getMissingError$4),
	    queryByTitle = _buildQueries$4[0],
	    getAllByTitle = _buildQueries$4[1],
	    getByTitle = _buildQueries$4[2],
	    findAllByTitle = _buildQueries$4[3],
	    findByTitle = _buildQueries$4[4];

	var elementRoleList = buildElementRoleList(lib_2);

	function getImplicitAriaRoles(currentNode) {
	  for (var _iterator = elementRoleList, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var _ref2 = _ref,
	        selector = _ref2.selector,
	        roles = _ref2.roles;

	    if (currentNode.matches(selector)) {
	      return [].concat(roles);
	    }
	  }

	  return [];
	}

	function buildElementRoleList(elementRolesMap) {
	  function makeElementSelector(_ref3) {
	    var name = _ref3.name,
	        _ref3$attributes = _ref3.attributes,
	        attributes = _ref3$attributes === void 0 ? [] : _ref3$attributes;
	    return "" + name + attributes.map(function (_ref4) {
	      var attributeName = _ref4.name,
	          value = _ref4.value;
	      return "[" + attributeName + "=" + value + "]";
	    }).join('');
	  }

	  function getSelectorSpecificity(_ref5) {
	    var _ref5$attributes = _ref5.attributes,
	        attributes = _ref5$attributes === void 0 ? [] : _ref5$attributes;
	    return attributes.length;
	  }

	  var result = [];

	  for (var _iterator2 = elementRolesMap.entries(), _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
	    var _ref8;

	    if (_isArray2) {
	      if (_i2 >= _iterator2.length) break;
	      _ref8 = _iterator2[_i2++];
	    } else {
	      _i2 = _iterator2.next();
	      if (_i2.done) break;
	      _ref8 = _i2.value;
	    }

	    var _ref9 = _ref8,
	        element = _ref9[0],
	        roles = _ref9[1];
	    result = [].concat(result, [{
	      selector: makeElementSelector(element),
	      roles: Array.from(roles),
	      specificity: getSelectorSpecificity(element)
	    }]);
	  }

	  return result.sort(function (_ref6, _ref7) {
	    var leftSpecificity = _ref6.specificity;
	    var rightSpecificity = _ref7.specificity;
	    return rightSpecificity - leftSpecificity;
	  });
	}

	function queryAllByRole(container, role, _temp) {
	  var _ref = _temp === void 0 ? {} : _temp,
	      _ref$exact = _ref.exact,
	      exact = _ref$exact === void 0 ? true : _ref$exact,
	      collapseWhitespace = _ref.collapseWhitespace,
	      trim = _ref.trim,
	      normalizer = _ref.normalizer;

	  var matcher = exact ? matches : fuzzyMatches;
	  var matchNormalizer = makeNormalizer({
	    collapseWhitespace: collapseWhitespace,
	    trim: trim,
	    normalizer: normalizer
	  });
	  return Array.from(container.querySelectorAll('*')).filter(function (node) {
	    var isRoleSpecifiedExplicitly = node.hasAttribute('role');

	    if (isRoleSpecifiedExplicitly) {
	      return matcher(node.getAttribute('role'), node, role, matchNormalizer);
	    }

	    var implicitRoles = getImplicitAriaRoles(node);
	    return implicitRoles.some(function (implicitRole) {
	      return matcher(implicitRole, node, role, matchNormalizer);
	    });
	  });
	}

	var getMultipleError$6 = function (c, id) {
	  return "Found multiple elements by [role=" + id + "]";
	};

	var getMissingError$5 = function (c, id) {
	  return "Unable to find an element by [role=" + id + "]";
	};

	var _buildQueries$5 = buildQueries(queryAllByRole, getMultipleError$6, getMissingError$5),
	    queryByRole = _buildQueries$5[0],
	    getAllByRole = _buildQueries$5[1],
	    getByRole = _buildQueries$5[2],
	    findAllByRole = _buildQueries$5[3],
	    findByRole = _buildQueries$5[4];

	var getTestIdAttribute = function () {
	  return getConfig().testIdAttribute;
	};

	var queryAllByTestId = function () {
	  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
	    args[_key] = arguments[_key];
	  }

	  return queryAllByAttribute.apply(void 0, [getTestIdAttribute()].concat(args));
	};

	var getMultipleError$7 = function (c, id) {
	  return "Found multiple elements by: [" + getTestIdAttribute() + "=\"" + id + "\"]";
	};

	var getMissingError$6 = function (c, id) {
	  return "Unable to find an element by: [" + getTestIdAttribute() + "=\"" + id + "\"]";
	};

	var _buildQueries$6 = buildQueries(queryAllByTestId, getMultipleError$7, getMissingError$6),
	    queryByTestId = _buildQueries$6[0],
	    getAllByTestId = _buildQueries$6[1],
	    getByTestId = _buildQueries$6[2],
	    findAllByTestId = _buildQueries$6[3],
	    findByTestId = _buildQueries$6[4];



	var defaultQueries = /*#__PURE__*/Object.freeze({
	  queryAllByLabelText: queryAllByLabelText,
	  queryByLabelText: queryByLabelText,
	  getAllByLabelText: getAllByLabelText,
	  getByLabelText: getByLabelText,
	  findAllByLabelText: findAllByLabelText,
	  findByLabelText: findByLabelText,
	  queryByPlaceholderText: queryByPlaceholderText,
	  queryAllByPlaceholderText: queryAllByPlaceholderText,
	  getByPlaceholderText: getByPlaceholderText,
	  getAllByPlaceholderText: getAllByPlaceholderText,
	  findAllByPlaceholderText: findAllByPlaceholderText,
	  findByPlaceholderText: findByPlaceholderText,
	  queryByText: queryByText,
	  queryAllByText: queryAllByText,
	  getByText: getByText,
	  getAllByText: getAllByText,
	  findAllByText: findAllByText,
	  findByText: findByText,
	  queryByDisplayValue: queryByDisplayValue,
	  queryAllByDisplayValue: queryAllByDisplayValue,
	  getByDisplayValue: getByDisplayValue,
	  getAllByDisplayValue: getAllByDisplayValue,
	  findAllByDisplayValue: findAllByDisplayValue,
	  findByDisplayValue: findByDisplayValue,
	  queryByAltText: queryByAltText,
	  queryAllByAltText: queryAllByAltText,
	  getByAltText: getByAltText,
	  getAllByAltText: getAllByAltText,
	  findAllByAltText: findAllByAltText,
	  findByAltText: findByAltText,
	  queryByTitle: queryByTitle,
	  queryAllByTitle: queryAllByTitle,
	  getByTitle: getByTitle,
	  getAllByTitle: getAllByTitle,
	  findAllByTitle: findAllByTitle,
	  findByTitle: findByTitle,
	  queryByRole: queryByRole,
	  queryAllByRole: queryAllByRole,
	  getAllByRole: getAllByRole,
	  getByRole: getByRole,
	  findAllByRole: findAllByRole,
	  findByRole: findByRole,
	  queryByTestId: queryByTestId,
	  queryAllByTestId: queryAllByTestId,
	  getByTestId: getByTestId,
	  getAllByTestId: getAllByTestId,
	  findAllByTestId: findAllByTestId,
	  findByTestId: findByTestId
	});

	/**
	 * @typedef {{[key: string]: Function}} FuncMap
	 */

	/**
	 * @param {HTMLElement} element container
	 * @param {FuncMap} queries object of functions
	 * @returns {FuncMap} returns object of functions bound to container
	 */

	function getQueriesForElement(element, queries) {
	  if (queries === void 0) {
	    queries = defaultQueries;
	  }

	  return Object.keys(queries).reduce(function (helpers, key) {
	    var fn = queries[key];
	    helpers[key] = fn.bind(null, element);
	    return helpers;
	  }, {});
	}

	var eventMap = {
	  // Clipboard Events
	  copy: {
	    EventType: 'ClipboardEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  cut: {
	    EventType: 'ClipboardEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  paste: {
	    EventType: 'ClipboardEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // Composition Events
	  compositionEnd: {
	    EventType: 'CompositionEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  compositionStart: {
	    EventType: 'CompositionEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  compositionUpdate: {
	    EventType: 'CompositionEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // Keyboard Events
	  keyDown: {
	    EventType: 'KeyboardEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true,
	      charCode: 0
	    }
	  },
	  keyPress: {
	    EventType: 'KeyboardEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true,
	      charCode: 0
	    }
	  },
	  keyUp: {
	    EventType: 'KeyboardEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true,
	      charCode: 0
	    }
	  },
	  // Focus Events
	  focus: {
	    EventType: 'FocusEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  blur: {
	    EventType: 'FocusEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  focusIn: {
	    EventType: 'FocusEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  focusOut: {
	    EventType: 'FocusEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  // Form Events
	  change: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  input: {
	    EventType: 'InputEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  invalid: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: true
	    }
	  },
	  submit: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // Mouse Events
	  click: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true,
	      button: 0
	    }
	  },
	  contextMenu: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  dblClick: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  drag: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  dragEnd: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  dragEnter: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  dragExit: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  dragLeave: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  dragOver: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  dragStart: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  drop: {
	    EventType: 'DragEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  mouseDown: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  mouseEnter: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  mouseLeave: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  mouseMove: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  mouseOut: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  mouseOver: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  mouseUp: {
	    EventType: 'MouseEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // Selection Events
	  select: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  // Touch Events
	  touchCancel: {
	    EventType: 'TouchEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  touchEnd: {
	    EventType: 'TouchEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  touchMove: {
	    EventType: 'TouchEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  touchStart: {
	    EventType: 'TouchEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // UI Events
	  scroll: {
	    EventType: 'UIEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  // Wheel Events
	  wheel: {
	    EventType: 'WheelEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // Media Events
	  abort: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  canPlay: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  canPlayThrough: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  durationChange: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  emptied: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  encrypted: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  ended: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  // error: {
	  //   EventType: Event,
	  //   defaultInit: {bubbles: false, cancelable: false},
	  // },
	  loadedData: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  loadedMetadata: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  loadStart: {
	    EventType: 'ProgressEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  pause: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  play: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  playing: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  progress: {
	    EventType: 'ProgressEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  rateChange: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  seeked: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  seeking: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  stalled: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  suspend: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  timeUpdate: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  volumeChange: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  waiting: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  // Image Events
	  load: {
	    EventType: 'UIEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  error: {
	    EventType: 'Event',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  // Animation Events
	  animationStart: {
	    EventType: 'AnimationEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  animationEnd: {
	    EventType: 'AnimationEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  animationIteration: {
	    EventType: 'AnimationEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  // Transition Events
	  transitionEnd: {
	    EventType: 'TransitionEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  // pointer events
	  pointerOver: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  pointerEnter: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  pointerDown: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  pointerMove: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  pointerUp: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  pointerCancel: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: false
	    }
	  },
	  pointerOut: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: true,
	      cancelable: true
	    }
	  },
	  pointerLeave: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  gotPointerCapture: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  },
	  lostPointerCapture: {
	    EventType: 'PointerEvent',
	    defaultInit: {
	      bubbles: false,
	      cancelable: false
	    }
	  }
	};
	var eventAliasMap = {
	  doubleClick: 'dblClick'
	};

	function fireEvent(element, event) {
	  return element.dispatchEvent(event);
	}

	var createEvent = {};
	Object.keys(eventMap).forEach(function (key) {
	  var _eventMap$key = eventMap[key],
	      EventType = _eventMap$key.EventType,
	      defaultInit = _eventMap$key.defaultInit;
	  var eventName = key.toLowerCase();

	  createEvent[key] = function (node, init) {
	    var eventInit = _extends({}, defaultInit, init);

	    var _eventInit$target = eventInit.target;
	    _eventInit$target = _eventInit$target === void 0 ? {} : _eventInit$target;

	    var value = _eventInit$target.value,
	        files = _eventInit$target.files,
	        targetProperties = _objectWithoutPropertiesLoose(_eventInit$target, ["value", "files"]);

	    if (value !== undefined) {
	      setNativeValue(node, value);
	    }

	    if (files !== undefined) {
	      // input.files is a read-only property so this is not allowed:
	      // input.files = [file]
	      // so we have to use this workaround to set the property
	      Object.defineProperty(node, 'files', {
	        configurable: true,
	        enumerable: true,
	        writable: true,
	        value: files
	      });
	    }

	    Object.assign(node, targetProperties);
	    var window = getWindowFromNode(node);
	    var EventConstructor = window[EventType] || window.Event;
	    return new EventConstructor(eventName, eventInit);
	  };

	  fireEvent[key] = function (node, init) {
	    return fireEvent(node, createEvent[key](node, init));
	  };
	});

	function getWindowFromNode(node) {
	  // istanbul ignore next I'm not sure what could cause the final else so we'll leave it uncovered.
	  if (node.defaultView) {
	    // node is document
	    return node.defaultView;
	  } else if (node.ownerDocument && node.ownerDocument.defaultView) {
	    // node is a DOM node
	    return node.ownerDocument.defaultView;
	  } else if (node.window) {
	    // node is window
	    return node.window;
	  } else {
	    // no idea...
	    throw new Error("Unable to find the \"window\" object for the given node. fireEvent currently supports firing events on DOM nodes, document, and window. Please file an issue with the code that's causing you to see this error: https://github.com/testing-library/dom-testing-library/issues/new");
	  }
	} // function written after some investigation here:
	// https://github.com/facebook/react/issues/10135#issuecomment-401496776


	function setNativeValue(element, value) {
	  var _ref = Object.getOwnPropertyDescriptor(element, 'value') || {},
	      valueSetter = _ref.set;

	  var prototype = Object.getPrototypeOf(element);

	  var _ref2 = Object.getOwnPropertyDescriptor(prototype, 'value') || {},
	      prototypeValueSetter = _ref2.set;

	  if (prototypeValueSetter && valueSetter !== prototypeValueSetter) {
	    prototypeValueSetter.call(element, value);
	  }
	  /* istanbul ignore next (I don't want to bother) */
	  else if (valueSetter) {
	      valueSetter.call(element, value);
	    } else {
	      throw new Error('The given element does not have a value setter');
	    }
	}

	Object.keys(eventAliasMap).forEach(function (aliasKey) {
	  var key = eventAliasMap[aliasKey];

	  fireEvent[aliasKey] = function () {
	    return fireEvent[key].apply(fireEvent, arguments);
	  };
	});

	// we don't want to warn until react-dom@16.9.0 is actually released
	var reactDomSixteenPointNineIsReleased = false;

	var reactAct;
	var actSupported = false;
	var asyncActSupported = false;

	try {
	  reactAct = require('react-dom/test-utils').act;
	  actSupported = reactAct !== undefined;
	  var originalError = console.error;
	  var errorCalled = false;

	  console.error = function () {
	    errorCalled = true;
	  };

	  console.error.calls = [];
	  /* istanbul ignore next */

	  reactAct(function () {
	    return {
	      then: function then() {}
	    };
	  }).then(function () {});
	  /* istanbul ignore next */

	  if (!errorCalled) {
	    asyncActSupported = true;
	  }

	  console.error = originalError;
	} catch (error) {} // ignore, this is to support old versions of react
	// act is supported react-dom@16.8.0
	// so for versions that don't have act from test utils
	// we do this little polyfill. No warnings, but it's
	// better than nothing.


	function actPolyfill(cb) {
	  ReactDOM.unstable_batchedUpdates(cb);
	  ReactDOM.render(React.createElement("div", null), document.createElement('div'));
	}

	var act = reactAct || actPolyfill;
	var youHaveBeenWarned = false; // this will not avoid warnings that react-dom 16.8.0 logs for triggering
	// state updates asynchronously, but at least we can tell people they need
	// to upgrade to avoid the warnings.

	function asyncActPolyfill() {
	  return _asyncActPolyfill.apply(this, arguments);
	} // istanbul ignore next


	function _asyncActPolyfill() {
	  _asyncActPolyfill = _asyncToGenerator(
	  /*#__PURE__*/
	  regenerator.mark(function _callee(cb) {
	    return regenerator.wrap(function (_context) {
	      while (1) {
	        switch (_context.prev = _context.next) {
	          case 0:
	            // istanbul-ignore-next
	            if (!youHaveBeenWarned && actSupported && reactDomSixteenPointNineIsReleased) {
	              // if act is supported and async act isn't and they're trying to use async
	              // act, then they need to upgrade from 16.8 to 16.9.
	              // This is a seemless upgrade, so we'll add a warning
	              console.error("It looks like you're using a version of react-dom that supports the \"act\" function, but not an awaitable version of \"act\" which you will need. Please upgrade to at least react-dom@16.9.0 to remove this warning.");
	              youHaveBeenWarned = true;
	            }

	            _context.next = 3;
	            return cb();

	          case 3:
	            // make all effects resolve after
	            act(function () {});

	          case 4:
	          case "end":
	            return _context.stop();
	        }
	      }
	    }, _callee);
	  }));
	  return _asyncActPolyfill.apply(this, arguments);
	}

	var asyncAct = asyncActSupported ? reactAct : asyncActPolyfill;
	/* eslint no-console:0 */

	configure({
	  asyncWrapper: function () {
	    var _asyncWrapper = _asyncToGenerator(
	    /*#__PURE__*/
	    regenerator.mark(function _callee2(cb) {
	      var result;
	      return regenerator.wrap(function (_context2) {
	        while (1) {
	          switch (_context2.prev = _context2.next) {
	            case 0:
	              _context2.next = 2;
	              return asyncAct(
	              /*#__PURE__*/
	              _asyncToGenerator(
	              /*#__PURE__*/
	              regenerator.mark(function _callee() {
	                return regenerator.wrap(function (_context) {
	                  while (1) {
	                    switch (_context.prev = _context.next) {
	                      case 0:
	                        _context.next = 2;
	                        return cb();

	                      case 2:
	                        result = _context.sent;

	                      case 3:
	                      case "end":
	                        return _context.stop();
	                    }
	                  }
	                }, _callee);
	              })));

	            case 2:
	              return _context2.abrupt("return", result);

	            case 3:
	            case "end":
	              return _context2.stop();
	          }
	        }
	      }, _callee2);
	    }));

	    return function asyncWrapper() {
	      return _asyncWrapper.apply(this, arguments);
	    };
	  }()
	});
	var mountedContainers = new Set();

	function render(ui, _temp) {
	  var _ref2 = _temp === void 0 ? {} : _temp,
	      container = _ref2.container,
	      _ref2$baseElement = _ref2.baseElement,
	      baseElement = _ref2$baseElement === void 0 ? container : _ref2$baseElement,
	      queries = _ref2.queries,
	      _ref2$hydrate = _ref2.hydrate,
	      hydrate = _ref2$hydrate === void 0 ? false : _ref2$hydrate,
	      WrapperComponent = _ref2.wrapper;

	  if (!container) {
	    // default to document.body instead of documentElement to avoid output of potentially-large
	    // head elements (such as JSS style blocks) in debug output
	    baseElement = document.body;
	    container = document.body.appendChild(document.createElement('div'));
	  } // we'll add it to the mounted containers regardless of whether it's actually
	  // added to document.body so the cleanup method works regardless of whether
	  // they're passing us a custom container or not.


	  mountedContainers.add(container);

	  var wrapUiIfNeeded = function (innerElement) {
	    return WrapperComponent ? React.createElement(WrapperComponent, null, innerElement) : innerElement;
	  };

	  act(function () {
	    if (hydrate) {
	      ReactDOM.hydrate(wrapUiIfNeeded(ui), container);
	    } else {
	      ReactDOM.render(wrapUiIfNeeded(ui), container);
	    }
	  });
	  return _extends({
	    container: container,
	    baseElement: baseElement,
	    // eslint-disable-next-line no-console
	    debug: function debug(el) {
	      if (el === void 0) {
	        el = baseElement;
	      }

	      return console.log(prettyDOM(el));
	    },
	    unmount: function unmount() {
	      return ReactDOM.unmountComponentAtNode(container);
	    },
	    rerender: function rerender(rerenderUi) {
	      render(wrapUiIfNeeded(rerenderUi), {
	        container: container,
	        baseElement: baseElement
	      }); // Intentionally do not return anything to avoid unnecessarily complicating the API.
	      // folks can use all the same utilities we return in the first place that are bound to the container
	    },
	    asFragment: function asFragment() {
	      /* istanbul ignore if (jsdom limitation) */
	      if (typeof document.createRange === 'function') {
	        return document.createRange().createContextualFragment(container.innerHTML);
	      }

	      var template = document.createElement('template');
	      template.innerHTML = container.innerHTML;
	      return template.content;
	    }
	  }, getQueriesForElement(baseElement, queries));
	}

	function cleanup() {
	  mountedContainers.forEach(cleanupAtContainer);
	} // maybe one day we'll expose this (perhaps even as a utility returned by render).
	// but let's wait until someone asks for it.


	function cleanupAtContainer(container) {
	  ReactDOM.unmountComponentAtNode(container);

	  if (container.parentNode === document.body) {
	    document.body.removeChild(container);
	  }

	  mountedContainers.delete(container);
	} // react-testing-library's version of fireEvent will call

	Object.keys(fireEvent).forEach(function (key) {
	}); // React event system tracks native mouseOver/mouseOut events for

	function _extends$1() {
	  _extends$1 = Object.assign || function (target) {
	    for (var i = 1; i < arguments.length; i++) {
	      var source = arguments[i];

	      for (var key in source) {
	        if (Object.prototype.hasOwnProperty.call(source, key)) {
	          target[key] = source[key];
	        }
	      }
	    }

	    return target;
	  };

	  return _extends$1.apply(this, arguments);
	}

	function _inheritsLoose(subClass, superClass) {
	  subClass.prototype = Object.create(superClass.prototype);
	  subClass.prototype.constructor = subClass;
	  subClass.__proto__ = superClass;
	}

	function _assertThisInitialized(self) {
	  if (self === void 0) {
	    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
	  }

	  return self;
	}

	/*! @name @brightcove/player-loader @version 1.8.0 @license Apache-2.0 */

	function _extends$2() {
	  _extends$2 = Object.assign || function (target) {
	    for (var i = 1; i < arguments.length; i++) {
	      var source = arguments[i];

	      for (var key in source) {
	        if (Object.prototype.hasOwnProperty.call(source, key)) {
	          target[key] = source[key];
	        }
	      }
	    }

	    return target;
	  };

	  return _extends$2.apply(this, arguments);
	}

	var version = "1.8.0";

	/*! @name @brightcove/player-url @version 1.2.0 @license Apache-2.0 */
	var version$1 = "1.2.0";

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
	  return typeof obj;
	} : function (obj) {
	  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
	};

	// The parameters that may include JSON.
	var JSON_ALLOWED_PARAMS = ['catalogSearch', 'catalogSequence'];

	// The parameters that may be set as query string parameters for iframes.
	var IFRAME_ALLOWED_QUERY_PARAMS = ['adConfigId', 'applicationId', 'catalogSearch', 'catalogSequence', 'playlistId', 'playlistVideoId', 'videoId'];

	/**
	 * Gets the value of a parameter and encodes it as a string.
	 *
	 * For certain keys, JSON is allowed and will be encoded.
	 *
	 * @private
	 * @param   {Object} params
	 *          A parameters object. See README for details.
	 *
	 * @param   {string} key
	 *          The key in the params object.
	 *
	 * @return  {string|undefined}
	 *          The encoded value - or `undefined` if none.
	 */
	var getQueryParamValue = function getQueryParamValue(params, key) {

	  if (!params || params[key] === undefined) {
	    return;
	  }

	  // If it's not a string, such as with a catalog search or sequence, we
	  // try to encode it as JSON.
	  if (typeof params[key] !== 'string' && JSON_ALLOWED_PARAMS.indexOf(key) !== -1) {
	    try {
	      return encodeURIComponent(JSON.stringify(params[key]));
	    } catch (x) {

	      // If it's not a string and we can't encode as JSON, it's ignored entirely.
	      return;
	    }
	  }

	  return encodeURIComponent(String(params[key]).trim()) || undefined;
	};

	/**
	 * In some cases, we need to add query string parameters to an iframe URL.
	 *
	 * @private
	 * @param   {Object} params
	 *          An object of query parameters.
	 *
	 * @return  {string}
	 *          A query string starting with `?`. If no valid parameters are given,
	 *          returns an empty string.
	 */
	var getQueryString = function getQueryString(params) {
	  return Object.keys(params).filter(function (k) {
	    return IFRAME_ALLOWED_QUERY_PARAMS.indexOf(k) !== -1;
	  }).reduce(function (qs, k) {
	    var value = getQueryParamValue(params, k);

	    if (value !== undefined) {
	      qs += qs ? '&' : '?';
	      qs += encodeURIComponent(k) + '=' + value;
	    }

	    return qs;
	  }, '');
	};

	/**
	 * Generate a URL to a Brightcove Player.
	 *
	 * @param  {Object}  params
	 *         A set of parameters describing the player URL to create.
	 *
	 * @param  {string}  params.accountId
	 *         A Brightcove account ID.
	 *
	 * @param  {string}  [params.playerId="default"]
	 *         A Brightcove player ID.
	 *
	 * @param  {string}  [params.embedId="default"]
	 *         A Brightcove player embed ID.
	 *
	 * @param  {boolean} [params.iframe=false]
	 *         Whether to return a URL for an HTML document to be embedded in
	 *         an iframe.
	 *
	 * @param  {boolean} [params.minified=true]
	 *         When the `iframe` argument is `false`, this can be used to control
	 *         whether the minified or unminified JavaScript URL is returned.
	 *
	 * @param  {string} [params.base="https://players.brightcove.net"]
	 *         A base CDN protocol and hostname. Mainly used for testing.
	 *
	 * @return {string}
	 *         A URL to a Brightcove Player.
	 */
	var brightcovePlayerUrl = function brightcovePlayerUrl(_ref) {
	  var accountId = _ref.accountId,
	      _ref$base = _ref.base,
	      base = _ref$base === undefined ? 'https://players.brightcove.net' : _ref$base,
	      _ref$playerId = _ref.playerId,
	      playerId = _ref$playerId === undefined ? 'default' : _ref$playerId,
	      _ref$embedId = _ref.embedId,
	      embedId = _ref$embedId === undefined ? 'default' : _ref$embedId,
	      _ref$iframe = _ref.iframe,
	      iframe = _ref$iframe === undefined ? false : _ref$iframe,
	      _ref$minified = _ref.minified,
	      minified = _ref$minified === undefined ? true : _ref$minified,
	      _ref$queryParams = _ref.queryParams,
	      queryParams = _ref$queryParams === undefined ? null : _ref$queryParams;

	  var ext = '';

	  if (iframe) {
	    ext += 'html';
	  } else {
	    if (minified) {
	      ext += 'min.';
	    }
	    ext += 'js';
	  }

	  if (base.charAt(base.length - 1) === '/') {
	    base = base.substring(0, base.length - 1);
	  }

	  var qs = '';

	  if (iframe && queryParams && (typeof queryParams === 'undefined' ? 'undefined' : _typeof(queryParams)) === 'object') {
	    qs = getQueryString(queryParams);
	  }

	  accountId = encodeURIComponent(accountId);
	  playerId = encodeURIComponent(playerId);
	  embedId = encodeURIComponent(embedId);

	  return base + '/' + accountId + '/' + playerId + '_' + embedId + '/index.' + ext + qs;
	};

	/**
	 * The version of this module.
	 *
	 * @type {string}
	 */
	brightcovePlayerUrl.VERSION = version$1;

	var DEFAULTS = {
	  embedId: 'default',
	  embedType: 'in-page',
	  playerId: 'default',
	  Promise: window_1.Promise,
	  refNodeInsert: 'append'
	};
	var DEFAULT_ASPECT_RATIO = '16:9';
	var DEFAULT_IFRAME_HORIZONTAL_PLAYLIST = false;
	var DEFAULT_MAX_WIDTH = '100%';
	var EMBED_TAG_NAME_VIDEO = 'video';
	var EMBED_TAG_NAME_VIDEOJS = 'video-js';
	var EMBED_TYPE_IN_PAGE = 'in-page';
	var EMBED_TYPE_IFRAME = 'iframe';
	var REF_NODE_INSERT_APPEND = 'append';
	var REF_NODE_INSERT_PREPEND = 'prepend';
	var REF_NODE_INSERT_BEFORE = 'before';
	var REF_NODE_INSERT_AFTER = 'after';
	var REF_NODE_INSERT_REPLACE = 'replace';
	var JSON_ALLOWED_ATTRS = ['catalogSearch', 'catalogSequence'];

	var BASE_URL = 'https://players.brightcove.net/';
	/**
	 * Gets the URL to a player on CDN.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @return {string}
	 *         A URL.
	 */

	var getUrl = function getUrl(params) {
	  if (params.playerUrl) {
	    return params.playerUrl;
	  }

	  var accountId = params.accountId,
	      playerId = params.playerId,
	      embedId = params.embedId,
	      embedOptions = params.embedOptions;
	  var iframe = params.embedType === EMBED_TYPE_IFRAME;
	  return brightcovePlayerUrl({
	    accountId: accountId,
	    playerId: playerId,
	    embedId: embedId,
	    iframe: iframe,
	    base: BASE_URL,
	    // The unminified embed option is the exact reverse of the minified option
	    // here.
	    minified: embedOptions ? !embedOptions.unminified : true,
	    // Pass the entire params object as query params. This is safe because
	    // @brightcove/player-url only accepts a whitelist of parameters. Anything
	    // else will be ignored.
	    queryParams: params
	  });
	};
	/**
	 * Function used to get the base URL - primarily for testing.
	 *
	 * @private
	 * @return {string}
	 *         The current base URL.
	 */


	var getBaseUrl = function getBaseUrl() {
	  return BASE_URL;
	};
	/**
	 * Function used to set the base URL - primarily for testing.
	 *
	 * @private
	 * @param {string} baseUrl
	 *        A new base URL (instead of Brightcove CDN).
	 */


	var setBaseUrl = function setBaseUrl(baseUrl) {
	  BASE_URL = baseUrl;
	};

	var urls = {
	  getUrl: getUrl,
	  getBaseUrl: getBaseUrl,
	  setBaseUrl: setBaseUrl
	};

	/**
	 * Is this value an element?
	 *
	 * @param  {Element} el
	 *         A maybe element.
	 *
	 * @return {boolean}
	 *         Whether or not the value is a element.
	 */

	var isEl = function isEl(el) {
	  return Boolean(el && el.nodeType === 1);
	};
	/**
	 * Is this value an element with a parent node?
	 *
	 * @param  {Element} el
	 *         A maybe element.
	 *
	 * @return {boolean}
	 *         Whether or not the value is a element with a parent node.
	 */


	var isElInDom = function isElInDom(el) {
	  return Boolean(isEl(el) && el.parentNode);
	};
	/**
	 * Creates an iframe embed code.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @return {Element}
	 *         The DOM element that will ultimately be passed to the `bc()` function.
	 */


	var createIframeEmbed = function createIframeEmbed(params) {
	  var el = document_1.createElement('iframe');
	  el.setAttribute('allow', 'autoplay;encrypted-media;fullscreen');
	  el.setAttribute('allowfullscreen', 'allowfullscreen');
	  el.src = urls.getUrl(params);
	  return el;
	};
	/**
	 * Creates an in-page embed code.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @return {Element}
	 *         The DOM element that will ultimately be passed to the `bc()` function.
	 */


	var createInPageEmbed = function createInPageEmbed(params) {
	  var embedOptions = params.embedOptions; // We DO NOT include the data-account, data-player, or data-embed attributes
	  // here because we will be manually initializing the player.

	  var paramsToAttrs = {
	    adConfigId: 'data-ad-config-id',
	    applicationId: 'data-application-id',
	    catalogSearch: 'data-catalog-search',
	    catalogSequence: 'data-catalog-sequence',
	    deliveryConfigId: 'data-delivery-config-id',
	    playlistId: 'data-playlist-id',
	    playlistVideoId: 'data-playlist-video-id',
	    poster: 'poster',
	    videoId: 'data-video-id'
	  };
	  var tagName = embedOptions && embedOptions.tagName || EMBED_TAG_NAME_VIDEOJS;
	  var el = document_1.createElement(tagName);
	  Object.keys(paramsToAttrs).filter(function (key) {
	    return params[key];
	  }).forEach(function (key) {
	    var value; // If it's not a string, such as with a catalog search or sequence, we
	    // try to encode it as JSON.

	    if (typeof params[key] !== 'string' && JSON_ALLOWED_ATTRS.indexOf(key) !== -1) {
	      try {
	        value = JSON.stringify(params[key]); // If it fails, don't set anything.
	      } catch (x) {
	        return;
	      }
	    } else {
	      value = String(params[key]).trim();
	    }

	    el.setAttribute(paramsToAttrs[key], value);
	  });
	  el.setAttribute('controls', 'controls');
	  el.classList.add('video-js');
	  return el;
	};
	/**
	 * Wraps an element in responsive intrinsic ratio elements.
	 *
	 * @private
	 * @param  {string} embedType
	 *         The type of the embed.
	 *
	 * @param  {Object} embedOptions
	 *         Embed options from the params.
	 *
	 * @param  {Element} el
	 *         The DOM element.
	 *
	 * @return {Element}
	 *         A new element (if needed).
	 */


	var wrapResponsive = function wrapResponsive(embedType, embedOptions, el) {
	  if (!embedOptions.responsive) {
	    return el;
	  }

	  el.style.position = 'absolute';
	  el.style.top = '0px';
	  el.style.right = '0px';
	  el.style.bottom = '0px';
	  el.style.left = '0px';
	  el.style.width = '100%';
	  el.style.height = '100%';

	  var responsive = _extends$2({
	    aspectRatio: DEFAULT_ASPECT_RATIO,
	    iframeHorizontalPlaylist: DEFAULT_IFRAME_HORIZONTAL_PLAYLIST,
	    maxWidth: DEFAULT_MAX_WIDTH
	  }, embedOptions.responsive); // This value is validate at a higher level, so we can trust that it's in the
	  // correct format.


	  var aspectRatio = responsive.aspectRatio.split(':').map(Number);
	  var inner = document_1.createElement('div');
	  var paddingTop = aspectRatio[1] / aspectRatio[0] * 100; // For iframes with a horizontal playlist, the playlist takes up 20% of the
	  // vertical space (if shown); so, adjust the vertical size of the embed to
	  // avoid black bars.

	  if (embedType === EMBED_TYPE_IFRAME && responsive.iframeHorizontalPlaylist) {
	    paddingTop *= 1.25;
	  }

	  inner.style.paddingTop = paddingTop + '%';
	  inner.appendChild(el);
	  var outer = document_1.createElement('div');
	  outer.style.position = 'relative';
	  outer.style.display = 'block';
	  outer.style.maxWidth = responsive.maxWidth;
	  outer.appendChild(inner);
	  return outer;
	};
	/**
	 * Wraps an element in a Picture-in-Picture plugin container.
	 *
	 * @private
	 * @param  {Object} embedOptions
	 *         Embed options from the params.
	 *
	 * @param  {Element} el
	 *         The DOM element.
	 *
	 * @return {Element}
	 *         A new element (if needed).
	 */


	var wrapPip = function wrapPip(embedOptions, el) {
	  if (!embedOptions.pip) {
	    return el;
	  }

	  var pip = document_1.createElement('div');
	  pip.classList.add('vjs-pip-container');
	  pip.appendChild(el);
	  return pip;
	};
	/**
	 * Wraps a bare embed element with necessary parent elements, depending on
	 * embed options given in params.
	 *
	 * @private
	 * @param  {string} embedType
	 *         The type of the embed.
	 *
	 * @param  {Object} embedOptions
	 *         Embed options from the params.
	 *
	 * @param  {Element} embed
	 *         The embed DOM element.
	 *
	 * @return {Element}
	 *         A new element (if needed) or the embed itself.
	 */


	var wrapEmbed = function wrapEmbed(embedType, embedOptions, embed) {
	  if (!embedOptions) {
	    return embed;
	  }

	  return wrapPip(embedOptions, wrapResponsive(embedType, embedOptions, embed));
	};
	/**
	 * Inserts a previously-created embed element into the page based on params.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @param  {Element} embed
	 *         The embed DOM element.
	 *
	 * @return {Element}
	 *         The embed DOM element.
	 */


	var insertEmbed = function insertEmbed(params, embed) {
	  var refNode = params.refNode,
	      refNodeInsert = params.refNodeInsert;
	  var refNodeParent = refNode.parentNode; // Wrap the embed, if needed, in container elements to support various
	  // plugins.

	  var wrapped = wrapEmbed(params.embedType, params.embedOptions, embed); // Decide where to insert the wrapped embed.

	  if (refNodeInsert === REF_NODE_INSERT_BEFORE) {
	    refNodeParent.insertBefore(wrapped, refNode);
	  } else if (refNodeInsert === REF_NODE_INSERT_AFTER) {
	    refNodeParent.insertBefore(wrapped, refNode.nextElementSibling || null);
	  } else if (refNodeInsert === REF_NODE_INSERT_REPLACE) {
	    refNodeParent.replaceChild(wrapped, refNode);
	  } else if (refNodeInsert === REF_NODE_INSERT_PREPEND) {
	    refNode.insertBefore(wrapped, refNode.firstChild || null); // Append is the default.
	  } else {
	    refNode.appendChild(wrapped);
	  } // If the playlist embed option is provided, we need to add a playlist element
	  // immediately after the embed. This has to happen after the embed is inserted
	  // into the DOM (above).


	  if (params.embedOptions && params.embedOptions.playlist) {
	    var playlistTagName = params.embedOptions.playlist.legacy ? 'ul' : 'div';
	    var playlist = document_1.createElement(playlistTagName);
	    playlist.classList.add('vjs-playlist');
	    embed.parentNode.insertBefore(playlist, embed.nextElementSibling || null);
	  } // Clean up internal reference to the refNode to avoid potential memory
	  // leaks in case the params get persisted somewhere. We won't need it beyond
	  // this point.


	  params.refNode = null; // Return the original embed element that can be passed to `bc()`.

	  return embed;
	};
	/**
	 * Handles `onEmbedCreated` callback invocation.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @param  {Element} embed
	 *         The embed DOM element.
	 *
	 * @return {Element}
	 *         A possibly-new DOM element.
	 */


	var onEmbedCreated = function onEmbedCreated(params, embed) {
	  if (typeof params.onEmbedCreated !== 'function') {
	    return embed;
	  }

	  var result = params.onEmbedCreated(embed);

	  if (isEl(result)) {
	    return result;
	  }

	  return embed;
	};
	/**
	 * Creates an embed code of the appropriate type, runs any customizations
	 * necessary, and inserts it into the DOM.
	 *
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @return {Element}
	 *         The DOM element that will ultimately be passed to the `bc()`
	 *         function. Even when customized or wrapped, the return value will be
	 *         the target element.
	 */


	var createEmbed = function createEmbed(params) {
	  var embed = params.embedType === EMBED_TYPE_IFRAME ? createIframeEmbed(params) : createInPageEmbed(params);
	  return insertEmbed(params, onEmbedCreated(params, embed));
	};

	//
	// The keys follow the format "accountId_playerId_embedId" where accountId is
	// optional and defaults to "*". This happens when we detect pre-existing
	// player globals.

	var actualCache = new window_1.Map();
	/**
	 * Get the cache key given some properties.
	 *
	 * @private
	 * @param  {Object} props
	 *         Properties describing the player record to cache.
	 *
	 * @param  {string} props.playerId
	 *         A player ID.
	 *
	 * @param  {string} props.embedId
	 *         An embed ID.
	 *
	 * @param  {string} [props.accountId="*"]
	 *         An optional account ID. This is optional because when we search for
	 *         pre-existing players to avoid downloads, we will not necessarily
	 *         know the account ID.
	 *
	 * @return {string}
	 *         A key to be used in the script cache.
	 */

	var key = function key(_ref) {
	  var accountId = _ref.accountId,
	      playerId = _ref.playerId,
	      embedId = _ref.embedId;
	  return (accountId || '*') + "_" + playerId + "_" + embedId;
	};
	/**
	 * Add an entry to the script cache.
	 *
	 * @private
	 * @param  {Object} props
	 *         Properties describing the player record to cache.
	 *
	 * @param  {string} props.playerId
	 *         A player ID.
	 *
	 * @param  {string} props.embedId
	 *         An embed ID.
	 *
	 * @param  {string} [props.accountId="*"]
	 *         An optional account ID. This is optional because when we search for
	 *         pre-existing players to avoid downloads, we will not necessarily
	 *         know the account ID. If not given, we assume that no script was
	 *         downloaded for this player.
	 */


	var store = function store(props) {
	  actualCache.set(key(props), props.accountId ? urls.getUrl(props) : '');
	};
	/**
	 * Checks if the script cache has an entry.
	 *
	 * @private
	 * @param  {Object} props
	 *         Properties describing the player record to cache.
	 *
	 * @param  {string} props.playerId
	 *         A player ID.
	 *
	 * @param  {string} props.embedId
	 *         An embed ID.
	 *
	 * @param  {string} [props.accountId="*"]
	 *         An optional account ID. This is optional because when we search for
	 *         pre-existing players to avoid downloads, we will not necessarily
	 *         know the account ID.
	 *
	 * @return {boolean}
	 *         Will be `true` if there is a matching cache entry.
	 */


	var has = function has(props) {
	  return actualCache.has(key(props));
	};
	/**
	 * Gets a cache entry.
	 *
	 * @private
	 * @param  {Object} props
	 *         Properties describing the player record to cache.
	 *
	 * @param  {string} props.playerId
	 *         A player ID.
	 *
	 * @param  {string} props.embedId
	 *         An embed ID.
	 *
	 * @param  {string} [props.accountId="*"]
	 *         An optional account ID. This is optional because when we search for
	 *         pre-existing players to avoid downloads, we will not necessarily
	 *         know the account ID.
	 *
	 * @return {string}
	 *         A cache entry - a URL or empty string.
	 *
	 */


	var get = function get(props) {
	  return actualCache.get(key(props));
	};
	/**
	 * Clears the cache.
	 */


	var clear = function clear() {
	  actualCache.clear();
	};
	/**
	 * Iterates over the cache.
	 *
	 * @param  {Function} fn
	 *         A callback function that will be called with a value and a key
	 *         for each item in the cache.
	 */


	var forEach = function forEach(fn) {
	  actualCache.forEach(fn);
	};

	var playerScriptCache = {
	  clear: clear,
	  forEach: forEach,
	  get: get,
	  has: has,
	  key: key,
	  store: store
	};

	var REGEX_PLAYER_EMBED = /^([A-Za-z0-9]+)_([A-Za-z0-9]+)$/;
	/**
	 * Gets an array of current per-player/per-embed `bc` globals that are
	 * attached to the `bc` global (e.g. `bc.abc123xyz_default`).
	 *
	 * If `bc` is not defined, returns an empty array.
	 *
	 * @private
	 * @return {string[]}
	 *         An array of keys.
	 */

	var getBcGlobalKeys = function getBcGlobalKeys() {
	  return window_1.bc ? Object.keys(window_1.bc).filter(function (k) {
	    return REGEX_PLAYER_EMBED.test(k);
	  }) : [];
	};
	/**
	 * Gets known global object keys that Brightcove Players may create.
	 *
	 * @private
	 * @return {string[]}
	 *         An array of global variables that were added during testing.
	 */


	var getGlobalKeys = function getGlobalKeys() {
	  return Object.keys(window_1).filter(function (k) {
	    return /^videojs/i.test(k) || /^(bc)$/.test(k);
	  });
	};
	/**
	 * Dispose all players from a copy of Video.js.
	 *
	 * @param  {Function} videojs
	 *         A copy of Video.js.
	 */


	var disposeAll = function disposeAll(videojs) {
	  if (!videojs) {
	    return;
	  }

	  Object.keys(videojs.players).forEach(function (k) {
	    var p = videojs.players[k];

	    if (p) {
	      p.dispose();
	    }
	  });
	};
	/**
	 * Resets environment state.
	 *
	 * This will dispose ALL Video.js players on the page and remove ALL `bc` and
	 * `videojs` globals it finds.
	 */


	var reset = function reset() {
	  // Remove all script elements from the DOM.
	  playerScriptCache.forEach(function (value, key) {
	    // If no script URL is associated, skip it.
	    if (!value) {
	      return;
	    } // Find all script elements and remove them.


	    Array.prototype.slice.call(document_1.querySelectorAll("script[src=\"" + value + "\"]")).forEach(function (el) {
	      return el.parentNode.removeChild(el);
	    });
	  }); // Clear the internal cache that have been downloaded.

	  playerScriptCache.clear(); // Dispose any remaining players from the `videojs` global.

	  disposeAll(window_1.videojs); // There may be other `videojs` instances lurking in the bowels of the
	  // `bc` global. This should eliminate any of those.

	  getBcGlobalKeys().forEach(function (k) {
	    return disposeAll(window_1.bc[k].videojs);
	  }); // Delete any global object keys that were created.

	  getGlobalKeys().forEach(function (k) {
	    delete window_1[k];
	  });
	};
	/**
	 * At runtime, populate the cache with pre-detected players. This allows
	 * people who have bundled their player or included a script tag before this
	 * runs to not have to re-download players.
	 */


	var detectPlayers = function detectPlayers() {
	  getBcGlobalKeys().forEach(function (k) {
	    var matches = k.match(REGEX_PLAYER_EMBED);
	    var props = {
	      playerId: matches[1],
	      embedId: matches[2]
	    };

	    if (!playerScriptCache.has(props)) {
	      playerScriptCache.store(props);
	    }
	  });
	};

	var env = {
	  detectPlayers: detectPlayers,
	  reset: reset
	};

	env.detectPlayers();
	/**
	 * Is this value a function?
	 *
	 * @private
	 * @param  {Function} fn
	 *         A maybe function.
	 *
	 * @return {boolean}
	 *         Whether or not the value is a function.
	 */

	var isFn = function isFn(fn) {
	  return typeof fn === 'function';
	};
	/**
	 * Checks whether an embedType parameter is valid.
	 *
	 * @private
	 * @param  {string} embedType
	 *         The value to test.
	 *
	 * @return {boolean}
	 *         Whether the value is valid.
	 */


	var isValidEmbedType = function isValidEmbedType(embedType) {
	  return embedType === EMBED_TYPE_IN_PAGE || embedType === EMBED_TYPE_IFRAME;
	};
	/**
	 * Checks whether an embedOptions.tagName parameter is valid.
	 *
	 * @private
	 * @param  {string} tagName
	 *         The value to test.
	 *
	 * @return {boolean}
	 *         Whether the value is valid.
	 */


	var isValidTagName = function isValidTagName(tagName) {
	  return tagName === EMBED_TAG_NAME_VIDEOJS || tagName === EMBED_TAG_NAME_VIDEO;
	};
	/**
	 * Checks whether a refNodeInsert parameter is valid.
	 *
	 * @private
	 * @param  {string} refNodeInsert
	 *         The value to test.
	 *
	 * @return {boolean}
	 *         Whether the value is valid.
	 */


	var isValidRootInsert = function isValidRootInsert(refNodeInsert) {
	  return refNodeInsert === REF_NODE_INSERT_APPEND || refNodeInsert === REF_NODE_INSERT_PREPEND || refNodeInsert === REF_NODE_INSERT_BEFORE || refNodeInsert === REF_NODE_INSERT_AFTER || refNodeInsert === REF_NODE_INSERT_REPLACE;
	};
	/**
	 * Checks parameters and throws an error on validation problems.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @throws {Error} If accountId is missing.
	 * @throws {Error} If refNode is missing or invalid.
	 * @throws {Error} If embedType is missing or invalid.
	 * @throws {Error} If attempting to use an iframe embed with options.
	 * @throws {Error} If attempting to use embedOptions.responsiveIframe with a
	 *                 non-iframe embed.
	 * @throws {Error} If refNodeInsert is missing or invalid.
	 */


	var checkParams = function checkParams(params) {
	  var accountId = params.accountId,
	      embedOptions = params.embedOptions,
	      embedType = params.embedType,
	      options = params.options,
	      refNode = params.refNode,
	      refNodeInsert = params.refNodeInsert;

	  if (!accountId) {
	    throw new Error('accountId is required');
	  } else if (!isElInDom(refNode)) {
	    throw new Error('refNode must resolve to a node attached to the DOM');
	  } else if (!isValidEmbedType(embedType)) {
	    throw new Error('embedType is missing or invalid');
	  } else if (embedType === EMBED_TYPE_IFRAME && options) {
	    throw new Error('cannot use options with an iframe embed');
	  } else if (embedOptions && embedOptions.tagName !== undefined && !isValidTagName(embedOptions.tagName)) {
	    throw new Error("embedOptions.tagName is invalid (value: \"" + embedOptions.tagName + "\")");
	  } else if (embedOptions && embedOptions.responsive && embedOptions.responsive.aspectRatio && !/^\d+\:\d+$/.test(embedOptions.responsive.aspectRatio)) {
	    throw new Error("embedOptions.responsive.aspectRatio must be in the \"n:n\" format (value: \"" + embedOptions.responsive.aspectRatio + "\")");
	  } else if (!isValidRootInsert(refNodeInsert)) {
	    throw new Error('refNodeInsert is missing or invalid');
	  }
	};
	/**
	 * Normalizes a `refNode` param to an element - or `null`.
	 *
	 * @private
	 * @param  {Element|string} refNode
	 *         The value of a `refNode` param.
	 *
	 * @return {Element|null}
	 *         A DOM element or `null` if the `refNode` was given as a string and
	 *         did not match an element.
	 */


	var resolveRefNode = function resolveRefNode(refNode) {
	  if (isElInDom(refNode)) {
	    return refNode;
	  }

	  if (typeof refNode === 'string') {
	    return document_1.querySelector(refNode);
	  }

	  return null;
	};
	/**
	 * Initializes a player and returns it.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @param  {Element} embed
	 *         An element that will be passed to the `bc()` function.
	 *
	 * @param  {Function} resolve
	 *         A function to call if a player is successfully initialized.
	 *
	 * @param  {Function} reject
	 *         A function to call if a player fails to be initialized.
	 *
	 * @return {Object}
	 *         A success object whose `ref` is a player.
	 */


	var initPlayer = function initPlayer(params, embed, resolve, reject) {
	  var embedId = params.embedId,
	      playerId = params.playerId;
	  var bc = window_1.bc[playerId + "_" + embedId] || window_1.bc;

	  if (!bc) {
	    return reject(new Error("missing bc function for " + playerId));
	  }

	  playerScriptCache.store(params);
	  var player;

	  try {
	    player = bc(embed, params.options); // Add a PLAYER_LOADER property to bcinfo to indicate this player was
	    // loaded via that mechanism.

	    if (player.bcinfo) {
	      player.bcinfo.PLAYER_LOADER = true;
	    }
	  } catch (x) {
	    var message = 'Could not initialize the Brightcove Player.'; // Update the rejection message based on known conditions that can cause it.

	    if (params.embedOptions.tagName === EMBED_TAG_NAME_VIDEOJS) {
	      message += ' You are attempting to embed using a "video-js" element.' + ' Please ensure that your Player is v6.11.0 or newer in order to' + ' support this embed type. Alternatively, pass `"video"` for' + ' `embedOptions.tagName`.';
	    }

	    return reject(new Error(message));
	  }

	  resolve({
	    type: EMBED_TYPE_IN_PAGE,
	    ref: player
	  });
	};
	/**
	 * Loads a player from CDN and embeds it.
	 *
	 * @private
	 * @param  {Object} params
	 *         A parameters object. See README for details.
	 *
	 * @param  {Function} resolve
	 *         A function to call if a player is successfully initialized.
	 *
	 * @param  {Function} reject
	 *         A function to call if a player fails to be initialized.
	 */


	var loadPlayer = function loadPlayer(params, resolve, reject) {
	  params.refNode = resolveRefNode(params.refNode);
	  checkParams(params);
	  var refNode = params.refNode,
	      refNodeInsert = params.refNodeInsert; // Store a reference to the refNode parent. When we use the replace method,
	  // we'll need it as the location to store the script element.

	  var refNodeParent = refNode.parentNode;
	  var embed = createEmbed(params); // If this is an iframe, all we need to do is create the embed code and
	  // inject it. Because there is no reliable way to hook into an iframe from
	  // the parent page, we simply resolve immediately upon creating the embed.

	  if (params.embedType === EMBED_TYPE_IFRAME) {
	    resolve({
	      type: EMBED_TYPE_IFRAME,
	      ref: embed
	    });
	    return;
	  } // If we've already downloaded this script or detected a matching global, we
	  // should have the proper `bc` global and can bypass the script creation
	  // process.


	  if (playerScriptCache.has(params)) {
	    return initPlayer(params, embed, resolve, reject);
	  }

	  var script = document_1.createElement('script');

	  script.onload = function () {
	    return initPlayer(params, embed, resolve, reject);
	  };

	  script.onerror = function () {
	    reject(new Error('player script could not be downloaded'));
	  };

	  script.async = true;
	  script.charset = 'utf-8';
	  script.src = urls.getUrl(params);

	  if (refNodeInsert === REF_NODE_INSERT_REPLACE) {
	    refNodeParent.appendChild(script);
	  } else {
	    refNode.appendChild(script);
	  }
	};
	/**
	 * A function for asynchronously loading a Brightcove Player into a web page.
	 *
	 * @param  {Object} parameters
	 *         A parameters object. See README for details.
	 *
	 * @return {Promise|undefined}
	 *         A Promise, if possible.
	 */


	var brightcovePlayerLoader = function brightcovePlayerLoader(parameters) {
	  var params = _extends$2({}, DEFAULTS, parameters);

	  var Promise = params.Promise,
	      onSuccess = params.onSuccess,
	      onFailure = params.onFailure; // When Promise is not available or any success/failure callback is given,
	  // do not attempt to use Promises.

	  if (!isFn(Promise) || isFn(onSuccess) || isFn(onFailure)) {
	    return loadPlayer(params, isFn(onSuccess) ? onSuccess : function () {}, isFn(onFailure) ? onFailure : function (err) {
	      throw err;
	    });
	  } // Promises are supported, use 'em.


	  return new Promise(function (resolve, reject) {
	    return loadPlayer(params, resolve, reject);
	  });
	};
	/**
	 * Expose a non-writable, non-configurable property on the
	 * `brightcovePlayerLoader` function.
	 *
	 * @private
	 * @param  {string} key
	 *         The property key.
	 *
	 * @param  {string|Function} value
	 *         The value.
	 */


	var expose = function expose(key, value) {
	  Object.defineProperty(brightcovePlayerLoader, key, {
	    configurable: false,
	    enumerable: true,
	    value: value,
	    writable: false
	  });
	};
	/**
	 * Get the base URL for players. By default, this will be the Brightcove CDN.
	 *
	 * @return {string}
	 *         The current base URL.
	 */


	expose('getBaseUrl', function () {
	  return urls.getBaseUrl();
	});
	/**
	 * Set the base URL for players. By default, this will be the Brightcove CDN,
	 * but can be overridden with this function.
	 *
	 * @param {string} baseUrl
	 *        A new base URL (instead of Brightcove CDN).
	 */

	expose('setBaseUrl', function (baseUrl) {
	  urls.setBaseUrl(baseUrl);
	});
	/**
	 * Get the URL for a player.
	 */

	expose('getUrl', function (options) {
	  return urls.getUrl(options);
	});
	/**
	 * Completely resets global state.
	 *
	 * This will dispose ALL Video.js players on the page and remove ALL `bc` and
	 * `videojs` globals it finds.
	 */

	expose('reset', function () {
	  return env.reset();
	}); // Define some read-only constants on the exported function.

	[['EMBED_TAG_NAME_VIDEO', EMBED_TAG_NAME_VIDEO], ['EMBED_TAG_NAME_VIDEOJS', EMBED_TAG_NAME_VIDEOJS], ['EMBED_TYPE_IN_PAGE', EMBED_TYPE_IN_PAGE], ['EMBED_TYPE_IFRAME', EMBED_TYPE_IFRAME], ['REF_NODE_INSERT_APPEND', REF_NODE_INSERT_APPEND], ['REF_NODE_INSERT_PREPEND', REF_NODE_INSERT_PREPEND], ['REF_NODE_INSERT_BEFORE', REF_NODE_INSERT_BEFORE], ['REF_NODE_INSERT_AFTER', REF_NODE_INSERT_AFTER], ['REF_NODE_INSERT_REPLACE', REF_NODE_INSERT_REPLACE], ['VERSION', version]].forEach(function (arr) {
	  expose(arr[0], arr[1]);
	});

	var cov_6vv07z8iz = function () {
	  var path = '/Users/uomar/Development/github/react-player-loader/src/index.js',
	      hash = '1485491520df35b287fc8f75e7920dcdcf133c8e',
	      Function = function () {}.constructor,
	      global = new Function('return this')(),
	      gcv = '__coverage__',
	      coverageData = {
	    path: '/Users/uomar/Development/github/react-player-loader/src/index.js',
	    statementMap: {
	      '0': {
	        start: {
	          line: 11,
	          column: 25
	        },
	        end: {
	          line: 17,
	          column: 1
	        }
	      },
	      '1': {
	        start: {
	          line: 19,
	          column: 17
	        },
	        end: {
	          line: 25,
	          column: 1
	        }
	      },
	      '2': {
	        start: {
	          line: 21,
	          column: 2
	        },
	        end: {
	          line: 23,
	          column: 3
	        }
	      },
	      '3': {
	        start: {
	          line: 22,
	          column: 4
	        },
	        end: {
	          line: 22,
	          column: 23
	        }
	      },
	      '4': {
	        start: {
	          line: 54,
	          column: 4
	        },
	        end: {
	          line: 54,
	          column: 17
	        }
	      },
	      '5': {
	        start: {
	          line: 55,
	          column: 4
	        },
	        end: {
	          line: 55,
	          column: 24
	        }
	      },
	      '6': {
	        start: {
	          line: 56,
	          column: 4
	        },
	        end: {
	          line: 58,
	          column: 6
	        }
	      },
	      '7': {
	        start: {
	          line: 57,
	          column: 6
	        },
	        end: {
	          line: 57,
	          column: 25
	        }
	      },
	      '8': {
	        start: {
	          line: 59,
	          column: 4
	        },
	        end: {
	          line: 59,
	          column: 49
	        }
	      },
	      '9': {
	        start: {
	          line: 68,
	          column: 4
	        },
	        end: {
	          line: 74,
	          column: 5
	        }
	      },
	      '10': {
	        start: {
	          line: 69,
	          column: 6
	        },
	        end: {
	          line: 69,
	          column: 27
	        }
	      },
	      '11': {
	        start: {
	          line: 72,
	          column: 6
	        },
	        end: {
	          line: 72,
	          column: 110
	        }
	      },
	      '12': {
	        start: {
	          line: 73,
	          column: 6
	        },
	        end: {
	          line: 73,
	          column: 13
	        }
	      },
	      '13': {
	        start: {
	          line: 78,
	          column: 4
	        },
	        end: {
	          line: 78,
	          column: 25
	        }
	      },
	      '14': {
	        start: {
	          line: 82,
	          column: 24
	        },
	        end: {
	          line: 82,
	          column: 44
	        }
	      },
	      '15': {
	        start: {
	          line: 83,
	          column: 24
	        },
	        end: {
	          line: 83,
	          column: 44
	        }
	      },
	      '16': {
	        start: {
	          line: 85,
	          column: 20
	        },
	        end: {
	          line: 141,
	          column: 6
	        }
	      },
	      '17': {
	        start: {
	          line: 91,
	          column: 8
	        },
	        end: {
	          line: 91,
	          column: 30
	        }
	      },
	      '18': {
	        start: {
	          line: 95,
	          column: 8
	        },
	        end: {
	          line: 98,
	          column: 9
	        }
	      },
	      '19': {
	        start: {
	          line: 96,
	          column: 10
	        },
	        end: {
	          line: 96,
	          column: 34
	        }
	      },
	      '20': {
	        start: {
	          line: 97,
	          column: 10
	        },
	        end: {
	          line: 97,
	          column: 17
	        }
	      },
	      '21': {
	        start: {
	          line: 101,
	          column: 8
	        },
	        end: {
	          line: 101,
	          column: 26
	        }
	      },
	      '22': {
	        start: {
	          line: 105,
	          column: 8
	        },
	        end: {
	          line: 109,
	          column: 9
	        }
	      },
	      '23': {
	        start: {
	          line: 106,
	          column: 10
	        },
	        end: {
	          line: 108,
	          column: 13
	        }
	      },
	      '24': {
	        start: {
	          line: 107,
	          column: 12
	        },
	        end: {
	          line: 107,
	          column: 31
	        }
	      },
	      '25': {
	        start: {
	          line: 113,
	          column: 8
	        },
	        end: {
	          line: 115,
	          column: 9
	        }
	      },
	      '26': {
	        start: {
	          line: 114,
	          column: 10
	        },
	        end: {
	          line: 114,
	          column: 48
	        }
	      },
	      '27': {
	        start: {
	          line: 118,
	          column: 8
	        },
	        end: {
	          line: 120,
	          column: 9
	        }
	      },
	      '28': {
	        start: {
	          line: 119,
	          column: 10
	        },
	        end: {
	          line: 119,
	          column: 35
	        }
	      },
	      '29': {
	        start: {
	          line: 125,
	          column: 8
	        },
	        end: {
	          line: 125,
	          column: 30
	        }
	      },
	      '30': {
	        start: {
	          line: 128,
	          column: 8
	        },
	        end: {
	          line: 130,
	          column: 9
	        }
	      },
	      '31': {
	        start: {
	          line: 129,
	          column: 10
	        },
	        end: {
	          line: 129,
	          column: 17
	        }
	      },
	      '32': {
	        start: {
	          line: 133,
	          column: 8
	        },
	        end: {
	          line: 136,
	          column: 9
	        }
	      },
	      '33': {
	        start: {
	          line: 134,
	          column: 10
	        },
	        end: {
	          line: 134,
	          column: 29
	        }
	      },
	      '34': {
	        start: {
	          line: 135,
	          column: 10
	        },
	        end: {
	          line: 135,
	          column: 17
	        }
	      },
	      '35': {
	        start: {
	          line: 139,
	          column: 8
	        },
	        end: {
	          line: 139,
	          column: 31
	        }
	      },
	      '36': {
	        start: {
	          line: 144,
	          column: 4
	        },
	        end: {
	          line: 144,
	          column: 25
	        }
	      },
	      '37': {
	        start: {
	          line: 145,
	          column: 4
	        },
	        end: {
	          line: 145,
	          column: 27
	        }
	      },
	      '38': {
	        start: {
	          line: 146,
	          column: 4
	        },
	        end: {
	          line: 146,
	          column: 47
	        }
	      },
	      '39': {
	        start: {
	          line: 151,
	          column: 28
	        },
	        end: {
	          line: 151,
	          column: 53
	        }
	      },
	      '40': {
	        start: {
	          line: 153,
	          column: 4
	        },
	        end: {
	          line: 155,
	          column: 5
	        }
	      },
	      '41': {
	        start: {
	          line: 154,
	          column: 6
	        },
	        end: {
	          line: 154,
	          column: 50
	        }
	      },
	      '42': {
	        start: {
	          line: 157,
	          column: 4
	        },
	        end: {
	          line: 157,
	          column: 26
	        }
	      },
	      '43': {
	        start: {
	          line: 158,
	          column: 4
	        },
	        end: {
	          line: 158,
	          column: 45
	        }
	      },
	      '44': {
	        start: {
	          line: 167,
	          column: 4
	        },
	        end: {
	          line: 169,
	          column: 5
	        }
	      },
	      '45': {
	        start: {
	          line: 168,
	          column: 6
	        },
	        end: {
	          line: 168,
	          column: 13
	        }
	      },
	      '46': {
	        start: {
	          line: 172,
	          column: 4
	        },
	        end: {
	          line: 178,
	          column: 5
	        }
	      },
	      '47': {
	        start: {
	          line: 173,
	          column: 6
	        },
	        end: {
	          line: 173,
	          column: 28
	        }
	      },
	      '48': {
	        start: {
	          line: 176,
	          column: 11
	        },
	        end: {
	          line: 178,
	          column: 5
	        }
	      },
	      '49': {
	        start: {
	          line: 177,
	          column: 6
	        },
	        end: {
	          line: 177,
	          column: 54
	        }
	      },
	      '50': {
	        start: {
	          line: 181,
	          column: 4
	        },
	        end: {
	          line: 181,
	          column: 23
	        }
	      },
	      '51': {
	        start: {
	          line: 195,
	          column: 30
	        },
	        end: {
	          line: 195,
	          column: 40
	        }
	      },
	      '52': {
	        start: {
	          line: 197,
	          column: 4
	        },
	        end: {
	          line: 205,
	          column: 5
	        }
	      },
	      '53': {
	        start: {
	          line: 198,
	          column: 6
	        },
	        end: {
	          line: 204,
	          column: 7
	        }
	      },
	      '54': {
	        start: {
	          line: 199,
	          column: 34
	        },
	        end: {
	          line: 199,
	          column: 45
	        }
	      },
	      '55': {
	        start: {
	          line: 201,
	          column: 8
	        },
	        end: {
	          line: 203,
	          column: 9
	        }
	      },
	      '56': {
	        start: {
	          line: 202,
	          column: 10
	        },
	        end: {
	          line: 202,
	          column: 19
	        }
	      },
	      '57': {
	        start: {
	          line: 207,
	          column: 4
	        },
	        end: {
	          line: 207,
	          column: 14
	        }
	      },
	      '58': {
	        start: {
	          line: 224,
	          column: 4
	        },
	        end: {
	          line: 242,
	          column: 6
	        }
	      },
	      '59': {
	        start: {
	          line: 225,
	          column: 6
	        },
	        end: {
	          line: 228,
	          column: 7
	        }
	      },
	      '60': {
	        start: {
	          line: 226,
	          column: 8
	        },
	        end: {
	          line: 226,
	          column: 22
	        }
	      },
	      '61': {
	        start: {
	          line: 227,
	          column: 8
	        },
	        end: {
	          line: 227,
	          column: 15
	        }
	      },
	      '62': {
	        start: {
	          line: 233,
	          column: 6
	        },
	        end: {
	          line: 239,
	          column: 7
	        }
	      },
	      '63': {
	        start: {
	          line: 234,
	          column: 18
	        },
	        end: {
	          line: 234,
	          column: 54
	        }
	      },
	      '64': {
	        start: {
	          line: 236,
	          column: 8
	        },
	        end: {
	          line: 238,
	          column: 9
	        }
	      },
	      '65': {
	        start: {
	          line: 237,
	          column: 10
	        },
	        end: {
	          line: 237,
	          column: 33
	        }
	      },
	      '66': {
	        start: {
	          line: 241,
	          column: 6
	        },
	        end: {
	          line: 241,
	          column: 37
	        }
	      },
	      '67': {
	        start: {
	          line: 255,
	          column: 4
	        },
	        end: {
	          line: 257,
	          column: 5
	        }
	      },
	      '68': {
	        start: {
	          line: 256,
	          column: 6
	        },
	        end: {
	          line: 256,
	          column: 13
	        }
	      },
	      '69': {
	        start: {
	          line: 263,
	          column: 4
	        },
	        end: {
	          line: 290,
	          column: 5
	        }
	      },
	      '70': {
	        start: {
	          line: 267,
	          column: 6
	        },
	        end: {
	          line: 272,
	          column: 7
	        }
	      },
	      '71': {
	        start: {
	          line: 268,
	          column: 25
	        },
	        end: {
	          line: 268,
	          column: 77
	        }
	      },
	      '72': {
	        start: {
	          line: 270,
	          column: 8
	        },
	        end: {
	          line: 270,
	          column: 105
	        }
	      },
	      '73': {
	        start: {
	          line: 271,
	          column: 8
	        },
	        end: {
	          line: 271,
	          column: 15
	        }
	      },
	      '74': {
	        start: {
	          line: 274,
	          column: 6
	        },
	        end: {
	          line: 289,
	          column: 7
	        }
	      },
	      '75': {
	        start: {
	          line: 275,
	          column: 8
	        },
	        end: {
	          line: 278,
	          column: 10
	        }
	      },
	      '76': {
	        start: {
	          line: 279,
	          column: 13
	        },
	        end: {
	          line: 289,
	          column: 7
	        }
	      },
	      '77': {
	        start: {
	          line: 280,
	          column: 8
	        },
	        end: {
	          line: 283,
	          column: 10
	        }
	      },
	      '78': {
	        start: {
	          line: 284,
	          column: 13
	        },
	        end: {
	          line: 289,
	          column: 7
	        }
	      },
	      '79': {
	        start: {
	          line: 285,
	          column: 8
	        },
	        end: {
	          line: 288,
	          column: 10
	        }
	      },
	      '80': {
	        start: {
	          line: 294,
	          column: 4
	        },
	        end: {
	          line: 321,
	          column: 5
	        }
	      },
	      '81': {
	        start: {
	          line: 295,
	          column: 6
	        },
	        end: {
	          line: 297,
	          column: 7
	        }
	      },
	      '82': {
	        start: {
	          line: 296,
	          column: 8
	        },
	        end: {
	          line: 296,
	          column: 57
	        }
	      },
	      '83': {
	        start: {
	          line: 299,
	          column: 6
	        },
	        end: {
	          line: 301,
	          column: 7
	        }
	      },
	      '84': {
	        start: {
	          line: 300,
	          column: 8
	        },
	        end: {
	          line: 300,
	          column: 69
	        }
	      },
	      '85': {
	        start: {
	          line: 305,
	          column: 23
	        },
	        end: {
	          line: 305,
	          column: 83
	        }
	      },
	      '86': {
	        start: {
	          line: 307,
	          column: 6
	        },
	        end: {
	          line: 307,
	          column: 55
	        }
	      },
	      '87': {
	        start: {
	          line: 311,
	          column: 11
	        },
	        end: {
	          line: 321,
	          column: 5
	        }
	      },
	      '88': {
	        start: {
	          line: 316,
	          column: 16
	        },
	        end: {
	          line: 316,
	          column: 70
	        }
	      },
	      '89': {
	        start: {
	          line: 318,
	          column: 6
	        },
	        end: {
	          line: 320,
	          column: 7
	        }
	      },
	      '90': {
	        start: {
	          line: 319,
	          column: 8
	        },
	        end: {
	          line: 319,
	          column: 44
	        }
	      },
	      '91': {
	        start: {
	          line: 328,
	          column: 4
	        },
	        end: {
	          line: 328,
	          column: 27
	        }
	      },
	      '92': {
	        start: {
	          line: 329,
	          column: 4
	        },
	        end: {
	          line: 329,
	          column: 22
	        }
	      },
	      '93': {
	        start: {
	          line: 345,
	          column: 20
	        },
	        end: {
	          line: 367,
	          column: 10
	        }
	      },
	      '94': {
	        start: {
	          line: 346,
	          column: 23
	        },
	        end: {
	          line: 346,
	          column: 37
	        }
	      },
	      '95': {
	        start: {
	          line: 347,
	          column: 22
	        },
	        end: {
	          line: 347,
	          column: 37
	        }
	      },
	      '96': {
	        start: {
	          line: 350,
	          column: 6
	        },
	        end: {
	          line: 352,
	          column: 7
	        }
	      },
	      '97': {
	        start: {
	          line: 351,
	          column: 8
	        },
	        end: {
	          line: 351,
	          column: 19
	        }
	      },
	      '98': {
	        start: {
	          line: 354,
	          column: 6
	        },
	        end: {
	          line: 360,
	          column: 7
	        }
	      },
	      '99': {
	        start: {
	          line: 355,
	          column: 8
	        },
	        end: {
	          line: 357,
	          column: 9
	        }
	      },
	      '100': {
	        start: {
	          line: 356,
	          column: 10
	        },
	        end: {
	          line: 356,
	          column: 26
	        }
	      },
	      '101': {
	        start: {
	          line: 359,
	          column: 8
	        },
	        end: {
	          line: 359,
	          column: 19
	        }
	      },
	      '102': {
	        start: {
	          line: 362,
	          column: 6
	        },
	        end: {
	          line: 364,
	          column: 7
	        }
	      },
	      '103': {
	        start: {
	          line: 363,
	          column: 8
	        },
	        end: {
	          line: 363,
	          column: 24
	        }
	      },
	      '104': {
	        start: {
	          line: 366,
	          column: 6
	        },
	        end: {
	          line: 366,
	          column: 17
	        }
	      },
	      '105': {
	        start: {
	          line: 369,
	          column: 4
	        },
	        end: {
	          line: 375,
	          column: 5
	        }
	      },
	      '106': {
	        start: {
	          line: 371,
	          column: 6
	        },
	        end: {
	          line: 374,
	          column: 7
	        }
	      },
	      '107': {
	        start: {
	          line: 371,
	          column: 41
	        },
	        end: {
	          line: 371,
	          column: 75
	        }
	      },
	      '108': {
	        start: {
	          line: 372,
	          column: 8
	        },
	        end: {
	          line: 372,
	          column: 26
	        }
	      },
	      '109': {
	        start: {
	          line: 373,
	          column: 8
	        },
	        end: {
	          line: 373,
	          column: 15
	        }
	      },
	      '110': {
	        start: {
	          line: 377,
	          column: 4
	        },
	        end: {
	          line: 377,
	          column: 31
	        }
	      },
	      '111': {
	        start: {
	          line: 384,
	          column: 4
	        },
	        end: {
	          line: 384,
	          column: 28
	        }
	      },
	      '112': {
	        start: {
	          line: 385,
	          column: 4
	        },
	        end: {
	          line: 385,
	          column: 25
	        }
	      },
	      '113': {
	        start: {
	          line: 395,
	          column: 18
	        },
	        end: {
	          line: 399,
	          column: 5
	        }
	      },
	      '114': {
	        start: {
	          line: 401,
	          column: 4
	        },
	        end: {
	          line: 401,
	          column: 45
	        }
	      }
	    },
	    fnMap: {
	      '0': {
	        name: '(anonymous_0)',
	        decl: {
	          start: {
	            line: 19,
	            column: 17
	          },
	          end: {
	            line: 19,
	            column: 18
	          }
	        },
	        loc: {
	          start: {
	            line: 19,
	            column: 26
	          },
	          end: {
	            line: 25,
	            column: 1
	          }
	        },
	        line: 19
	      },
	      '1': {
	        name: '(anonymous_1)',
	        decl: {
	          start: {
	            line: 53,
	            column: 2
	          },
	          end: {
	            line: 53,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 53,
	            column: 21
	          },
	          end: {
	            line: 60,
	            column: 3
	          }
	        },
	        line: 53
	      },
	      '2': {
	        name: '(anonymous_2)',
	        decl: {
	          start: {
	            line: 56,
	            column: 22
	          },
	          end: {
	            line: 56,
	            column: 23
	          }
	        },
	        loc: {
	          start: {
	            line: 56,
	            column: 29
	          },
	          end: {
	            line: 58,
	            column: 5
	          }
	        },
	        line: 56
	      },
	      '3': {
	        name: '(anonymous_3)',
	        decl: {
	          start: {
	            line: 65,
	            column: 2
	          },
	          end: {
	            line: 65,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 65,
	            column: 15
	          },
	          end: {
	            line: 159,
	            column: 3
	          }
	        },
	        line: 65
	      },
	      '4': {
	        name: '(anonymous_4)',
	        decl: {
	          start: {
	            line: 88,
	            column: 17
	          },
	          end: {
	            line: 88,
	            column: 18
	          }
	        },
	        loc: {
	          start: {
	            line: 88,
	            column: 34
	          },
	          end: {
	            line: 121,
	            column: 7
	          }
	        },
	        line: 88
	      },
	      '5': {
	        name: '(anonymous_5)',
	        decl: {
	          start: {
	            line: 106,
	            column: 29
	          },
	          end: {
	            line: 106,
	            column: 30
	          }
	        },
	        loc: {
	          start: {
	            line: 106,
	            column: 35
	          },
	          end: {
	            line: 108,
	            column: 11
	          }
	        },
	        line: 106
	      },
	      '6': {
	        name: '(anonymous_6)',
	        decl: {
	          start: {
	            line: 122,
	            column: 17
	          },
	          end: {
	            line: 122,
	            column: 18
	          }
	        },
	        loc: {
	          start: {
	            line: 122,
	            column: 28
	          },
	          end: {
	            line: 140,
	            column: 7
	          }
	        },
	        line: 122
	      },
	      '7': {
	        name: '(anonymous_7)',
	        decl: {
	          start: {
	            line: 164,
	            column: 2
	          },
	          end: {
	            line: 164,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 164,
	            column: 18
	          },
	          end: {
	            line: 182,
	            column: 3
	          }
	        },
	        line: 164
	      },
	      '8': {
	        name: '(anonymous_8)',
	        decl: {
	          start: {
	            line: 194,
	            column: 2
	          },
	          end: {
	            line: 194,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 194,
	            column: 38
	          },
	          end: {
	            line: 208,
	            column: 3
	          }
	        },
	        line: 194
	      },
	      '9': {
	        name: '(anonymous_9)',
	        decl: {
	          start: {
	            line: 223,
	            column: 2
	          },
	          end: {
	            line: 223,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 223,
	            column: 51
	          },
	          end: {
	            line: 243,
	            column: 3
	          }
	        },
	        line: 223
	      },
	      '10': {
	        name: '(anonymous_10)',
	        decl: {
	          start: {
	            line: 224,
	            column: 11
	          },
	          end: {
	            line: 224,
	            column: 12
	          }
	        },
	        loc: {
	          start: {
	            line: 224,
	            column: 26
	          },
	          end: {
	            line: 242,
	            column: 5
	          }
	        },
	        line: 224
	      },
	      '11': {
	        name: '(anonymous_11)',
	        decl: {
	          start: {
	            line: 252,
	            column: 2
	          },
	          end: {
	            line: 252,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 252,
	            column: 24
	          },
	          end: {
	            line: 322,
	            column: 3
	          }
	        },
	        line: 252
	      },
	      '12': {
	        name: '(anonymous_12)',
	        decl: {
	          start: {
	            line: 327,
	            column: 2
	          },
	          end: {
	            line: 327,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 327,
	            column: 22
	          },
	          end: {
	            line: 330,
	            column: 3
	          }
	        },
	        line: 327
	      },
	      '13': {
	        name: '(anonymous_13)',
	        decl: {
	          start: {
	            line: 342,
	            column: 2
	          },
	          end: {
	            line: 342,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 342,
	            column: 32
	          },
	          end: {
	            line: 378,
	            column: 3
	          }
	        },
	        line: 342
	      },
	      '14': {
	        name: '(anonymous_14)',
	        decl: {
	          start: {
	            line: 345,
	            column: 50
	          },
	          end: {
	            line: 345,
	            column: 51
	          }
	        },
	        loc: {
	          start: {
	            line: 345,
	            column: 64
	          },
	          end: {
	            line: 367,
	            column: 5
	          }
	        },
	        line: 345
	      },
	      '15': {
	        name: '(anonymous_15)',
	        decl: {
	          start: {
	            line: 371,
	            column: 36
	          },
	          end: {
	            line: 371,
	            column: 37
	          }
	        },
	        loc: {
	          start: {
	            line: 371,
	            column: 41
	          },
	          end: {
	            line: 371,
	            column: 75
	          }
	        },
	        line: 371
	      },
	      '16': {
	        name: '(anonymous_16)',
	        decl: {
	          start: {
	            line: 383,
	            column: 2
	          },
	          end: {
	            line: 383,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 383,
	            column: 25
	          },
	          end: {
	            line: 386,
	            column: 3
	          }
	        },
	        line: 383
	      },
	      '17': {
	        name: '(anonymous_17)',
	        decl: {
	          start: {
	            line: 394,
	            column: 2
	          },
	          end: {
	            line: 394,
	            column: 3
	          }
	        },
	        loc: {
	          start: {
	            line: 394,
	            column: 11
	          },
	          end: {
	            line: 402,
	            column: 3
	          }
	        },
	        line: 394
	      }
	    },
	    branchMap: {
	      '0': {
	        loc: {
	          start: {
	            line: 21,
	            column: 2
	          },
	          end: {
	            line: 23,
	            column: 3
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 21,
	            column: 2
	          },
	          end: {
	            line: 23,
	            column: 3
	          }
	        }, {
	          start: {
	            line: 21,
	            column: 2
	          },
	          end: {
	            line: 23,
	            column: 3
	          }
	        }],
	        line: 21
	      },
	      '1': {
	        loc: {
	          start: {
	            line: 21,
	            column: 6
	          },
	          end: {
	            line: 21,
	            column: 37
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 21,
	            column: 6
	          },
	          end: {
	            line: 21,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 21,
	            column: 13
	          },
	          end: {
	            line: 21,
	            column: 20
	          }
	        }, {
	          start: {
	            line: 21,
	            column: 24
	          },
	          end: {
	            line: 21,
	            column: 37
	          }
	        }],
	        line: 21
	      },
	      '2': {
	        loc: {
	          start: {
	            line: 68,
	            column: 4
	          },
	          end: {
	            line: 74,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 68,
	            column: 4
	          },
	          end: {
	            line: 74,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 68,
	            column: 4
	          },
	          end: {
	            line: 74,
	            column: 5
	          }
	        }],
	        line: 68
	      },
	      '3': {
	        loc: {
	          start: {
	            line: 95,
	            column: 8
	          },
	          end: {
	            line: 98,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 95,
	            column: 8
	          },
	          end: {
	            line: 98,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 95,
	            column: 8
	          },
	          end: {
	            line: 98,
	            column: 9
	          }
	        }],
	        line: 95
	      },
	      '4': {
	        loc: {
	          start: {
	            line: 105,
	            column: 8
	          },
	          end: {
	            line: 109,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 105,
	            column: 8
	          },
	          end: {
	            line: 109,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 105,
	            column: 8
	          },
	          end: {
	            line: 109,
	            column: 9
	          }
	        }],
	        line: 105
	      },
	      '5': {
	        loc: {
	          start: {
	            line: 113,
	            column: 8
	          },
	          end: {
	            line: 115,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 113,
	            column: 8
	          },
	          end: {
	            line: 115,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 113,
	            column: 8
	          },
	          end: {
	            line: 115,
	            column: 9
	          }
	        }],
	        line: 113
	      },
	      '6': {
	        loc: {
	          start: {
	            line: 118,
	            column: 8
	          },
	          end: {
	            line: 120,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 118,
	            column: 8
	          },
	          end: {
	            line: 120,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 118,
	            column: 8
	          },
	          end: {
	            line: 120,
	            column: 9
	          }
	        }],
	        line: 118
	      },
	      '7': {
	        loc: {
	          start: {
	            line: 128,
	            column: 8
	          },
	          end: {
	            line: 130,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 128,
	            column: 8
	          },
	          end: {
	            line: 130,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 128,
	            column: 8
	          },
	          end: {
	            line: 130,
	            column: 9
	          }
	        }],
	        line: 128
	      },
	      '8': {
	        loc: {
	          start: {
	            line: 133,
	            column: 8
	          },
	          end: {
	            line: 136,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 133,
	            column: 8
	          },
	          end: {
	            line: 136,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 133,
	            column: 8
	          },
	          end: {
	            line: 136,
	            column: 9
	          }
	        }],
	        line: 133
	      },
	      '9': {
	        loc: {
	          start: {
	            line: 153,
	            column: 4
	          },
	          end: {
	            line: 155,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 153,
	            column: 4
	          },
	          end: {
	            line: 155,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 153,
	            column: 4
	          },
	          end: {
	            line: 155,
	            column: 5
	          }
	        }],
	        line: 153
	      },
	      '10': {
	        loc: {
	          start: {
	            line: 167,
	            column: 4
	          },
	          end: {
	            line: 169,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 167,
	            column: 4
	          },
	          end: {
	            line: 169,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 167,
	            column: 4
	          },
	          end: {
	            line: 169,
	            column: 5
	          }
	        }],
	        line: 167
	      },
	      '11': {
	        loc: {
	          start: {
	            line: 172,
	            column: 4
	          },
	          end: {
	            line: 178,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 172,
	            column: 4
	          },
	          end: {
	            line: 178,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 172,
	            column: 4
	          },
	          end: {
	            line: 178,
	            column: 5
	          }
	        }],
	        line: 172
	      },
	      '12': {
	        loc: {
	          start: {
	            line: 176,
	            column: 11
	          },
	          end: {
	            line: 178,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 176,
	            column: 11
	          },
	          end: {
	            line: 178,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 176,
	            column: 11
	          },
	          end: {
	            line: 178,
	            column: 5
	          }
	        }],
	        line: 176
	      },
	      '13': {
	        loc: {
	          start: {
	            line: 197,
	            column: 4
	          },
	          end: {
	            line: 205,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 197,
	            column: 4
	          },
	          end: {
	            line: 205,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 197,
	            column: 4
	          },
	          end: {
	            line: 205,
	            column: 5
	          }
	        }],
	        line: 197
	      },
	      '14': {
	        loc: {
	          start: {
	            line: 197,
	            column: 8
	          },
	          end: {
	            line: 197,
	            column: 50
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 197,
	            column: 8
	          },
	          end: {
	            line: 197,
	            column: 31
	          }
	        }, {
	          start: {
	            line: 197,
	            column: 35
	          },
	          end: {
	            line: 197,
	            column: 50
	          }
	        }],
	        line: 197
	      },
	      '15': {
	        loc: {
	          start: {
	            line: 201,
	            column: 8
	          },
	          end: {
	            line: 203,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 201,
	            column: 8
	          },
	          end: {
	            line: 203,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 201,
	            column: 8
	          },
	          end: {
	            line: 203,
	            column: 9
	          }
	        }],
	        line: 201
	      },
	      '16': {
	        loc: {
	          start: {
	            line: 201,
	            column: 12
	          },
	          end: {
	            line: 201,
	            column: 78
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 201,
	            column: 12
	          },
	          end: {
	            line: 201,
	            column: 34
	          }
	        }, {
	          start: {
	            line: 201,
	            column: 38
	          },
	          end: {
	            line: 201,
	            column: 78
	          }
	        }],
	        line: 201
	      },
	      '17': {
	        loc: {
	          start: {
	            line: 225,
	            column: 6
	          },
	          end: {
	            line: 228,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 225,
	            column: 6
	          },
	          end: {
	            line: 228,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 225,
	            column: 6
	          },
	          end: {
	            line: 228,
	            column: 7
	          }
	        }],
	        line: 225
	      },
	      '18': {
	        loc: {
	          start: {
	            line: 233,
	            column: 6
	          },
	          end: {
	            line: 239,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 233,
	            column: 6
	          },
	          end: {
	            line: 239,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 233,
	            column: 6
	          },
	          end: {
	            line: 239,
	            column: 7
	          }
	        }],
	        line: 233
	      },
	      '19': {
	        loc: {
	          start: {
	            line: 233,
	            column: 10
	          },
	          end: {
	            line: 233,
	            column: 63
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 233,
	            column: 10
	          },
	          end: {
	            line: 233,
	            column: 36
	          }
	        }, {
	          start: {
	            line: 233,
	            column: 40
	          },
	          end: {
	            line: 233,
	            column: 63
	          }
	        }],
	        line: 233
	      },
	      '20': {
	        loc: {
	          start: {
	            line: 236,
	            column: 8
	          },
	          end: {
	            line: 238,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 236,
	            column: 8
	          },
	          end: {
	            line: 238,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 236,
	            column: 8
	          },
	          end: {
	            line: 238,
	            column: 9
	          }
	        }],
	        line: 236
	      },
	      '21': {
	        loc: {
	          start: {
	            line: 255,
	            column: 4
	          },
	          end: {
	            line: 257,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 255,
	            column: 4
	          },
	          end: {
	            line: 257,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 255,
	            column: 4
	          },
	          end: {
	            line: 257,
	            column: 5
	          }
	        }],
	        line: 255
	      },
	      '22': {
	        loc: {
	          start: {
	            line: 255,
	            column: 8
	          },
	          end: {
	            line: 255,
	            column: 60
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 255,
	            column: 8
	          },
	          end: {
	            line: 255,
	            column: 20
	          }
	        }, {
	          start: {
	            line: 255,
	            column: 24
	          },
	          end: {
	            line: 255,
	            column: 39
	          }
	        }, {
	          start: {
	            line: 255,
	            column: 43
	          },
	          end: {
	            line: 255,
	            column: 60
	          }
	        }],
	        line: 255
	      },
	      '23': {
	        loc: {
	          start: {
	            line: 263,
	            column: 4
	          },
	          end: {
	            line: 290,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 263,
	            column: 4
	          },
	          end: {
	            line: 290,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 263,
	            column: 4
	          },
	          end: {
	            line: 290,
	            column: 5
	          }
	        }],
	        line: 263
	      },
	      '24': {
	        loc: {
	          start: {
	            line: 267,
	            column: 6
	          },
	          end: {
	            line: 272,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 267,
	            column: 6
	          },
	          end: {
	            line: 272,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 267,
	            column: 6
	          },
	          end: {
	            line: 272,
	            column: 7
	          }
	        }],
	        line: 267
	      },
	      '25': {
	        loc: {
	          start: {
	            line: 267,
	            column: 10
	          },
	          end: {
	            line: 267,
	            column: 63
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 267,
	            column: 10
	          },
	          end: {
	            line: 267,
	            column: 33
	          }
	        }, {
	          start: {
	            line: 267,
	            column: 37
	          },
	          end: {
	            line: 267,
	            column: 63
	          }
	        }],
	        line: 267
	      },
	      '26': {
	        loc: {
	          start: {
	            line: 274,
	            column: 6
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 274,
	            column: 6
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 274,
	            column: 6
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        }],
	        line: 274
	      },
	      '27': {
	        loc: {
	          start: {
	            line: 274,
	            column: 10
	          },
	          end: {
	            line: 274,
	            column: 47
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 274,
	            column: 10
	          },
	          end: {
	            line: 274,
	            column: 25
	          }
	        }, {
	          start: {
	            line: 274,
	            column: 29
	          },
	          end: {
	            line: 274,
	            column: 47
	          }
	        }],
	        line: 274
	      },
	      '28': {
	        loc: {
	          start: {
	            line: 279,
	            column: 13
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 279,
	            column: 13
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 279,
	            column: 13
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        }],
	        line: 279
	      },
	      '29': {
	        loc: {
	          start: {
	            line: 279,
	            column: 17
	          },
	          end: {
	            line: 279,
	            column: 60
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 279,
	            column: 17
	          },
	          end: {
	            line: 279,
	            column: 35
	          }
	        }, {
	          start: {
	            line: 279,
	            column: 39
	          },
	          end: {
	            line: 279,
	            column: 60
	          }
	        }],
	        line: 279
	      },
	      '30': {
	        loc: {
	          start: {
	            line: 284,
	            column: 13
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 284,
	            column: 13
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 284,
	            column: 13
	          },
	          end: {
	            line: 289,
	            column: 7
	          }
	        }],
	        line: 284
	      },
	      '31': {
	        loc: {
	          start: {
	            line: 284,
	            column: 17
	          },
	          end: {
	            line: 284,
	            column: 66
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 284,
	            column: 17
	          },
	          end: {
	            line: 284,
	            column: 38
	          }
	        }, {
	          start: {
	            line: 284,
	            column: 42
	          },
	          end: {
	            line: 284,
	            column: 66
	          }
	        }],
	        line: 284
	      },
	      '32': {
	        loc: {
	          start: {
	            line: 294,
	            column: 4
	          },
	          end: {
	            line: 321,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 294,
	            column: 4
	          },
	          end: {
	            line: 321,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 294,
	            column: 4
	          },
	          end: {
	            line: 321,
	            column: 5
	          }
	        }],
	        line: 294
	      },
	      '33': {
	        loc: {
	          start: {
	            line: 295,
	            column: 6
	          },
	          end: {
	            line: 297,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 295,
	            column: 6
	          },
	          end: {
	            line: 297,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 295,
	            column: 6
	          },
	          end: {
	            line: 297,
	            column: 7
	          }
	        }],
	        line: 295
	      },
	      '34': {
	        loc: {
	          start: {
	            line: 299,
	            column: 6
	          },
	          end: {
	            line: 301,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 299,
	            column: 6
	          },
	          end: {
	            line: 301,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 299,
	            column: 6
	          },
	          end: {
	            line: 301,
	            column: 7
	          }
	        }],
	        line: 299
	      },
	      '35': {
	        loc: {
	          start: {
	            line: 311,
	            column: 11
	          },
	          end: {
	            line: 321,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 311,
	            column: 11
	          },
	          end: {
	            line: 321,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 311,
	            column: 11
	          },
	          end: {
	            line: 321,
	            column: 5
	          }
	        }],
	        line: 311
	      },
	      '36': {
	        loc: {
	          start: {
	            line: 312,
	            column: 6
	          },
	          end: {
	            line: 314,
	            column: 41
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 312,
	            column: 6
	          },
	          end: {
	            line: 312,
	            column: 29
	          }
	        }, {
	          start: {
	            line: 313,
	            column: 6
	          },
	          end: {
	            line: 313,
	            column: 32
	          }
	        }, {
	          start: {
	            line: 314,
	            column: 6
	          },
	          end: {
	            line: 314,
	            column: 41
	          }
	        }],
	        line: 312
	      },
	      '37': {
	        loc: {
	          start: {
	            line: 318,
	            column: 6
	          },
	          end: {
	            line: 320,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 318,
	            column: 6
	          },
	          end: {
	            line: 320,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 318,
	            column: 6
	          },
	          end: {
	            line: 320,
	            column: 7
	          }
	        }],
	        line: 318
	      },
	      '38': {
	        loc: {
	          start: {
	            line: 350,
	            column: 6
	          },
	          end: {
	            line: 352,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 350,
	            column: 6
	          },
	          end: {
	            line: 352,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 350,
	            column: 6
	          },
	          end: {
	            line: 352,
	            column: 7
	          }
	        }],
	        line: 350
	      },
	      '39': {
	        loc: {
	          start: {
	            line: 354,
	            column: 6
	          },
	          end: {
	            line: 360,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 354,
	            column: 6
	          },
	          end: {
	            line: 360,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 354,
	            column: 6
	          },
	          end: {
	            line: 360,
	            column: 7
	          }
	        }],
	        line: 354
	      },
	      '40': {
	        loc: {
	          start: {
	            line: 354,
	            column: 10
	          },
	          end: {
	            line: 354,
	            column: 57
	          }
	        },
	        type: 'binary-expr',
	        locations: [{
	          start: {
	            line: 354,
	            column: 10
	          },
	          end: {
	            line: 354,
	            column: 37
	          }
	        }, {
	          start: {
	            line: 354,
	            column: 41
	          },
	          end: {
	            line: 354,
	            column: 57
	          }
	        }],
	        line: 354
	      },
	      '41': {
	        loc: {
	          start: {
	            line: 355,
	            column: 8
	          },
	          end: {
	            line: 357,
	            column: 9
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 355,
	            column: 8
	          },
	          end: {
	            line: 357,
	            column: 9
	          }
	        }, {
	          start: {
	            line: 355,
	            column: 8
	          },
	          end: {
	            line: 357,
	            column: 9
	          }
	        }],
	        line: 355
	      },
	      '42': {
	        loc: {
	          start: {
	            line: 362,
	            column: 6
	          },
	          end: {
	            line: 364,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 362,
	            column: 6
	          },
	          end: {
	            line: 364,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 362,
	            column: 6
	          },
	          end: {
	            line: 364,
	            column: 7
	          }
	        }],
	        line: 362
	      },
	      '43': {
	        loc: {
	          start: {
	            line: 369,
	            column: 4
	          },
	          end: {
	            line: 375,
	            column: 5
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 369,
	            column: 4
	          },
	          end: {
	            line: 375,
	            column: 5
	          }
	        }, {
	          start: {
	            line: 369,
	            column: 4
	          },
	          end: {
	            line: 375,
	            column: 5
	          }
	        }],
	        line: 369
	      },
	      '44': {
	        loc: {
	          start: {
	            line: 371,
	            column: 6
	          },
	          end: {
	            line: 374,
	            column: 7
	          }
	        },
	        type: 'if',
	        locations: [{
	          start: {
	            line: 371,
	            column: 6
	          },
	          end: {
	            line: 374,
	            column: 7
	          }
	        }, {
	          start: {
	            line: 371,
	            column: 6
	          },
	          end: {
	            line: 374,
	            column: 7
	          }
	        }],
	        line: 371
	      }
	    },
	    s: {
	      '0': 0,
	      '1': 0,
	      '2': 0,
	      '3': 0,
	      '4': 0,
	      '5': 0,
	      '6': 0,
	      '7': 0,
	      '8': 0,
	      '9': 0,
	      '10': 0,
	      '11': 0,
	      '12': 0,
	      '13': 0,
	      '14': 0,
	      '15': 0,
	      '16': 0,
	      '17': 0,
	      '18': 0,
	      '19': 0,
	      '20': 0,
	      '21': 0,
	      '22': 0,
	      '23': 0,
	      '24': 0,
	      '25': 0,
	      '26': 0,
	      '27': 0,
	      '28': 0,
	      '29': 0,
	      '30': 0,
	      '31': 0,
	      '32': 0,
	      '33': 0,
	      '34': 0,
	      '35': 0,
	      '36': 0,
	      '37': 0,
	      '38': 0,
	      '39': 0,
	      '40': 0,
	      '41': 0,
	      '42': 0,
	      '43': 0,
	      '44': 0,
	      '45': 0,
	      '46': 0,
	      '47': 0,
	      '48': 0,
	      '49': 0,
	      '50': 0,
	      '51': 0,
	      '52': 0,
	      '53': 0,
	      '54': 0,
	      '55': 0,
	      '56': 0,
	      '57': 0,
	      '58': 0,
	      '59': 0,
	      '60': 0,
	      '61': 0,
	      '62': 0,
	      '63': 0,
	      '64': 0,
	      '65': 0,
	      '66': 0,
	      '67': 0,
	      '68': 0,
	      '69': 0,
	      '70': 0,
	      '71': 0,
	      '72': 0,
	      '73': 0,
	      '74': 0,
	      '75': 0,
	      '76': 0,
	      '77': 0,
	      '78': 0,
	      '79': 0,
	      '80': 0,
	      '81': 0,
	      '82': 0,
	      '83': 0,
	      '84': 0,
	      '85': 0,
	      '86': 0,
	      '87': 0,
	      '88': 0,
	      '89': 0,
	      '90': 0,
	      '91': 0,
	      '92': 0,
	      '93': 0,
	      '94': 0,
	      '95': 0,
	      '96': 0,
	      '97': 0,
	      '98': 0,
	      '99': 0,
	      '100': 0,
	      '101': 0,
	      '102': 0,
	      '103': 0,
	      '104': 0,
	      '105': 0,
	      '106': 0,
	      '107': 0,
	      '108': 0,
	      '109': 0,
	      '110': 0,
	      '111': 0,
	      '112': 0,
	      '113': 0,
	      '114': 0
	    },
	    f: {
	      '0': 0,
	      '1': 0,
	      '2': 0,
	      '3': 0,
	      '4': 0,
	      '5': 0,
	      '6': 0,
	      '7': 0,
	      '8': 0,
	      '9': 0,
	      '10': 0,
	      '11': 0,
	      '12': 0,
	      '13': 0,
	      '14': 0,
	      '15': 0,
	      '16': 0,
	      '17': 0
	    },
	    b: {
	      '0': [0, 0],
	      '1': [0, 0, 0],
	      '2': [0, 0],
	      '3': [0, 0],
	      '4': [0, 0],
	      '5': [0, 0],
	      '6': [0, 0],
	      '7': [0, 0],
	      '8': [0, 0],
	      '9': [0, 0],
	      '10': [0, 0],
	      '11': [0, 0],
	      '12': [0, 0],
	      '13': [0, 0],
	      '14': [0, 0],
	      '15': [0, 0],
	      '16': [0, 0],
	      '17': [0, 0],
	      '18': [0, 0],
	      '19': [0, 0],
	      '20': [0, 0],
	      '21': [0, 0],
	      '22': [0, 0, 0],
	      '23': [0, 0],
	      '24': [0, 0],
	      '25': [0, 0],
	      '26': [0, 0],
	      '27': [0, 0],
	      '28': [0, 0],
	      '29': [0, 0],
	      '30': [0, 0],
	      '31': [0, 0],
	      '32': [0, 0],
	      '33': [0, 0],
	      '34': [0, 0],
	      '35': [0, 0],
	      '36': [0, 0, 0],
	      '37': [0, 0],
	      '38': [0, 0],
	      '39': [0, 0],
	      '40': [0, 0],
	      '41': [0, 0],
	      '42': [0, 0],
	      '43': [0, 0],
	      '44': [0, 0]
	    },
	    _coverageSchema: '332fd63041d2c1bcb487cc26dd0d5f7d97098a6c'
	  },
	      coverage = global[gcv] || (global[gcv] = {});

	  if (coverage[path] && coverage[path].hash === hash) {
	    return coverage[path];
	  }

	  coverageData.hash = hash;
	  return coverage[path] = coverageData;
	}();
	var UPDATEABLE_PROPS = (cov_6vv07z8iz.s[0]++, ['catalogSearch', 'catalogSequence', 'playlistId', 'playlistVideoId', 'videoId']);
	cov_6vv07z8iz.s[1]++;

	var logError = function logError(err) {
	  cov_6vv07z8iz.f[0]++;
	  cov_6vv07z8iz.s[2]++;

	  if ((cov_6vv07z8iz.b[1][0]++, err) && (cov_6vv07z8iz.b[1][1]++, console) && (cov_6vv07z8iz.b[1][2]++, console.error)) {
	    cov_6vv07z8iz.b[0][0]++;
	    cov_6vv07z8iz.s[3]++;
	    console.error(err);
	  } else {
	    cov_6vv07z8iz.b[0][1]++;
	  }
	};

	var ReactPlayerLoader =
	/*#__PURE__*/
	function (_React$Component) {
	  _inheritsLoose(ReactPlayerLoader, _React$Component);

	  function ReactPlayerLoader(props) {
	    var _this;

	    cov_6vv07z8iz.f[1]++;
	    cov_6vv07z8iz.s[4]++;
	    _this = _React$Component.call(this, props) || this;
	    cov_6vv07z8iz.s[5]++;
	    _this.refNode = null;
	    cov_6vv07z8iz.s[6]++;

	    _this.setRefNode = function (ref) {
	      cov_6vv07z8iz.f[2]++;
	      cov_6vv07z8iz.s[7]++;
	      _this.refNode = ref;
	    };

	    cov_6vv07z8iz.s[8]++;
	    _this.loadPlayer = _this.loadPlayer.bind(_assertThisInitialized(_this));
	    return _this;
	  }

	  var _proto = ReactPlayerLoader.prototype;

	  _proto.loadPlayer = function loadPlayer() {
	    var _this2 = this;

	    cov_6vv07z8iz.f[3]++;
	    cov_6vv07z8iz.s[9]++;

	    if (!this.loading_) {
	      cov_6vv07z8iz.b[2][0]++;
	      cov_6vv07z8iz.s[10]++;
	      this.loading_ = true;
	    } else {
	      cov_6vv07z8iz.b[2][1]++;
	      cov_6vv07z8iz.s[11]++;
	      console.log('Brightcove React Player Loader aborted a subsequent player load while a load was pending');
	      cov_6vv07z8iz.s[12]++;
	      return;
	    }

	    cov_6vv07z8iz.s[13]++;
	    this.disposePlayer();
	    var userSuccess = (cov_6vv07z8iz.s[14]++, this.props.onSuccess);
	    var userFailure = (cov_6vv07z8iz.s[15]++, this.props.onFailure);
	    var options = (cov_6vv07z8iz.s[16]++, _extends$1({}, this.props, {
	      refNode: this.refNode,
	      refNodeInsert: 'append',
	      onSuccess: function onSuccess(_ref) {
	        var ref = _ref.ref,
	            type = _ref.type;
	        cov_6vv07z8iz.f[4]++;
	        cov_6vv07z8iz.s[17]++;
	        _this2.loading_ = false;
	        cov_6vv07z8iz.s[18]++;

	        if (!_this2.isMounted_) {
	          cov_6vv07z8iz.b[3][0]++;
	          cov_6vv07z8iz.s[19]++;

	          _this2.disposePlayer(ref);

	          cov_6vv07z8iz.s[20]++;
	          return;
	        } else {
	          cov_6vv07z8iz.b[3][1]++;
	        }

	        cov_6vv07z8iz.s[21]++;
	        _this2.player = ref;
	        cov_6vv07z8iz.s[22]++;

	        if (type === 'in-page') {
	          cov_6vv07z8iz.b[4][0]++;
	          cov_6vv07z8iz.s[23]++;
	          ref.one('dispose', function () {
	            cov_6vv07z8iz.f[5]++;
	            cov_6vv07z8iz.s[24]++;
	            _this2.player = null;
	          });
	        } else {
	          cov_6vv07z8iz.b[4][1]++;
	        }

	        cov_6vv07z8iz.s[25]++;

	        if (ref.bcinfo) {
	          cov_6vv07z8iz.b[5][0]++;
	          cov_6vv07z8iz.s[26]++;
	          ref.bcinfo.REACT_PLAYER_LOADER = true;
	        } else {
	          cov_6vv07z8iz.b[5][1]++;
	        }

	        cov_6vv07z8iz.s[27]++;

	        if (typeof userSuccess === 'function') {
	          cov_6vv07z8iz.b[6][0]++;
	          cov_6vv07z8iz.s[28]++;
	          userSuccess({
	            ref: ref,
	            type: type
	          });
	        } else {
	          cov_6vv07z8iz.b[6][1]++;
	        }
	      },
	      onFailure: function onFailure(error) {
	        cov_6vv07z8iz.f[6]++;
	        cov_6vv07z8iz.s[29]++;
	        _this2.loading_ = false;
	        cov_6vv07z8iz.s[30]++;

	        if (!_this2.isMounted_) {
	          cov_6vv07z8iz.b[7][0]++;
	          cov_6vv07z8iz.s[31]++;
	          return;
	        } else {
	          cov_6vv07z8iz.b[7][1]++;
	        }

	        cov_6vv07z8iz.s[32]++;

	        if (typeof userFailure === 'function') {
	          cov_6vv07z8iz.b[8][0]++;
	          cov_6vv07z8iz.s[33]++;
	          userFailure(error);
	          cov_6vv07z8iz.s[34]++;
	          return;
	        } else {
	          cov_6vv07z8iz.b[8][1]++;
	        }

	        cov_6vv07z8iz.s[35]++;
	        throw new Error(error);
	      }
	    }));
	    cov_6vv07z8iz.s[36]++;
	    delete options.attrs;
	    cov_6vv07z8iz.s[37]++;
	    delete options.baseUrl;
	    cov_6vv07z8iz.s[38]++;
	    delete options.manualReloadFromPropChanges;
	    var originalBaseUrl = (cov_6vv07z8iz.s[39]++, brightcovePlayerLoader.getBaseUrl());
	    cov_6vv07z8iz.s[40]++;

	    if (this.props.baseUrl) {
	      cov_6vv07z8iz.b[9][0]++;
	      cov_6vv07z8iz.s[41]++;
	      brightcovePlayerLoader.setBaseUrl(this.props.baseUrl);
	    } else {
	      cov_6vv07z8iz.b[9][1]++;
	    }

	    cov_6vv07z8iz.s[42]++;
	    brightcovePlayerLoader(options);
	    cov_6vv07z8iz.s[43]++;
	    brightcovePlayerLoader.setBaseUrl(originalBaseUrl);
	  };

	  _proto.disposePlayer = function disposePlayer() {
	    cov_6vv07z8iz.f[7]++;
	    cov_6vv07z8iz.s[44]++;

	    if (!this.player) {
	      cov_6vv07z8iz.b[10][0]++;
	      cov_6vv07z8iz.s[45]++;
	      return;
	    } else {
	      cov_6vv07z8iz.b[10][1]++;
	    }

	    cov_6vv07z8iz.s[46]++;

	    if (this.player.dispose) {
	      cov_6vv07z8iz.b[11][0]++;
	      cov_6vv07z8iz.s[47]++;
	      this.player.dispose();
	    } else {
	      cov_6vv07z8iz.b[11][1]++;
	      cov_6vv07z8iz.s[48]++;

	      if (this.player.parentNode) {
	        cov_6vv07z8iz.b[12][0]++;
	        cov_6vv07z8iz.s[49]++;
	        this.player.parentNode.removeChild(this.player);
	      } else {
	        cov_6vv07z8iz.b[12][1]++;
	      }
	    }

	    cov_6vv07z8iz.s[50]++;
	    this.player = null;
	  };

	  _proto.findPlaylistVideoIdIndex_ = function findPlaylistVideoIdIndex_(playlist) {
	    cov_6vv07z8iz.f[8]++;

	    var _ref2 = (cov_6vv07z8iz.s[51]++, this.props),
	        playlistVideoId = _ref2.playlistVideoId;

	    cov_6vv07z8iz.s[52]++;

	    if ((cov_6vv07z8iz.b[14][0]++, Array.isArray(playlist)) && (cov_6vv07z8iz.b[14][1]++, playlistVideoId)) {
	      cov_6vv07z8iz.b[13][0]++;
	      cov_6vv07z8iz.s[53]++;

	      for (var i = 0; i < playlist.length; i++) {
	        var _ref3 = (cov_6vv07z8iz.s[54]++, playlist[i]),
	            id = _ref3.id,
	            referenceId = _ref3.referenceId;

	        cov_6vv07z8iz.s[55]++;

	        if ((cov_6vv07z8iz.b[16][0]++, id === playlistVideoId) || (cov_6vv07z8iz.b[16][1]++, "ref:" + referenceId === playlistVideoId)) {
	          cov_6vv07z8iz.b[15][0]++;
	          cov_6vv07z8iz.s[56]++;
	          return i;
	        } else {
	          cov_6vv07z8iz.b[15][1]++;
	        }
	      }
	    } else {
	      cov_6vv07z8iz.b[13][1]++;
	    }

	    cov_6vv07z8iz.s[57]++;
	    return -1;
	  };

	  _proto.createPlaybackAPICallback_ = function createPlaybackAPICallback_(requestType, changes) {
	    var _this3 = this;

	    cov_6vv07z8iz.f[9]++;
	    cov_6vv07z8iz.s[58]++;
	    return function (err, data) {
	      cov_6vv07z8iz.f[10]++;
	      cov_6vv07z8iz.s[59]++;

	      if (err) {
	        cov_6vv07z8iz.b[17][0]++;
	        cov_6vv07z8iz.s[60]++;
	        logError(err);
	        cov_6vv07z8iz.s[61]++;
	        return;
	      } else {
	        cov_6vv07z8iz.b[17][1]++;
	      }

	      cov_6vv07z8iz.s[62]++;

	      if ((cov_6vv07z8iz.b[19][0]++, requestType === 'playlist') && (cov_6vv07z8iz.b[19][1]++, changes.playlistVideoId)) {
	        cov_6vv07z8iz.b[18][0]++;
	        var i = (cov_6vv07z8iz.s[63]++, _this3.findPlaylistVideoIdIndex_(data));
	        cov_6vv07z8iz.s[64]++;

	        if (i > -1) {
	          cov_6vv07z8iz.b[20][0]++;
	          cov_6vv07z8iz.s[65]++;
	          data.startingIndex = i;
	        } else {
	          cov_6vv07z8iz.b[20][1]++;
	        }
	      } else {
	        cov_6vv07z8iz.b[18][1]++;
	      }

	      cov_6vv07z8iz.s[66]++;

	      _this3.player.catalog.load(data);
	    };
	  };

	  _proto.updatePlayer = function updatePlayer(changes) {
	    cov_6vv07z8iz.f[11]++;
	    cov_6vv07z8iz.s[67]++;

	    if ((cov_6vv07z8iz.b[22][0]++, !this.player) || (cov_6vv07z8iz.b[22][1]++, !this.player.el) || (cov_6vv07z8iz.b[22][2]++, !this.player.el())) {
	      cov_6vv07z8iz.b[21][0]++;
	      cov_6vv07z8iz.s[68]++;
	      return;
	    } else {
	      cov_6vv07z8iz.b[21][1]++;
	    }

	    var catalogParams;
	    cov_6vv07z8iz.s[69]++;

	    if (this.player.usingPlugin('catalog')) {
	      cov_6vv07z8iz.b[23][0]++;
	      cov_6vv07z8iz.s[70]++;

	      if ((cov_6vv07z8iz.b[25][0]++, changes.catalogSequence) && (cov_6vv07z8iz.b[25][1]++, this.props.catalogSequence)) {
	        cov_6vv07z8iz.b[24][0]++;
	        var callback = (cov_6vv07z8iz.s[71]++, this.createPlaybackAPICallback_('sequence', changes));
	        cov_6vv07z8iz.s[72]++;
	        this.player.catalog.getLazySequence(this.props.catalogSequence, callback, this.props.adConfigId);
	        cov_6vv07z8iz.s[73]++;
	        return;
	      } else {
	        cov_6vv07z8iz.b[24][1]++;
	      }

	      cov_6vv07z8iz.s[74]++;

	      if ((cov_6vv07z8iz.b[27][0]++, changes.videoId) && (cov_6vv07z8iz.b[27][1]++, this.props.videoId)) {
	        cov_6vv07z8iz.b[26][0]++;
	        cov_6vv07z8iz.s[75]++;
	        catalogParams = {
	          type: 'video',
	          id: this.props.videoId
	        };
	      } else {
	        cov_6vv07z8iz.b[26][1]++;
	        cov_6vv07z8iz.s[76]++;

	        if ((cov_6vv07z8iz.b[29][0]++, changes.playlistId) && (cov_6vv07z8iz.b[29][1]++, this.props.playlistId)) {
	          cov_6vv07z8iz.b[28][0]++;
	          cov_6vv07z8iz.s[77]++;
	          catalogParams = {
	            type: 'playlist',
	            id: this.props.playlistId
	          };
	        } else {
	          cov_6vv07z8iz.b[28][1]++;
	          cov_6vv07z8iz.s[78]++;

	          if ((cov_6vv07z8iz.b[31][0]++, changes.catalogSearch) && (cov_6vv07z8iz.b[31][1]++, this.props.catalogSearch)) {
	            cov_6vv07z8iz.b[30][0]++;
	            cov_6vv07z8iz.s[79]++;
	            catalogParams = {
	              type: 'search',
	              q: this.props.catalogSearch
	            };
	          } else {
	            cov_6vv07z8iz.b[30][1]++;
	          }
	        }
	      }
	    } else {
	      cov_6vv07z8iz.b[23][1]++;
	    }

	    cov_6vv07z8iz.s[80]++;

	    if (catalogParams) {
	      cov_6vv07z8iz.b[32][0]++;
	      cov_6vv07z8iz.s[81]++;

	      if (this.props.adConfigId) {
	        cov_6vv07z8iz.b[33][0]++;
	        cov_6vv07z8iz.s[82]++;
	        catalogParams.adConfigId = this.props.adConfigId;
	      } else {
	        cov_6vv07z8iz.b[33][1]++;
	      }

	      cov_6vv07z8iz.s[83]++;

	      if (this.props.deliveryConfigId) {
	        cov_6vv07z8iz.b[34][0]++;
	        cov_6vv07z8iz.s[84]++;
	        catalogParams.deliveryConfigId = this.props.deliveryConfigId;
	      } else {
	        cov_6vv07z8iz.b[34][1]++;
	      }

	      var _callback = (cov_6vv07z8iz.s[85]++, this.createPlaybackAPICallback_(catalogParams.type, changes));

	      cov_6vv07z8iz.s[86]++;
	      this.player.catalog.get(catalogParams, _callback);
	    } else {
	      cov_6vv07z8iz.b[32][1]++;
	      cov_6vv07z8iz.s[87]++;

	      if ((cov_6vv07z8iz.b[36][0]++, changes.playlistVideoId) && (cov_6vv07z8iz.b[36][1]++, this.props.playlistVideoId) && (cov_6vv07z8iz.b[36][2]++, this.player.usingPlugin('playlist'))) {
	        cov_6vv07z8iz.b[35][0]++;
	        var i = (cov_6vv07z8iz.s[88]++, this.findPlaylistVideoIdIndex_(this.player.playlist()));
	        cov_6vv07z8iz.s[89]++;

	        if (i > -1) {
	          cov_6vv07z8iz.b[37][0]++;
	          cov_6vv07z8iz.s[90]++;
	          this.player.playlist.currentItem(i);
	        } else {
	          cov_6vv07z8iz.b[37][1]++;
	        }
	      } else {
	        cov_6vv07z8iz.b[35][1]++;
	      }
	    }
	  };

	  _proto.componentDidMount = function componentDidMount() {
	    cov_6vv07z8iz.f[12]++;
	    cov_6vv07z8iz.s[91]++;
	    this.isMounted_ = true;
	    cov_6vv07z8iz.s[92]++;
	    this.loadPlayer();
	  };

	  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
	    var _this4 = this;

	    cov_6vv07z8iz.f[13]++;
	    var changes = (cov_6vv07z8iz.s[93]++, Object.keys(prevProps).reduce(function (acc, key) {
	      cov_6vv07z8iz.f[14]++;
	      var previous = (cov_6vv07z8iz.s[94]++, prevProps[key]);
	      var current = (cov_6vv07z8iz.s[95]++, _this4.props[key]);
	      cov_6vv07z8iz.s[96]++;

	      if (typeof current === 'function') {
	        cov_6vv07z8iz.b[38][0]++;
	        cov_6vv07z8iz.s[97]++;
	        return acc;
	      } else {
	        cov_6vv07z8iz.b[38][1]++;
	      }

	      cov_6vv07z8iz.s[98]++;

	      if ((cov_6vv07z8iz.b[40][0]++, typeof current === 'object') && (cov_6vv07z8iz.b[40][1]++, current !== null)) {
	        cov_6vv07z8iz.b[39][0]++;
	        cov_6vv07z8iz.s[99]++;

	        if (JSON.stringify(current) !== JSON.stringify(previous)) {
	          cov_6vv07z8iz.b[41][0]++;
	          cov_6vv07z8iz.s[100]++;
	          acc[key] = true;
	        } else {
	          cov_6vv07z8iz.b[41][1]++;
	        }

	        cov_6vv07z8iz.s[101]++;
	        return acc;
	      } else {
	        cov_6vv07z8iz.b[39][1]++;
	      }

	      cov_6vv07z8iz.s[102]++;

	      if (current !== previous) {
	        cov_6vv07z8iz.b[42][0]++;
	        cov_6vv07z8iz.s[103]++;
	        acc[key] = true;
	      } else {
	        cov_6vv07z8iz.b[42][1]++;
	      }

	      cov_6vv07z8iz.s[104]++;
	      return acc;
	    }, {}));
	    cov_6vv07z8iz.s[105]++;

	    if (!this.props.manualReloadFromPropChanges) {
	      cov_6vv07z8iz.b[43][0]++;
	      cov_6vv07z8iz.s[106]++;

	      if (Object.keys(changes).some(function (k) {
	        cov_6vv07z8iz.f[15]++;
	        cov_6vv07z8iz.s[107]++;
	        return UPDATEABLE_PROPS.indexOf(k) === -1;
	      })) {
	        cov_6vv07z8iz.b[44][0]++;
	        cov_6vv07z8iz.s[108]++;
	        this.loadPlayer();
	        cov_6vv07z8iz.s[109]++;
	        return;
	      } else {
	        cov_6vv07z8iz.b[44][1]++;
	      }
	    } else {
	      cov_6vv07z8iz.b[43][1]++;
	    }

	    cov_6vv07z8iz.s[110]++;
	    this.updatePlayer(changes);
	  };

	  _proto.componentWillUnmount = function componentWillUnmount() {
	    cov_6vv07z8iz.f[16]++;
	    cov_6vv07z8iz.s[111]++;
	    this.isMounted_ = false;
	    cov_6vv07z8iz.s[112]++;
	    this.disposePlayer();
	  };

	  _proto.render = function render() {
	    cov_6vv07z8iz.f[17]++;
	    var props = (cov_6vv07z8iz.s[113]++, _extends$1({
	      className: 'brightcove-react-player-loader'
	    }, this.props.attrs, {
	      ref: this.setRefNode
	    }));
	    cov_6vv07z8iz.s[114]++;
	    return React.createElement('div', props);
	  };

	  return ReactPlayerLoader;
	}(React.Component);

	QUnit.module('ReactPlayerLoader', {
	  beforeEach: function beforeEach() {
	    this.fixture = document_1.getElementById('qunit-fixture');
	    this.originalBaseUrl = brightcovePlayerLoader.getBaseUrl();
	    brightcovePlayerLoader.setBaseUrl(window_1.location.origin + "/vendor/");
	  },
	  afterEach: function afterEach() {
	    cleanup(); // reset the base url and global state

	    brightcovePlayerLoader.setBaseUrl(this.originalBaseUrl);
	    brightcovePlayerLoader.reset(); // unmount all components on the fixture

	    ReactDOM.unmountComponentAtNode(this.fixture);
	  }
	}, function () {
	  QUnit.module('baseline usage');
	  QUnit.test('failure', function (assert) {
	    var done = assert.async();
	    assert.expect(2);
	    var reactPlayerLoader = ReactDOM.render(React.createElement(ReactPlayerLoader, {
	      accountId: '2',
	      onFailure: function onFailure(failure) {
	        assert.ok(failure, 'failed to download non-existent player');
	        done();
	      }
	    }), this.fixture);
	    assert.ok(reactPlayerLoader, 'player loader react component created');
	  });
	  QUnit.test('success', function (assert) {
	    var done = assert.async();
	    assert.expect(2);
	    var reactPlayerLoader = ReactDOM.render(React.createElement(ReactPlayerLoader, {
	      accountId: '1',
	      onSuccess: function onSuccess(_ref) {
	        var ref = _ref.ref,
	            type = _ref.type;
	        assert.ok(ref, 'downloaded and created a player');
	        done();
	      }
	    }), this.fixture);
	    assert.ok(reactPlayerLoader, 'player loader react component created');
	  });
	  QUnit.test('unmount after success', function (assert) {
	    var _this = this;

	    var done = assert.async();
	    assert.expect(2);
	    var reactPlayerLoader = ReactDOM.render(React.createElement(ReactPlayerLoader, {
	      accountId: '1',
	      onSuccess: function onSuccess(_ref2) {
	        var ref = _ref2.ref,
	            type = _ref2.type;
	        assert.ok(ref, 'downloaded and created a player');
	        window_1.setTimeout(function () {
	          ReactDOM.unmountComponentAtNode(_this.fixture);
	          done();
	        }, 1);
	      }
	    }), this.fixture);
	    assert.ok(reactPlayerLoader, 'player loader react component created');
	  });
	  QUnit.module('attrs');
	  QUnit.test('can set attributes on the component element', function (assert) {
	    var done = assert.async();
	    assert.expect(1);
	    ReactDOM.render(React.createElement(ReactPlayerLoader, {
	      accountId: '1',
	      attrs: {
	        foo: 'bar'
	      },
	      onSuccess: function onSuccess(_ref3) {
	        var ref = _ref3.ref,
	            type = _ref3.type;
	        window_1.setTimeout(done, 1);
	      }
	    }), this.fixture);
	    assert.ok(this.fixture.querySelector('div[foo="bar"]'), 'foo="bar" div exists');
	  });
	  QUnit.test('className defaults to "brightcove-react-player-loader"', function (assert) {
	    var done = assert.async();
	    assert.expect(1);
	    ReactDOM.render(React.createElement(ReactPlayerLoader, {
	      accountId: '1',
	      attrs: {
	        id: 'test'
	      },
	      onSuccess: function onSuccess(_ref4) {
	        var ref = _ref4.ref,
	            type = _ref4.type;
	        window_1.setTimeout(done, 1);
	      }
	    }), this.fixture);
	    var el = this.fixture.querySelector('#test');
	    assert.strictEqual(el.className, 'brightcove-react-player-loader', 'component element has correct className');
	  });
	  QUnit.test('className can be set to override default', function (assert) {
	    var done = assert.async();
	    assert.expect(1);
	    ReactDOM.render(React.createElement(ReactPlayerLoader, {
	      accountId: '1',
	      attrs: {
	        className: 'foo bar',
	        id: 'test'
	      },
	      onSuccess: function onSuccess(_ref5) {
	        var ref = _ref5.ref,
	            type = _ref5.type;
	        window_1.setTimeout(done, 1);
	      }
	    }), this.fixture);
	    var el = this.fixture.querySelector('#test');
	    assert.strictEqual(el.className, 'foo bar', 'component element has correct className');
	  });
	  QUnit.module('props', {
	    beforeEach: function beforeEach() {
	      // This mock catalog plugin takes custom options for testing purposes.
	      // The ReactPlayerLoader expects that the player will have initialized
	      // the Video Cloud Catalog plugin itself.
	      //
	      // The custom options for the mock plugin instruct it whether or not to
	      // produce "error" cases.
	      this.mockCatalogPlugin = function (options) {
	        var _this2 = this;

	        if (options === void 0) {
	          options = {};
	        }

	        var err = new Error('mock catalog request failure');
	        this.catalog = {
	          getLazySequence: function getLazySequence(seq, cb, adConfigId) {
	            if (options.error) {
	              cb(err, null);
	            } else {
	              cb(null, options.data || [{
	                foo: 1
	              }]);
	            }
	          },
	          get: function get(params, cb) {
	            var result = {
	              foo: 1
	            };

	            if (params.type === 'playlist' || params.type === 'search') {
	              result = [result, {
	                foo: 2
	              }];
	            }

	            if (options.error) {
	              cb(err, null);
	            } else {
	              cb(null, options.data || result);
	            }
	          },
	          load: function load(data) {
	            return data;
	          }
	        };
	        Object.keys(this.catalog).forEach(function (key) {
	          return sinon.spy(_this2.catalog, key);
	        });
	      };

	      this.mockPlaylistPlugin = function (list, currentItem) {
	        if (list === void 0) {
	          list = [];
	        }

	        if (currentItem === void 0) {
	          currentItem = 0;
	        }

	        this.playlist = function (l, i) {
	          if (l !== undefined) {
	            list = l;

	            if (i > -1) {
	              currentItem = i;
	            }
	          }

	          return list;
	        };

	        this.playlist.currentItem = function (i) {
	          if (i !== undefined) {
	            currentItem = i;
	          }

	          return currentItem;
	        };

	        sinon.spy(this.playlist, 'currentItem');
	      };
	    },
	    afterEach: function afterEach() {
	      this.mockCatalogPlugin = null;
	      this.mockPlaylistPlugin = null;
	    }
	  });
	  QUnit.test('change catalogSearch, success response', function (assert) {
	    var _this3 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      adConfigId: 'abc-123',
	      deliveryConfigId: 'def-456',
	      catalogSearch: '2',
	      onSuccess: function onSuccess(_ref6) {
	        var ref = _ref6.ref,
	            type = _ref6.type;
	        window_1.videojs.registerPlugin('catalog', _this3.mockCatalogPlugin);
	        ref.catalog();
	        props.catalogSearch = '3';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.calledOnce, 'player.catalog.load was called');
	        var params = ref.catalog.get.getCall(0).args[0];
	        assert.deepEqual(params, {
	          adConfigId: 'abc-123',
	          deliveryConfigId: 'def-456',
	          q: '3',
	          type: 'search'
	        }, 'catalog params were correct');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change catalogSearch, failure response', function (assert) {
	    var _this4 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      catalogSearch: '2',
	      onSuccess: function onSuccess(_ref7) {
	        var ref = _ref7.ref,
	            type = _ref7.type;
	        window_1.videojs.registerPlugin('catalog', _this4.mockCatalogPlugin);
	        ref.catalog({
	          error: true
	        });
	        props.catalogSearch = '3';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.notCalled, 'player.catalog.load was not called');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change catalogSequence, success response', function (assert) {
	    var _this5 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      adConfigId: 'abc-123',
	      deliveryConfigId: 'def-456',
	      catalogSequence: [{}],
	      onSuccess: function onSuccess(_ref8) {
	        var ref = _ref8.ref,
	            type = _ref8.type;
	        window_1.videojs.registerPlugin('catalog', _this5.mockCatalogPlugin);
	        ref.catalog();
	        props.catalogSequence = [{}, {}];
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.notCalled, 'player.catalog.get was not called');
	        assert.ok(ref.catalog.getLazySequence.calledOnce, 'player.catalog.getLazySequence was called');
	        assert.ok(ref.catalog.load.calledOnce, 'player.catalog.load was called');
	        var seq = ref.catalog.getLazySequence.getCall(0).args[0];
	        assert.deepEqual(seq, props.catalogSequence, 'catalog sequence was correct');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change catalogSequence, failure response', function (assert) {
	    var _this6 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      catalogSequence: [{}],
	      onSuccess: function onSuccess(_ref9) {
	        var ref = _ref9.ref,
	            type = _ref9.type;
	        window_1.videojs.registerPlugin('catalog', _this6.mockCatalogPlugin);
	        ref.catalog({
	          error: true
	        });
	        props.catalogSequence = [{}, {}];
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.notCalled, 'player.catalog.get was not called');
	        assert.ok(ref.catalog.getLazySequence.calledOnce, 'player.catalog.getLazySequence was called');
	        assert.ok(ref.catalog.load.notCalled, 'player.catalog.load was not called');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change playlistId, success response', function (assert) {
	    var _this7 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      adConfigId: 'abc-123',
	      deliveryConfigId: 'def-456',
	      playlistId: '2',
	      onSuccess: function onSuccess(_ref10) {
	        var ref = _ref10.ref,
	            type = _ref10.type;
	        window_1.videojs.registerPlugin('catalog', _this7.mockCatalogPlugin);
	        ref.catalog();
	        props.playlistId = '3';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.calledOnce, 'player.catalog.load was called');
	        var params = ref.catalog.get.getCall(0).args[0];
	        assert.deepEqual(params, {
	          adConfigId: 'abc-123',
	          deliveryConfigId: 'def-456',
	          id: '3',
	          type: 'playlist'
	        }, 'catalog params were correct');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change playlistId, failure response', function (assert) {
	    var _this8 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      playlistId: '2',
	      onSuccess: function onSuccess(_ref11) {
	        var ref = _ref11.ref,
	            type = _ref11.type;
	        window_1.videojs.registerPlugin('catalog', _this8.mockCatalogPlugin);
	        ref.catalog({
	          error: true
	        });
	        props.playlistId = '3';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.notCalled, 'player.catalog.load was not called');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change videoId, success response', function (assert) {
	    var _this9 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      adConfigId: 'abc-123',
	      deliveryConfigId: 'def-456',
	      videoId: '2',
	      onSuccess: function onSuccess(_ref12) {
	        var ref = _ref12.ref,
	            type = _ref12.type;
	        window_1.videojs.registerPlugin('catalog', _this9.mockCatalogPlugin);
	        ref.catalog();
	        props.videoId = '3';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.calledOnce, 'player.catalog.load was called');
	        var params = ref.catalog.get.getCall(0).args[0];
	        assert.deepEqual(params, {
	          adConfigId: 'abc-123',
	          deliveryConfigId: 'def-456',
	          id: '3',
	          type: 'video'
	        }, 'catalog params were correct');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change videoId, failure response', function (assert) {
	    var _this10 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      videoId: '2',
	      onSuccess: function onSuccess(_ref13) {
	        var ref = _ref13.ref,
	            type = _ref13.type;
	        window_1.videojs.registerPlugin('catalog', _this10.mockCatalogPlugin);
	        ref.catalog({
	          error: true
	        });
	        props.videoId = '3';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.notCalled, 'player.catalog.load was not called');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('change from one catalog request type to another ignores previous props', function (assert) {
	    var _this11 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      adConfigId: 'abc-123',
	      deliveryConfigId: 'def-456',
	      catalogSearch: '0',
	      catalogSequence: '1',
	      playlistId: '2',
	      videoId: '3',
	      onSuccess: function onSuccess(_ref14) {
	        var ref = _ref14.ref,
	            type = _ref14.type;
	        window_1.videojs.registerPlugin('catalog', _this11.mockCatalogPlugin);
	        ref.catalog();
	        props.playlistId = '4';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.calledOnce, 'player.catalog.load was called');
	        var params = ref.catalog.get.getCall(0).args[0];
	        assert.deepEqual(params, {
	          adConfigId: 'abc-123',
	          deliveryConfigId: 'def-456',
	          id: '4',
	          type: 'playlist'
	        }, 'props that trigger a type of catalog request and were not changed were not included');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('changing playlistId + playlistVideoId, success response', function (assert) {
	    var _this12 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      embedOptions: {
	        unminified: true
	      },
	      playlistId: '0',
	      playlistVideoId: '0',
	      onSuccess: function onSuccess(_ref15) {
	        var ref = _ref15.ref,
	            type = _ref15.type;
	        var playlist = [{
	          id: 1
	        }, {
	          id: 2
	        }];
	        window_1.videojs.registerPlugin('catalog', _this12.mockCatalogPlugin);
	        ref.catalog({
	          data: playlist
	        });
	        props.playlistId = '1';
	        props.playlistVideoId = 2;
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(ref.catalog.get.calledOnce, 'player.catalog.get was called');
	        assert.ok(ref.catalog.load.calledOnce, 'player.catalog.load was called');
	        var params = ref.catalog.get.getCall(0).args[0];
	        assert.deepEqual(params, {
	          id: '1',
	          type: 'playlist'
	        }, 'catalog params were correct'); // The test players have the playlist plugin, but we want a minimal
	        // test case for playlists; so, we remove it and mock a new plugin.

	        window_1.videojs.getPlugin('plugin').deregisterPlugin('playlist');
	        delete ref.playlist;
	        window_1.videojs.registerPlugin('playlist', _this12.mockPlaylistPlugin);
	        ref.playlist(playlist, playlist.startingIndex);
	        assert.strictEqual(ref.playlist.currentItem(), 1, 'the second playlist item is selected');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('changing playlistVideoId on an already loaded playlist, using referenceId instead of id', function (assert) {
	    var _this13 = this;

	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      playlistId: '0',
	      playlistVideoId: '0',
	      onSuccess: function onSuccess(_ref16) {
	        var ref = _ref16.ref,
	            type = _ref16.type;
	        // The test players have the playlist plugin, but we want a minimal
	        // test case for playlists; so, we remove it and mock a new plugin.
	        window_1.videojs.getPlugin('plugin').deregisterPlugin('playlist');
	        delete ref.playlist;
	        window_1.videojs.registerPlugin('playlist', _this13.mockPlaylistPlugin);
	        ref.playlist([{
	          id: 1
	        }, {
	          id: 2
	        }, {
	          id: 3,
	          referenceId: 'foo'
	        }]);
	        props.playlistVideoId = 'ref:foo';
	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.strictEqual(ref.playlist.currentItem(), 2, 'the third playlist item is selected');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('other prop changes reload the player', function (assert) {
	    var done = assert.async();
	    var rerender;
	    var props = {
	      accountId: '1',
	      applicationId: 'foo',
	      onSuccess: function onSuccess(_ref17) {
	        var ref = _ref17.ref,
	            type = _ref17.type;

	        if (props.applicationId === 'bar') {
	          assert.ok(true, 'the success callback was called a second time because the player was re-loaded');
	          done();
	        }

	        props.applicationId = 'bar';
	        rerender(React.createElement(ReactPlayerLoader, props));
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('loadPlayer() method reloads player', function (assert) {
	    var done = assert.async(2);
	    var props = {
	      accountId: '1',
	      applicationId: 'foo',
	      onSuccess: function onSuccess(_ref18) {
	        var ref = _ref18.ref,
	            type = _ref18.type;
	        assert.ok(true, 'the success callback was called');
	        done();
	      }
	    };
	    var reactPlayerLoader = ReactDOM.render(React.createElement(ReactPlayerLoader, props), this.fixture); // Add a delay, otherwise this is emulating the strict mode problem

	    window_1.setTimeout(function () {
	      reactPlayerLoader.loadPlayer();
	    }, 1000);
	  });
	  QUnit.test('set manualReloadFromPropChanges to true', function (assert) {
	    var done = assert.async(2);
	    var rerender;
	    var props = {
	      accountId: '1',
	      applicationId: 'foo',
	      manualReloadFromPropChanges: true,
	      onSuccess: function onSuccess(_ref19) {
	        var ref = _ref19.ref,
	            type = _ref19.type;

	        if (props.applicationId !== 'bar') {
	          props.applicationId = 'bar';
	          done();
	        }

	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(true, 'the success callback was called');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.test('set manualReloadFromPropChanges to false', function (assert) {
	    var done = assert.async(3);
	    var rerender;
	    var props = {
	      accountId: '1',
	      applicationId: 'foo',
	      manualReloadFromPropChanges: false,
	      onSuccess: function onSuccess(_ref20) {
	        var ref = _ref20.ref,
	            type = _ref20.type;

	        if (props.applicationId !== 'bar') {
	          props.applicationId = 'bar';
	          done();
	        }

	        rerender(React.createElement(ReactPlayerLoader, props));
	        assert.ok(true, 'the success callback was called');
	        done();
	      }
	    };
	    rerender = render(React.createElement(ReactPlayerLoader, props)).rerender;
	  });
	  QUnit.module('strict mode');
	  QUnit.test('player not created twice in strict mode', function (assert) {
	    var done = assert.async();
	    assert.expect(1); // createRoot needed for React 18

	    var root = ReactDOM.createRoot(this.fixture);
	    root.render(React.createElement(React.StrictMode, {}, React.createElement(ReactPlayerLoader, {
	      accountId: '1',
	      onSuccess: function onSuccess(_ref21) {
	        var ref = _ref21.ref,
	            type = _ref21.type;
	        assert.ok(ref, 'downloaded and created a player');
	      }
	    })));
	    window_1.setTimeout(function () {
	      root.unmount();
	      done();
	    }, 1000);
	  });
	  QUnit.test('aborted player load logs message', function (assert) {
	    var done = assert.async();
	    var spy = sinon.spy(window_1.console, 'log');
	    assert.expect(1); // createRoot needed for React 18

	    var root = ReactDOM.createRoot(this.fixture);
	    root.render(React.createElement(React.StrictMode, {}, React.createElement(ReactPlayerLoader, {
	      accountId: '1'
	    })));
	    window_1.setTimeout(function () {
	      assert.ok(spy.calledWith('Brightcove React Player Loader aborted a subsequent player load while a load was pending'), 'warning logged');
	      root.unmount();
	      spy.restore();
	      done();
	    }, 1000);
	  });
	});

}(QUnit, sinon, React, ReactDOM, MutationObserver));
